#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

vector<int> ans;


void rec(int n, vector<int>& pred, int a, int b, vector<vector<int>>& v) {
    if (n == 0) {
        ans.clear();
        ans.push_back(b);
        while (pred[b] != -1) {
            b = pred[b];
            ans.push_back(b);
        }
        reverse(ans.begin(), ans.end());
        cout << ans[0];
        for (int i = 1; i < ans.size(); i++) {
            cout << '+' << ans[i];
        }cout << endl;
    }else {
        for (int i = v[a][b]; i <= n; i++) {
            pred[i] = b;
            rec(n - i, pred, b, i, v);
        }
    }
}

void solve() {
    int n;
    cin >> n;
    cout << n << endl;
    vector<vector<int>> v(101, vector<int>(101, 1000));
    for (int i = 1; i <= n; i++) {
        for (int j = i + 1; j <= n - i; j++) {
            for (int o = j + 1; o <= n - i - j; o++) {
                if (o - j > j - i) {
                    v[i][j] = o;
                    break;
                }
            }
        }
    }
    vector<int> pred(101);
    pred[1] = -1;
    pred[0] = -1;
    for (int i = 1; i <= n; i++) {
        for (int j = i + 1; j <= n - i; j++) {
            pred[i] = -1;
            pred[j] = i;
            rec(n - i - j, pred, i, j, v);
        }
    }
}

signed main() {
    cin.tie(nullptr);
    ios_base::sync_with_stdio(false);
    int _ = 1;
    //cin >> _;
    while (_--) {
        solve();
    }

    cin >> _;
}
