#include <iostream>
#include <vector>

using namespace std;

void splits(int x, int prev, int prevdiv, vector <int> path, vector <vector <int>> &ans, bool first)
{
    if (x == 0)
    {
        ans.push_back(path);
        return;
    }
    for (int a = 1; a <= x; a++)
    {
        vector <int> tmp = path;
        if (first)
        {
            tmp.push_back(a);
            splits(x - a, a, -1, tmp, ans, 0);
        }
        else if (a > prev && a - prev > prevdiv)
        {
            tmp.push_back(a);
            splits(x - a, a, a - prev, tmp, ans, 0);
        }
    }
}

int main()
{
    int n;
    cin >> n;
    vector <vector <int>> ans;
    splits(n, -1, -1, {}, ans, 1);
    for (vector <int> elem: ans)
    {
        cout << elem[0];
        for (int i = 1; i < elem.size(); i++) cout << '+' << elem[i];
        cout << '\n';
    }
    return 0;
}
