﻿#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>
#include <string>

#define int long long

using namespace std;

int clever(int n) {
	if (n <= 9) {
		return n;
		exit(0);
	}
	string s = to_string(n);
	int ans = 9, mult = 1;
	for (int dig = 2; dig <= s.size(); dig++) {
		if (dig == s.size()) {
			for (int i = 0; i < s.size(); i++) {
				ans += (s[i] - '0' - 1) * mult;
				mult /= 10;
			}
			break;
		}
		ans += 9 * mult;
		mult *= 10;
	}
	return ans;
}

int slow(int n) {
	int ans = 0;
	for (int i = 1; i <= n; i++) {
		string s = to_string(i);
		if (s[0] == s.back()) {
			ans++;
		}
	}
	return ans;
}

signed main() {
	ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
//	for (int i = 110; i <= 1e5; i++) {
//		int res1 = clever(i), res2 = slow(i);
//		if (res1 != res2) {
//			cout << i << '\n';
//			cout << res1 << ' ' << res2 << '\n';
//			break;
//		}
//	}
	int n, k; cin >> n >> k;
	if (n == k) {
		cout << 0;
		exit(0);
	}
	int total = 9;
	for (int i = 1; i < n; i++) {
		total *= 10;
	}
	int last = 1;
	for (int i = 0; i < k; i++) {
		last *= 10;
	}
	int front = (total / last) * (total / last);
	cout << (last * front - total) / 2;
}