﻿#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>
#include <string>

#define int long long
#define ld long double

const int INF = 1e18;

using namespace std;

int clever(int n) {
	if (n <= 9) {
		return n;
		exit(0);
	}
	string s = to_string(n);
	int ans = 9, mult = 1;
	for (int dig = 2; dig <= s.size(); dig++) {
		if (dig == s.size()) {
			if (s[0] <= s.back()) {
				ans++;
			}
			ans += mult * (s[0] - '0' - 1);
			mult /= 10;
			for (int i = 1; i < s.size() - 1; i++) {
				ans += mult * (s[i] - '0');
				mult /= 10;
			}
			break;
		}
		ans += 9 * mult;
		mult *= 10;
	}
	return ans;
}

int slow(int n) {
	int ans = 0;
	for (int i = 1; i <= n; i++) {
		string s = to_string(i);
		if (s[0] == s.back()) {
			ans++;
		}
	}
	return ans;
}

signed main() {
	ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
//	for (int i = 1; i <= 1e5; i++) {
//		string s = to_string(i);
//		int res1 = clever(i), res2 = slow(i);
//		if (res1 != res2) {
//			cout << i << '\n';
//			cout << "Clever: " << res1 << '\n' << "Stupid: " << res2 << '\n';
//			break;
//		}
//	}
	int n; cin >> n;
	cout << clever(n);
}