﻿#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>
#include <string>

#define int long long

using namespace std;

int clever(int n) {
	if (n <= 9) {
		return n;
		exit(0);
	}
	string s = to_string(n);
	int ans = 9, mult = 1;
	for (int dig = 2; dig <= s.size(); dig++) {
		if (dig == s.size()) {
			for (int i = 0; i < s.size(); i++) {
				ans += (s[i] - '0' - 1) * mult;
				mult /= 10;
			}
			break;
		}
		ans += 9 * mult;
		mult *= 10;
	}
	return ans;
}

int slow(int n) {
	int ans = 0;
	for (int i = 1; i <= n; i++) {
		string s = to_string(i);
		if (s[0] == s.back()) {
			ans++;
		}
	}
	return ans;
}

int n;

void f(string s, int a, int b, int curr) {
	if (curr == n) {
		cout << s << '\n';
		return;
	}
	for (int c = 2 * b - a + 1; c <= n; c++) {
		if (curr + c > n) {
			break;
		}
		f(s + "+" + to_string(c), b, c, curr + c);
	}
}

signed main() {
	ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
//	for (int i = 110; i <= 1e5; i++) {
//		int res1 = clever(i), res2 = slow(i);
//		if (res1 != res2) {
//			cout << i << '\n';
//			cout << res1 << ' ' << res2 << '\n';
//			break;
//		}
//	}
	cin >> n;
	for (int i = 1; i <= n; i++) {
		for (int j = i + 1; j <= n; j++) {
			f(to_string(i) + "+" + to_string(j), i, j, i + j);
		}
	}
	cout << n << '\n';
}