﻿#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <iomanip>
#include <set>
#include <map>
#include <queue>

#pragma GCC optimize("unroll-loops")
#pragma GCC optimize("inline")
#pragma GCC optimize("Ofast")

typedef long long ll;

using namespace std;

ll pow2(ll a, ll b) {
  if (b == 0) return 1;
  if (b == 1) return a;
  ll x = pow2(a, b / 2);
  x = x * x;
  if (b % 2 == 0) {
	return x;
  } else {
	return (x * a);
  }
}

int main() {
  ios_base::sync_with_stdio(false);
  cin.tie(0);
  cout.tie(0);
  ll n;
  cin >> n;
  int ans = 0;
  for (ll i = 1; i <= n; ++i) {
	ll ci = i;
	while (ci >= 10) {
	  ci /= 10;
	}
	if (i % 10 == ci) {
	  //cout << i << endl;
	  ans++;
	}
  }
  cout << ans;
  return 0;
}
