﻿#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <iomanip>
#include <set>
#include <map>
#include <queue>

#pragma GCC optimize("unroll-loops")
#pragma GCC optimize("inline")
#pragma GCC optimize("Ofast")

typedef long long ll;

using namespace std;

ll pow2(ll a, ll b) {
  if (b == 0) return 1;
  if (b == 1) return a;
  ll x = pow2(a, b / 2);
  x = x * x;
  if (b % 2 == 0) {
	return x;
  } else {
	return (x * a);
  }
}

int main() {
  ios_base::sync_with_stdio(false);
  cin.tie(0);
  cout.tie(0);
  ll n;
  cin >> n;
  /*int ans = 0;
  for (ll i = 1; i <= n; ++i) {
    ll ci = i;
    while (ci >= 10) {
      ci /= 10;
    }
    if (i % 10 == ci) {
      //cout << i << endl;
      ans++;
    }
  }
  cout << ans << endl;*/
  map<ll, ll> m;
  m[0] = 1;
  m[1] = 1;
  m[2] = 10;
  for (int i = 3; i <= 18; ++i) {
	m[i] = pow2(10, i - 1);
  }

  ll ansn = 0;
  {
    ll ci = n;
    while (ci >= 10) {
      ci /= 10;
    }
    if (n % 10 >= ci) {
      ansn++;
    }
  }
  ll st10 = 0;
  ll sum = 0;
  int cnt = 1;
  while (true) {
    sum += pow2(10, st10);
    if (n >= sum) {
      ansn += m[st10];
    } else {
      sum -= pow2(10, st10);
      break;
    }
    cnt++;
    if (cnt == 10) {
      st10++;
      cnt = 1;
    }
  }
  n /= 10;
  vector<int> ansans;
  while (n >= 10) {
    ansans.push_back(n % 10);
    n /= 10;
  }
  n = 0;
  reverse(ansans.begin(), ansans.end());
  for (int i : ansans) {
    n *= 10;
    n += i;
  }
  ansn += n;
  cout << ansn;
  return 0;
}
