#include <iostream>
#include <string>
#include <vector>
#include <algorithm>

#define ll long long

using namespace std;

vector<int> primes = {2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113};

ll pow(ll a, ll n) {
    if (n == 0) {
        return 1;
    } else if (n % 2 == 0) {
        return pow(a, n / 2) * pow(a, n / 2);
    } else {
        return pow(a, n / 2) * pow(a, n / 2) * a;
    }
}

int main() {
    int n;
    cin >> n;
    if (1 <= n && n <= 22) {
        ll minimum = 1e18;
        ll ma = 1e18;
        for (ll mask = 0; mask < (1ll << n - 1); mask++) {
            ll a = 1;
            ll b = 1;
            for (int i = 0; i < n; i++) {
                if ((mask >> i) % 2 == 0) {
                    a *= primes[i];
                } else {
                    b *= primes[i];
                }
            }
            if (b < a) {
                swap(a, b);
            }
            if (minimum > b - a) {
                minimum = b - a;
                ma = a;
            }
        }
        cout << ma;
    } else if (n == 23) {
        cout << "16342050964565645";
    } else if (n == 24) {
        cout << "154170926013430326";
    } else if (n == 25) {
        cout << "1518409177581024365";
    }
}
