﻿#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;
using ll = long long;

int n;
vector<int> vec = { 2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113 };
vector<bool> a(30, false);

pair<ll, ll> f(int i) {
    if (i == n) {
        ll fst = 1, scn = 1;
        for (int w = 0; w < n; w++) {
            if (a[w]) {
                fst *= vec[w];
            }
            else {
                scn *= vec[w];
            }
        }
        return make_pair(abs(fst - scn), min(fst, scn));
    }

    a[i] = true;
    pair<ll, ll> x = f(i + 1);
    a[i] = false;
    pair<ll, ll> y = f(i + 1);
    
    if (x.first < y.first) {
        return x;
    }
    else {
        return y;
    }
}

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    cin >> n;
    cout << f(0).second;

    return 0;
}
