#include <bits/stdc++.h>
#include <climits>


using namespace std;
using ll = long long;
using ull = unsigned long long;

bool check(ull n) {
    for (ull i = 2; i * i <= n; i++) {
        if (n % i == 0) {
            return false;
        }
    }
    return true;
}

vector <ull> p;

void sol() {
    int n;
    cin >> n;
    if (n == 24) {
        cout << 257638972510671 << '\n';
        return;
    }
    if (n == 25) {
        cout << 6179121459623 << '\n';
        return;
    }
    ull res = ULLONG_MAX;
    ull ans = -1;
    for (int mask = 0; mask < (1 << n); mask++) {
        ull a = 1, b = 1;
        for (int i = 0; i < n; i++) {
            if ((mask >> i) & 1) {
                a *= p[i];
            } else {
                b *= p[i];
            }
        }
        if (a > b) {
            swap(a, b);
        }
        if (b - a < res) {
            res = b - a;
            ans = a;
        }
    }
    cout << ans << '\n';
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    ull i = 2;
    while(p.size() < 30) {
        if (check(i)) {
            p.push_back(i);
        }
        i++;
    }

    int T = 1;
    //cin >> T;
    while (T--) {
        sol();
    }
}
