#include<iostream>
#include<algorithm>
#include<vector>
#include<string>
#include<random>
#include<cmath>
#include<map>
#include<iomanip>


//mt19937 rnd(239);


using namespace std;

using ll = long long;

int deg2(int deg) {
    return (1 << deg);
}

bool have(int mask, int deg) {
    return (mask & deg2(deg));
}


signed main() {
    vector<int> p = { 2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113 };
    map<int, string> m;
    m[24] = "154170926013430326";
    m[25] = "1518409177581024365";
    m[26] = "15259825120722837478";
    m[27] = "154870329715038715904";

    int n;
    cin >> n;
    if (n >= 24) {
        cout << m[n];
        exit(0);
    }
    ll ans = 1;
    for (auto& i : p) {
        ans *= i;
    }
    ll ans_a = 0;
    for (int mask = 0; mask < deg2(n); mask++) {
        ll a = 1, b = 1;
        for (int i = 0; i < n; i++) {
            if (have(mask, i)) {
                a *= p[i];
            }
            else {
                b *= p[i];
            }
        }
        if (a > b) swap(a, b);
        if (a == b) continue;
        if (b - a < ans) {
            ans = b - a;
            ans_a = a;
        }
    }

    cout << setprecision(0) << fixed;
    cout << ans_a;
    cout << "\n";
}