#include<iostream>
#include<algorithm>
#include<vector>
#include<string>
#include<random>
#include<cmath>
#include<iomanip>


//mt19937 rnd(239);


using namespace std;

using ld = long double;

int deg2(int deg) {
	return (1 << deg);
}

bool have(int mask, int deg) {
	return (mask & deg2(deg));
}


signed main() {
	vector<int> p = {2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113};

	int n;
	cin >> n;
	
	ld ans = 1;
	for (auto& i : p) {
		ans *= i;
	}
	ld ans_a = 0;
	for (int mask = 0; mask < deg2(n); mask++) {
		ld a = 1, b = 1;
		for (int i = 0; i < n; i++) {
			if (have(mask, i)) {
				a *= p[i];
			}
			else {
				b *= p[i];
			}
		}
		if (a > b) swap(a, b);
		if (a == b) continue;
		if (b - a < ans) {
			ans = b - a;
			ans_a = a;
		}
	}

	cout << setprecision(0) << fixed;
	cout << ans_a;
}