#include <iostream>
#include <string>
#include <vector>
#include <cmath>

using namespace std;
using ll = long long;

const ll maxn = 1e9 + 7;

signed main() {
	ll h, w;
	cin >> h >> w;
	vector<vector<char>> g(h + 1, vector<char>(w + 1));
	char cur = 'R';
	for (ll i = 1; i <= h; i++) {
		for (ll j = 1; j <= w; j++) {
			if ((i % 2) != (j % 2)) {
				g[i][j] = 'G';
			}
			else if (cur == 'R') {
				g[i][j] = 'R';
				cur = 'B';
			}
			else {
				g[i][j] = 'B';
				cur = 'R';
			}
			/*
			if (i > 1 && j < w) {
				g[i][j] = g[i - 1][j + 1];
			}
			*/
		}
	}
	cur = 'B';
	for (ll i = 2; i <= h; i++) {
		if (g[i][1] == 'G')
			continue;
		else if (cur == 'R') {
			g[i][1] = 'R';
			cur = 'B';
		}
		else {
			g[i][1] = 'B';
			cur = 'R';
		}
	}
	for (ll i = 2; i <= h; i++) {
		if (g[i][w] == 'G')
			continue;
		else if (cur == 'R') {
			g[i][w] = 'R';
			cur = 'B';
		}
		else {
			g[i][w] = 'B';
			cur = 'R';
		}
	}
	for (ll i = 1; i <= h; i++) {
		for (ll j = 1; j <= w; j++) {
			if (i > 1 && j < w) {
				g[i][j] = g[i - 1][j + 1];
			}
		}
	}
	for (auto& i : g) {
		for (auto j : i)
			cout << j;
		cout << '\n';
	}
}