def create_lcd_display(h, w):
    display = []

    for i in range(h):
        row = []

        for j in range(w):
            if j % 2 == 1:
                row.append('G')
            else:
                if i % 4 == 0:
                    row.append('R' if (j // 2) % 2 == 0 else 'B')
                elif i % 4 == 1:
                    row.append('G' if (j // 2) % 2 == 0 else 'R')
                elif i % 4 == 2:
                    row.append('B' if (j // 2) % 2 == 0 else 'G')
                elif i % 4 == 3:
                    row.append('G' if (j // 2) % 2 == 0 else 'B')

        display.append(''.join(row))

    return display


h = int(input().strip())
w = int(input().strip())

result = create_lcd_display(h, w)

for line in result:
    print(line)
