// E 001

#include <iostream>
#include <vector>
#include <functional>
#include <cstddef>
#include <algorithm>

using std::size_t;

unsigned short n;

void solve() {
    std::vector<unsigned short> s;

    std::function<void()> ps = \
        [&] () {
            const size_t size = s.size();
            for (size_t i = 0; i < size; i++) {
                std::cout << s[i];
                if (i != size - 1) std::cout << "+";
            }
            std::cout << "\n";
        };

    std::function<void(unsigned short, unsigned short)> sf = \
        [&] (unsigned short nel, unsigned short csum) {
            std::function<void()> bret = \
                [&] () {
                    s.pop_back();
                };

            s.push_back(nel);
            csum += nel;
            if (csum >= n) {
                if (csum == n) ps();
                bret();
                return;
            }
            const size_t s_size = s.size();
            unsigned short i_begin = nel + 1;
            if (s_size >= 2) {
                i_begin = std::max(i_begin, static_cast<unsigned short>(2 * s[s_size - 1] - s[s_size - 2] + 1));
            }
            for (unsigned short i = i_begin; i <= n - csum; i++) {
                sf(i, csum);
            }
            bret();
        };

    for (unsigned short i = 1; i <= 100; i++) {
        sf(i, 0);
    }
}

int main() {
    std::cin >> n;

    solve();

    return 0;
}
