#include <iostream>
#include <vector>

bool is_palindrome(long long num) {
    if (num < 0) return false;
    long long original = num;
    long long reversed = 0;
    while (num != 0) {
        reversed = reversed * 10 + num % 10;
        num /= 10;
    }
    return original == reversed;
}

int main() {
    int input;
    std::cin >> input;

    std::vector<bool> is_palindrome(input + 1, false);

    for (long long i = 1; i <= input; ++i) {
        if (is_palindrome(i)) {
            is_palindrome[i] = true;
        }
    }

    int count = 0;
    for (int i = 1; i <= input; ++i) {
        if (is_palindrome[i]) {
            count++;
        }
    }

    std::cout << count << std::endl;

    return 0;
}
