def count_similar_pairs(numbers):
    last_digit_count = {}
    for number in numbers:
        last_digit = number % 10
        if last_digit in last_digit_count:
            last_digit_count[last_digit] += 1
        else:
            last_digit_count[last_digit] = 1
    total_pairs = 0
    for count in last_digit_count.values():
        if count > 1:
            total_pairs += count * (count - 1) // 2

    return total_pairs

n = int(input())
numbers = [int(input(f"Введите число {i + 1}: ")) for i in range(n)]
result = count_similar_pairs(numbers)
print(result)
