def fast_partitions(n):
    def backtrack(start, target, path):
        if target == 0:
            result.append(path)
            return
        for i in range(start, target + 1):
            if len(path) < 2 or (i - path[-1] > path[-1] - path[-2]):
                backtrack(i + 1, target - i, path + [i])

    result = []
    backtrack(1, n, [])
    for partition in result:
        print('+'.join(map(str, partition)))

n = int(input())
fast_partitions(n)