from collections import defaultdict

def count_similar_pairs(n, k):
    start = 10**(n - 1)
    end = 10**n
    modulus = 10**k
    
    last_k_digits_count = defaultdict(int)
    
    for number in range(start, end):
        last_k_digits = number % modulus
        last_k_digits_count[last_k_digits] += 1

    total_pairs = sum(count * (count - 1) // 2 for count in last_k_digits_count.values() if count > 1)
    
    return total_pairs

n = int(input())
k = int(input())
result = count_similar_pairs(n, k)
print(result)