# from collections import defaultdict

# def count_similar_pairs(n, k):
#     start = 10**(n - 1)
#     end = 10**n
#     modulus = 10**k
    
#     last_k_digits_count = defaultdict(int)
    
#     for number in range(start, end):
#         last_k_digits = number % modulus
#         last_k_digits_count[last_k_digits] += 1

#     total_pairs = sum(count * (count - 1) // 2 for count in last_k_digits_count.values() if count > 1)
    
#     return total_pairs

# n = int(input())
# k = int(input())
# result = count_similar_pairs(n, k)
# print(result)
def count_similar_pairs(n, k):
    modulus = 10**k
    count = [0] * modulus  # Массив для хранения количества чисел с одинаковыми последними k цифрами

    # Количество чисел от 10^(n-1) до 10^n - 1
    total_numbers = 10**n - 10**(n - 1)

    # Заполнение массива count
    for i in range(total_numbers):
        last_k_digits = (10**(n-1) + i) % modulus
        count[last_k_digits] += 1

    # Подсчет пар
    total_pairs = sum(c * (c - 1) // 2 for c in count if c > 1)
    
    return total_pairs

n = int(input())
k = int(input())
result = count_similar_pairs(n, k)
print(result)