def count_similar_pairs(n, k):
    modulus = 10**k
    count = [0] * modulus 

    total_numbers = 10**n - 10**(n - 1)

    for i in range(total_numbers):
        last_k_digits = (10**(n-1) + i) % modulus
        count[last_k_digits] += 1

    total_pairs = sum(c * (c - 1) // 2 for c in count if c > 1)
    
    return total_pairs

n = int(input())
k = int(input())
result = count_similar_pairs(n, k)
print(result)