from collections import defaultdict

def count_similar_pairs(n, k):
    modulus = 10**k
    count = defaultdict(int)

    # Генерируем n-значные числа
    for number in range(10**(n-1), 10**n):
        last_k_digits = number % modulus
        count[last_k_digits] += 1

    # Считаем количество пар
    total_pairs = sum(c * (c - 1) // 2 for c in count.values() if c > 1)
    
    return total_pairs

n = int(input())
k = int(input())
result = count_similar_pairs(n, k)
print(result)