#include <cstdint>
#include <cstddef>
#include <iostream>
#include <string>

typedef uint_fast8_t u8;
typedef uint_fast16_t u16;
typedef uint_fast32_t u32;
typedef uint_fast64_t u64;
typedef int_fast8_t s8;
typedef int_fast16_t s16;
typedef int_fast32_t s32;
typedef int_fast64_t s64;

typedef float f32;
typedef double f64;
typedef long double f128;

u16 h, w;

const char lookupTable[] = {'R', 'G', 'B', 'G'};

std::string rowData[4];

int main () {
    std::cin >> h >> w;
    for (u16 row = 0; row < 4; row++) {
        for (u16 i = 0; i < w; i++) {
            rowData[row] += lookupTable[(row + i) % 4];
        }
    }
    for (u16 row = 0; row < h; row++) {
        std::cout << rowData[row % 4] << std::endl;
    }

}
