def can_balance(weights):
    total_weight = sum(weights)
    
     
    if total_weight % 2 != 0:
        return -1
    
    target = total_weight // 2
    n = len(weights)

    dp = [False] * (target + 1)
    dp[0] = True  
    
    for weight in weights:
        for j in range(target, weight - 1, -1):
            dp[j] = dp[j] or dp[j - weight]
    
    return 1 if dp[target] else -1


weights = []
for _ in range(4):
    weights.append(int(input().strip()))


print(can_balance(weights))
