
def find_partitions(n, max_num=None):
    if max_num is None:
        max_num = n
    if n == 0:
        return [[]]
    partitions = []
    for i in range(1, max_num + 1):
        if i <= n:
            for p in find_partitions(n - i, i - 1):  # Изменение здесь
                partitions.append([i] + p)
    return partitions
def print_partitions(n):
    partitions = find_partitions(n)
    for partition in partitions:
        print('+'.join(map(str, partition)))


n = int(input(""))
print_partitions(n)

