def beautiful_partitions(n):
    # Создаем массив для хранения количества разбиений
    dp = [0] * (n + 1)
    dp[0] = 1  # Базовый случай: одно разбиение для 0

    # Заполняем массив dp
    for i in range(1, n + 1):
        for j in range(i, n + 1):
            dp[j] += dp[j - i]

    return dp[1:]  # Возвращаем разбиения от 1 до n

# Чтение стандартного ввода
n = int(input(""))  # Пример: 5
result = beautiful_partitions(n)

# Печать результата
print(" ".join(map(str, result)))
