n = int(input())

def generate_partitions(curr_partition, remaining_sum, last_summand, prev_diff, depth):
    if remaining_sum == 0:
        print('+'.join(map(str, curr_partition)))
        return
    for next_summand in range(last_summand + 1, remaining_sum + 1):
        curr_diff = next_summand - last_summand
        if depth <= 1:
            pass  # For the first summand, no need to check differences
        elif depth == 2:
            pass  # For the second summand, we accept any increasing sequence
        else:
            if curr_diff < prev_diff:
                continue  # Skip if the difference is decreasing
        curr_partition.append(next_summand)
        generate_partitions(curr_partition, remaining_sum - next_summand, next_summand, curr_diff, depth + 1)
        curr_partition.pop()

generate_partitions([], n, 0, None, 1)