def generate_display(h, w):
    display = []
    colors = ['R', 'G', 'B']  

    for i in range(h):
        row = []
        for j in range(w):
            
            if (i % 3) == 0:  
                if j % 3 == 0: 
                    row.append('R')
                elif j % 3 == 1:  
                    row.append('G')
                else:  # B
                    row.append('B')
            elif (i % 3) == 1:  
                if j % 3 == 0:  
                    row.append('G')
                elif j % 3 == 1:  
                    row.append('B')
                else:  
                    row.append('R')
            else:  
                if j % 3 == 0:  
                    row.append('B')
                elif j % 3 == 1: 
                    row.append('R')
                else:  
                    row.append('G')
        
        display.append(row)

    return display

def print_display(display):
    for row in display:
        print(' '.join(row))


h = int(input())  
w = int(input())  
display = generate_display(h, w)
print_display(display)