from itertools import combinations

def can_balance(weights):
    total_weight = sum(weights)
    
    
    if total_weight % 2 != 0:
        return -1
    
    target = total_weight // 2
    
   
    for r in range(1, len(weights) + 1):
        for combination in combinations(weights, r):
            if sum(combination) == target:
                left_side = combination
                right_side = [w for w in weights if w not in left_side]
                return (sorted(left_side), sorted(right_side))

    return -1


a = int(input())
b = int(input())
c = int(input())
d = int(input())

weights = [a, b, c, d]  
result = can_balance(weights)


if result == -1:
    print(-1)
else:
    left, right = result
    print(left)
    print(right)