#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
#include <set>
#include <unordered_set>
#include <map>
#include <unordered_map>
#include <iomanip>
#include <cmath>
#include <queue>
#include <deque>
#include <stack>

using namespace std;
using ll = long long;
using ld = long double;
using str = string;

ll solve(ll n) {
    ll n1 = n;
    ll cnt = 0;
    vector<ll> a;
    while (n > 0) {
        cnt++;
        a.push_back(n % 10);
        n /= 10;
    }
    reverse(a.begin(), a.end());
    vector<ll> st(19, 1);
    for (int i = 1; i < 19; i++) {
        st[i] = st[i - 1] * 10;
    }
    ll ans = 0;
    for (int i = 1; i < cnt; i++) {
        ans += 9 * st[max(0, i - 2)];
    }
    for (int i = 0; i < cnt - 1; i++) {
        if (a[i] > 0) {
            ans += (a[i] - 1) * st[cnt - 2 - i];
        }
    }
    if (a[0] <= a[cnt - 1]) {
        ans++;
    }
    if (n1 < 10) {
        ans = n1;
    }
    return ans;
}

ll solve2(ll n) {
    ll ans = 0;
    for (int i = 1; i <= n; i++) {
        vector<ll> a;
        ll now = i;
        while (now > 0) {
            a.push_back(now % 10);
            now /= 10;
        }
        if (a[0] == a.back()) {
            ans++;
        }
    }
    return ans;
}

void fastw() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
}

int main() {
    fastw();
    int tt = 1;
    //cin >> tt;
    while (tt--) {
        ll n;
        cin >> n;
        cout << solve2(n);
    }
}