from itertools import combinations


def find_balanced_weights(weights):
    total_weight = sum(weights)


    if total_weight % 2 != 0:
        return None

    target_weight = total_weight // 2
    n = len(weights)


    for r in range(1, n):
        for combo in combinations(weights, r):
            if sum(combo) == target_weight:

                remaining_weights = list(weights)
                for weight in combo:
                    remaining_weights.remove(weight)

                return combo, tuple(remaining_weights)

    return None



weights = []
for i in range(4):
    weight = int(input(f"2{i + 1}: "))
    weights.append(weight)

result = find_balanced_weights(weights)

if result:
    group1, group2 = result
    print("", ', '.join(map(str, group1)))
    print("", ', '.join(map(str, group2)))
else:
    print("-1")