#include <iostream>
#include <vector>

using namespace std;

bool isGrowPartition(vector<int> a)
{
    bool flag = true;
    
    if (a.size() == 2)
        flag = a[1] > a[0];
    else 
    {
        for (int i = 2; i < a.size(); ++i)
        {
            if (a[i] - a[i - 1] > a[i - 1] - a[i - 2])
                continue;
            else
            {
                flag = false;
                break;
            }
        }
    }
    
    return flag;
}

bool isPartitionN(vector<int> a, int n)
{
    bool result = false;
    
    int sum = 0;
    
    for (int i = 0; i < a.size(); ++i)
    {
        sum += a[i];
    }
    
    result = sum == n;
    
    return result;
}

void writeGrowPartition(vector<int> a)
{
    for (int i = 0; i < a.size(); ++i)
    {
        if (i > 0)
            cout << '+';
        cout << a[i];
    }
    
    cout << endl;
}

void quickGrowPartition(vector<int> a, int k, int n)
{
    if (k == 0)
    {
        a.push_back(k + 1);
        quickGrowPartition(a, k + 1, n);
        for (int i = k + 2; i <= n; ++i)
        {
            a[k] = i;
            quickGrowPartition(a, k + 1, n);
        }
    }
    else
    {
        if (isGrowPartition(a))
        {
            if (isPartitionN(a, n))
                writeGrowPartition(a);
            else if (k <= n)
            {
                a.push_back(k + 1);
                quickGrowPartition(a, k + 1, n);
                for (int i = k + 2; i <= n; ++i)
                {
                    a[k] = i;
                    quickGrowPartition(a, k + 1, n);
                }
            }
        }
    }
}

int main()
{
    int n;
    
    vector<int> a;
    
    cin >> n;
    
    quickGrowPartition(a, 0, n);

    return 0;
}