import math
from itertools import combinations


def ff(n):
    def ff1(num):
        if num < 2:
            return False
        for i in range(2, int(math.sqrt(num)) + 1):
            if num % i == 0:
                return False
        return True

    return [num for num in range(2, 100000) if ff1(num)][:n]


def poisk(ll):
    vse = math.prod(ll)

    oo = float('inf')
    best_a = 1

    for r in range(1, len(ll) + 1):
        for subset in combinations(ll, r):
            kl = math.prod(subset)
            if kl < vse // kl:
                a = kl
                b = vse // kl
                difference = b - a
                if difference < oo:
                    oo = difference
                    best_a = a

    return best_a


n = int(input())
ll = ff(n)
result = poisk(ll)
print(result)