from itertools import combinations

# Вводим веса четырех гирь
weights = []
for _ in range(4):
    weights.append(int(input()))

found = False

# Перебираем все возможные комбинации гирь для первой чаши
for r in range(1, 5):  # от 1 до 4 гирь
    for combo in combinations(weights, r):
        sum_a = sum(combo)
        sum_b = sum(weights) - sum_a

        if sum_a == sum_b:
            found = True
            # Выводим только числа из комбинаций
            print(" ".join(map(str, combo)))
            print(" ".join(map(str, [w for w in weights if w not in combo])))
            break  # Выход из внутреннего цикла
    if found:
        break  # Выход из внешнего цикла

if not found:
    print(-1)