def count_similar_pairs(N, K):
    # Количество возможных комбинаций последних K цифр
    last_K_combinations = 10 ** K

    # Количество чисел с N цифр, которые можно составить
    first_part_count = 9 * 10 ** (N - K - 1)

    # Количество пар для одной комбинации последних K цифр
    pairs_per_combination = first_part_count * (first_part_count - 1) // 2

    # Общее количество пар
    total_pairs = last_K_combinations * pairs_per_combination

    return total_pairs


# Пример
N = int(input())
K = int(input())
print(count_similar_pairs(N, K))
