weights = [int(input()) for _ in range(4)]

from itertools import combinations

def find_balance(weights):
    total_weight = sum(weights)
    

    for r in range(1, 4):
        for combination in combinations(weights, r):
            left_weight = sum(combination)
            right_weight = total_weight - left_weight
            
            if left_weight == right_weight:
                left_g_weights = ' '.join(map(str, combination))
                right_g_weights = ' '.join(map(str, set(weights) - set(combination)))
                return left_g_weights, right_g_weights

    return 1,

balance_result = find_balance(weights)

if balance_result == 1:
    print(1)
else:
    left_side, right_side = balance_result
    print(left_side)
    print(right_side)