import math
n = int(input())
primes = [
    2, 3, 5, 7, 11, 13, 17, 19, 23, 29,
    31, 37, 41, 43, 47, 53, 59, 61, 67, 71,
    73, 79, 83, 89, 97, 101, 103, 107, 109, 113
][:n]
scale = 10 ** 6
scaled_logs = [int(math.log(p) * scale) for p in primes]
total_log = sum(scaled_logs)
target = total_log // 2
dp = {0: -1}  
for i, log_val in enumerate(scaled_logs):
    new_dp = dp.copy()
    for s in dp:
        new_s = s + log_val
        if new_s not in new_dp:
            new_dp[new_s] = i
    dp = new_dp
best_s = max(s for s in dp if s <= target)
subset = []
s = best_s
while s > 0:
    i = dp[s]
    subset.append(primes[i])
    s -= scaled_logs[i]
a = 1
for p in subset:
    a *= p
b = 1
for p in primes:
    if p not in subset:
        b *= p
if a >= b:
    a, b = b, a  
print(a)