def sol(h, w):
    display = [[""] * w for _ in range(h)]
    pattern = "RGBGRGBG"
    pattern_length = len(pattern)
    
    top, left = 0, 0
    bottom, right = h - 1, w - 1
    index = 0

    while top <= bottom and left <= right:
        for col in range(left, right + 1):
            display[top][col] = pattern[index % pattern_length]
            index += 1
        top += 1
        
        for row in range(top, bottom + 1):
            display[row][right] = pattern[index % pattern_length]
            index += 1
        right -= 1
        
        if top <= bottom:
            for col in range(right, left - 1, -1):
                display[bottom][col] = pattern[index % pattern_length]
                index += 1
            bottom -= 1
        
        if left <= right:
            for row in range(bottom, top - 1, -1):
                display[row][left] = pattern[index % pattern_length]
                index += 1
            left += 1

    for row in display:
        print("".join(row))


h = int(input())
w = int(input())
sol(h, w)