from itertools import combinations

def balance_weights(a, b, c, d):
    weights = [a, b, c, d]
    total_weight = sum(weights)

    if total_weight % 2 != 0:
        return [-1]

    half_weight = total_weight // 2

    for i in range(1, 5):
        for subset in combinations(weights, i):
            if sum(subset) == half_weight:
                subset = list(subset)
                remaining = list(set(weights) - set(subset))
                return subset, remaining

    return [-1]


a = int(input())
b = int(input())
c = int(input())
d = int(input())

answ = balance_weights(a,b,c,d)

if len(answ) == 1:
    print(answ[0])
    exit()
 
for i in range(len(answ)):
    for j in answ[i]:
        print(j, end=' ')

    print()