def count_interesting_numbers(n: int) -> int:
    n_str = str(n)
    length = len(n_str)
    
    def count_for_length(k: int) -> int:
        if k == 1:
            return 9
        return 9 * (10 ** (k - 2))

    total_count = sum(count_for_length(k) for k in range(1, length))
    
    first_digit = int(n_str[0])
    last_digit = int(n_str[-1])
    middle_part = int(n_str[1:-1] or "0")
    
    for first in range(1, first_digit + 1):
        for last in range(0, 10):
            if first == last:
                if first == first_digit and last == last_digit:
                    total_count += middle_part + 1
                elif first < first_digit:
                    total_count += 10 ** (length - 2)
    
    return total_count

n = int(input())
print(count_interesting_numbers(n))