//Задача D

#include <iostream>
#include <cmath>
using namespace std;

long long countNumbersWithSameFirstLastDigit(long long n) {
    long long count = 0;

    for (int firstDigit = 1; firstDigit <= 9; ++firstDigit) {
        for (int length = 1; length <= 18; ++length) {
            long long minNum = firstDigit * pow(10, length - 1);
            long long maxNum = (firstDigit + 1) * pow(10, length - 1) - 1;
            
            if (minNum > n) continue;

            for (int lastDigit = 0; lastDigit <= 9; ++lastDigit) {
                if (firstDigit == lastDigit) {
                    long long lowerBound = minNum + lastDigit;
                    long long upperBound = maxNum + lastDigit;

                    if (lowerBound <= n && upperBound <= n) {
                        count++;
                    }
                }
            }
        }
    }

    return count;
}

int main() {
    long long n;
    cin >> n;

    long long result = countNumbersWithSameFirstLastDigit(n);
    cout << result + 1 << endl;

    return 0;
}
