n = int(input())

partitions = []

def generate_partition(n, start, current):
    if n == 0:
        partitions.append(current)
        return
    for i in range(start, n + 1):
        generate_partition(n - i, i + 1, current + [i])

generate_partition(n, 1, [])

for partition in partitions:
    is_fast_growing = True
    for i in range(len(partition) - 2):
        a, b, c = partition[i], partition[i + 1], partition[i + 2]
        if (b - a) >= (c - b):
            is_fast_growing = False
            break
    if is_fast_growing:
        print('+'.join(map(str, partition)))
