def count_similar_pairs(n, k):
    if k > n:
        return 0

    total_pairs = 0
    max_num = 10**n
    min_num = 10**(n - 1)

    # Генерируем все числа с n цифрами
    for a in range(min_num, max_num):
        suffix_a = str(a)[-k:]  # Последние k цифр числа a
        for b in range(a + 1, max_num):
            suffix_b = str(b)[-k:]  # Последние k цифр числа b
            if suffix_a == suffix_b:
                total_pairs += 1

    return total_pairs

# Чтение ввода
n = int(input())
k = int(input())

# Вывод результата
print(count_similar_pairs(n, k))