#include <iostream>
#include <string>

using namespace std;

long long count_similar_pairs(int n, int k) {
    if (k > n) {
        return 0;
    }

    long long total_pairs = 0;
    int min_num = pow(10, n - 1);
    int max_num = pow(10, n);

    for (int a = min_num; a < max_num; ++a) {
        string suffix_a = to_string(a).substr(n - k, k); // Последние k цифр числа a
        for (int b = a + 1; b < max_num; ++b) {
            string suffix_b = to_string(b).substr(n - k, k); // Последние k цифр числа b
            if (suffix_a == suffix_b) {
                ++total_pairs;
            }
        }
    }

    return total_pairs;
}

int main() {
    int n, k;
    cin >> n >> k;

    cout << count_similar_pairs(n, k) << endl;

    return 0;
}