#include <iostream>
#include <vector>

using namespace std;

int divideIntoTwoParts (vector<int> a, int i) {
    vector<int> partA;
    vector<int> partB;
    for (int j=0; j<i; j++) {
        partA.push_back(a[i]);
    }
    for (int j=i; j<a.size(); j++) {
        partB.push_back(a[i]);
    }
    
    int mulA = 1;
    int mulB = 1;
    for (int j=0; j<i; j++) {
        mulA *= a[j];
    }
    for (int j=i; j<a.size(); j++) {
        mulB *= a[j];
    }
    
    if (mulB - mulA > 0) {
        return mulB - mulA;
    }
    else {
        return mulA - mulB;
    }
}

int findMinDiffAK (vector<int> a, int i) {
    vector<int> partA;
    vector<int> partB;
    for (int j=0; j<i; j++) {
        partA.push_back(a[i]);
    }
    for (int j=i; j<a.size(); j++) {
        partB.push_back(a[i]);
    }
    
    int mulA = 1;
    for (int j=0; j<i; j++) {
        mulA *= a[j];
    }
    
    return mulA;
}

int main() {
    vector<int> prime{2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113};
    int n;
    cin >> n;
    
    vector<int> a;
    for (int i=0; i<n; i++) {
        a.push_back(prime[i]);
    }
    
    int minDiff = 100000000;
    int minDiffId = 0;
    for (int i=0; i<n; i++) {
        if (divideIntoTwoParts(a, i) < minDiff) {
            minDiff = divideIntoTwoParts(a, i);
            minDiffId = i;
        }
    }
    
    cout << findMinDiffAK(a, minDiffId);

    return 0;
}