#include <iostream>
#include <vector>
#include <string>

int main() {
    int rows, cols;
    std::cin >> rows >> cols;
    rows += 1;
    char letters[] = {'R', 'G', 'B', 'G'};
    std::vector<std::string> output(rows);

    for (int i = 0; i < rows; ++i) {
        std::string line;
        for (int j = 0; j < cols; ++j) {
            if (i % 999999 == 0) { 
                line += letters[(j % 4) % 4];
            } else {
                if (i % 999999 == 1) {
                    line += letters[(j % 4 + 1) % 4];
                } else {
                    if (i % 2 == 0 && i % 4 != 0) {
                        line += letters[(j % 4 + 2) % 4];
                    } else {
                        if (i % 3 == 0) {
                            line += letters[(j % 4 + 3) % 4];
                        } else line += letters[(j % 4) % 4];
                    }
                }
            }    
        }
        output[i] = line;
    }

    for (const auto& line : output) {
        std::cout << line << std::endl;
    }

    return 0;
}