def count_matching_first_last(n):
    if not isinstance(n, int) or n <= 0:
        return -1  # Возвращаем -1 для некорректного ввода

    count = 0
    for i in range(1, n):
        s_i = str(i)
        if len(s_i) > 0 and s_i[0] == s_i[-1]:
            count += 1
    return count


if __name__ == "__main__":
    try:
        n = int(input())
        result = count_matching_first_last(n)
        if result != -1:
            print(result)
        else:
            print(-1)
    except ValueError:
        print(-1)