def solve():
    n = int(input())
    primes = [2]
    num = 3
    while len(primes) < n:
        is_prime = True
        for p in primes:
            if p * p > num:
                break
            if num % p == 0:
                is_prime = False
                break
        if is_prime:
            primes.append(num)
        num += 2

    min_diff = float('inf')
    best_a = 1

    for i in range(1 << n):
        a_mult = 1
        b_mult = 1
        for j in range(n):
            if (i >> j) & 1:
                a_mult *= primes[j]
            else:
                b_mult *= primes[j]

        if a_mult > b_mult:
            diff = abs(b_mult - a_mult)
            if diff < min_diff:
                min_diff = diff
                best_a = a_mult

    print(best_a)

solve()