h = int(input())
w = int(input())

screen = [['' for _ in range(w)] for _ in range(h)]

for i in range(h):
    color_cycle = ['R', 'G', 'B']
    first_color_index = i % 3
    for j in range(w):
        if (j + i) % 2 == 0:
            screen[i][j] = color_cycle[1]
        else:
            next_color_index = (first_color_index + j) % 3
            screen[i][j] = color_cycle[next_color_index]

for row in screen:
    print("".join(row))