def find_partitions(n):
    partitions = []

    def backtrack(current, remaining, last):
        if remaining == 0:
            partitions.append("+".join(map(str, current)))
            return

        if remaining < 0:
            return

        for i in range(last + 1, remaining + 1):
            if len(current) >= 2 and i - current[-1] <= current[-1] - current[-2]:
                continue
            backtrack(current + [i], remaining - i, i)

    backtrack([], n, 0)
    return partitions


n = int(input())
result = find_partitions(n)
for p in result:
    print(p)