def f_r_i_p(n):
    partitions = []

    def backtrack(start, remaining, current_partition):
        if remaining == 0:
            partitions.append(current_partition[:])
            return
        for i in range(start, remaining + 1):
            if len(current_partition) < 2 or (current_partition[-1] - current_partition[-2] < current_partition[-1] - i):
                current_partition.append(i)
                backtrack(i + 1, remaining - i, current_partition)
                current_partition.pop()

    backtrack(1, n, [])
    return partitions

n = int(input())
results = f_r_i_p(n)

for result in results:
    print('+'.join(map(str, result)))