def generate_display(h, w):
    display = []
    colors = ['R', 'G', 'B']

    for row in range( h ):
        current_row = []
        for col in range( w ):
            if col % 2 == 0:
                current_row.append( 'G' )
            else:
                if (row + col) % 3 == 0:
                    current_row.append( 'R' )
                else:
                    current_row.append( 'B' )

        # Сдвиг строки
        shift = row % 3
        current_row = current_row[-shift:] + current_row[:-shift]
        display.append( ''.join( current_row ) )

    return display


# Чтение входных данных
h = int( input() )
w = int( input() )

# Генерация дисплея
display = generate_display( h, w )

# Вывод дисплея
for row in display:
    print( row )
