def is_valid_partition(partition):
    for i in range(len(partition) - 2):
        if not (partition[i + 1] - partition[i] < partition[i + 2] - partition[i + 1]):
            return False
    return True

def find_partitions(n, start=1, current_partition=[]):
    if n == 0:
        if is_valid_partition(current_partition):
            print('+'.join(map(str, current_partition)))
        return
    
    for next_number in range(start, n + 1):
        find_partitions(n - next_number, next_number + 1, current_partition + [next_number])


n = int(input())
find_partitions(n)
