def is_fast_increasing_partition(partition):
    for i in range(len(partition) - 2):
        if not (partition[i + 1] - partition[i] < partition[i + 2] - partition[i + 1]):
            return False
    return True


def find_partitions(n, start=1, current_partition=[]):
    if n == 0:
        if is_fast_increasing_partition(current_partition):
            print('+'.join(map(str, current_partition)))
        return

    for i in range(start, n + 1):
        find_partitions(n - i, i + 1, current_partition + [i])


n = int(input())
find_partitions(n)
