h = int(input())

w = int(input())

# Определение последовательности цветов (RGB)

colors = ['R', 'G', 'B']

# Инициализация списка для хранения строк пикселей

screen = []

# Генерация строк пикселей

for i in range(h):

    row = []

    # Сдвиг определяет начальный цвет для каждой строки

    start_color = (i % 3)  # Определить первый цвет в зависимости от номера строки

    for j in range(w):

        # Каждый второй пиксель - зеленый, остальные - красные и синие

        if j % 2 == 0:  # Четные индексы

            row.append(colors[start_color])  # Добавить соответствующий цвет

        else:  # Нечетные индексы

            row.append(colors[(start_color + 1) % 3])  # Следующий цвет

    screen.append(''.join(row))  # Преобразование строки в строку

# Вывод результатов

for line in screen:

    print(line)