# Читаем веса гирь из стандартного ввода
weights = [int(input()) for _ in range(4)]

# Генерируем все возможные подмножества гирь
from itertools import combinations

# Проверяем все комбинации для нахождения равновесия
for i in range(1, 5):
    for left in combinations(weights, i):
        left_sum = sum(left)
        right = weights.copy()
        for w in left:
            right.remove(w)
        right_sum = sum(right)

        # Если находим равновесие
        if left_sum == right_sum:
            print(' '.join(map(str, left)))  # Выводим гирь для левой чаши
            print(' '.join(map(str, right)))  # Выводим гирь для правой чаши
            exit(0)  # Завершаем программу

# Если равновесия не найдено
print(-1)