def is_valid_partition(partition):
    for i in range(len(partition) - 2):
        if not (partition[i + 2] - partition[i + 1] & gt; partition[i + 1] - partition[i]):
            return False
    return True


def find_partitions(n, start=1, current_partition=[]):
    if n == 0:
        if is_valid_partition(current_partition):
            print('+'.join(map(str, current_partition)))
        return

    for i in range(start, n + 1):
        if i & lt;= n:
            find_partitions(n - i, i + 1, current_partition + [i])

n = int(input())
find_partitions(n)