def solve():
    n = int(input())

    def is_chaotic(partition):
        for i in range(len(partition) - 2):
            if partition[i + 1] == (partition[i] + partition[i + 2]) // 2:
                return False
        return True

    def find_partitions(current_sum, current_partition, start_num):
        if current_sum == n:
            if len(current_partition) > 0:
                if is_chaotic(current_partition):
                    print("+".join(map(str, current_partition)))
            return

        if current_sum > n:
            return

        for i in range(start_num, n + 1):
            if i not in current_partition:
                new_partition = current_partition + [i]
                if len(new_partition) == 0 or i > current_partition[-1]:
                    find_partitions(current_sum + i, new_partition, i + 1)

    find_partitions(0, [], 1)


solve()