from itertools import combinations


def find_balance(weights):
    total_weight = sum(weights)

    if total_weight % 2 != 0:
        return None

    target_weight = total_weight // 2

    for r in range(1, len(weights) + 1):
        for combo in combinations(weights, r):
            if sum(combo) == target_weight:
                remaining_weights = weights.copy()
                for item in combo:
                    remaining_weights.remove(item)
                return combo, remaining_weights

    return None


a = int(input())
b = int(input())
c = int(input())
d = int(input())
weights = [a, b, c, d]

result = find_balance(weights)

if result:
    left_chamber, right_chamber = result

    print(' '.join(map(str, left_chamber)))
    print(' '.join(map(str, right_chamber)))
else:
    print("-1")
