"""h=int(input())
w=int(input())
pattern="RGB"
for i in range(h):
    row=""
    for j in range(w):
        row+=pattern[(i+j)%3]
    print(row)"""

def generate_lcd_display(h,w):
    colors=["R","G","B"]
    display=[]
    for i in range(h):
        shift=i%3
        row=[]
        for j in range(w):
            if (j+shift)%2==0:
                row.append(colors[1])
            else:
                row.append(colors[(j//2+shift)%2])
        display.append("".join(row))
    return display
h=int(input())
w=int(input())
lcd_display=generate_lcd_display(h,w)
for line in lcd_display:
    print(line)
