def check_fast_rising(a):
    return all(a[i + 2] - a[i + 1] > a[i+1] - a[i] for i in range(len(a) - 2))
   
def find_fast_rising(n, prev=0):
    for i in range(1, n // 2 + 1):
        if i <= prev:
            continue
        for sol in find_fast_rising(n - i, i):
            a = [i] + sol
            if len(a) < 3 or a[2] - a[1] > a[1] - a[0]:
                yield [i] + sol
    if n > prev:
        yield [n]

n = int(input())
for solution in find_fast_rising(n):
    for n in solution[:-1]:
        print(n, end='+')
    print(solution[-1])
