def main():
    target_sum = int(input())
    find_partitions([], target_sum, 1)

def find_partitions(current_partition, remaining_sum, start):
    if remaining_sum == 0:
        display_partition(current_partition)
        return
    for next_addend in range(start, remaining_sum + 1):
        current_partition.append(next_addend)
        find_partitions(current_partition, remaining_sum - next_addend, next_addend + 1)
        current_partition.pop()

def display_partition(partition):
    print('+'.join(map(str, partition)))

if __name__ == "__main__":
    main()
