from itertools import combinations
def balance_scales(weights):
    n = len(weights)
    for size in range(1, n // 2 + 1):
        for left_group in combinations(weights, size):
            left_sum = sum(left_group)
            right_group = [w for w in weights if w not in left_group]
            right_sum = sum(right_group)

            if left_sum == right_sum:

                return sorted(left_group), sorted(right_group)
    return -1
weights = []
for _ in range(4):
    weights.append(int(input()))


result = balance_scales(weights)
if result == -1:
    print(-1)
else:
    left, right = result
    print(" ".join(map(str, right)))
    print(" ".join(map(str, left)))

