def balance_weights():

    try:
        weights = [int(input()) for _ in range(4)]
    except ValueError:
        print("Invalid input. Please enter four integers.")
        return

    total_weight = sum(weights)
    if total_weight % 2 != 0:
        print("-1")
        return

    target_weight = total_weight // 2

    for i in range(1 << 4):
        left_side_weights = []
        right_side_weights = []
        for j in range(4):
            if (i >> j) & 1:
                left_side_weights.append(weights[j])
            else:
                right_side_weights.append(weights[j])

        if sum(left_side_weights) == target_weight:
            print(*left_side_weights)
            print(*right_side_weights)
            return

    print("-1")

balance_weights()