def count_similar_pairs(n, k):
    if not (1 <= n <= 10 and 1 <= k <= n):
        raise ValueError("z")

    count = 0
    last_k_digits_count = {}

    for i in range(10 ** (n - 1), 10 ** n):
        last_k = str(i)[-k:]

        if last_k in last_k_digits_count:
            last_k_digits_count[last_k] += 1
        else:
            last_k_digits_count[last_k] = 1


    for value in last_k_digits_count.values():
        if value > 1:
            count += (value * (value - 1)) // 2

    return count



n = int(input())
k = int(input())
try:
    result = count_similar_pairs(n, k)
    print(result)
except ValueError as e:
    print(f"Error: {e}")