def solve():
    n = int(input())
    primes = []
    num = 2
    count = 0
    while count < n:
        is_prime = True
        for i in range(2, int(num ** 0.5) + 1):
            if num % i == 0:
                is_prime = False
                break
        if is_prime:
            primes.append(num)
            count += 1
        num += 1

    min_diff = float('inf')
    best_a = -1

    for i in range(1 << n):
        group_a = []
        group_b = []
        for j in range(n):
            if (i >> j) & 1:
                group_a.append(primes[j])
            else:
                group_b.append(primes[j])

        a = 1
        for x in group_a:
            a *= x

        b = 1
        for x in group_b:
            b *= x

        diff = abs(a - b)
        if diff < min_diff:
            min_diff = diff
            best_a = a

    print(best_a)
solve()