n = int(input())

import itertools

primes = []

def isPrime(number):
    if number < 2:
        return False
    for i in range(2,(number//2)+1):
        if (number % i) == 0:
            return False
    return True

for i in range(1,999):
    if len(primes) >= n:
        break
    if isPrime(i):
        primes.append(i)

def offset():
    global primes
    last = primes[-1]
    primes.pop()
    primes.insert(0,last)

def split(pos,list):
    A = []
    B = []

    for i,num in enumerate(list):
        if i < pos:
            A.append(num)
        else:
            B.append(num)
    return A,B

def calcMult(A,B):
    a = 1
    b = 1
    for num in A:
        a *= num
    for num in B:
        b *= num
    
    return a,b

final_a = 1
lowest = 99999999

for list in itertools.permutations(primes,len(primes)):
    for i in range(0,len(primes)):
        A,B = split(i,list)
        a,b = calcMult(A,B)

        if b-a >= 1 and b-a < lowest:
            lowest = b-a
            final_a = a
print(final_a)