from itertools import permutations
from functools import lru_cache

@lru_cache(maxsize=2*32)
def multiply(l):
    result = 1
    for i in l:
        result *= i
    return result


primes = [2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113]

def count(n):
    # n = int(input())
    permutation = permutations(primes[:n])
    minn = float('inf')
    minr = 0

    for perm in permutation:
        for i in range(0, n // 2 + 1):
            a, b = multiply(perm[:i]), multiply(perm[i:])
            if abs(b-a) < minn:
                minr = min(a,b)
                minn = abs(b-a)

    return minr

print(count(int(input())))