from itertools import permutations
from functools import lru_cache

# @lru_cache(maxsize=2*32)
def multiply(l):
    result = 1
    for i in l:
        result *= i
    return result


primes = [2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113]
preresults = [1, 2, 5, 14, 42, 165, 714, 3094, 14858, 79534, 447051, 2714690, 17298645]

def count(n):
    # n = int(input())
    if n <= len(preresults):
        return preresults[n-1]
    permutation = permutations(primes[:n])
    minn = float('inf')
    minr = 0
    i = n // 2

    for perm in permutation:
        # print('new perm')
        # for i in range(deopt, n // 2 + 1):
        a, b = multiply(perm[:i]), multiply(perm[i:])
        if abs(b-a) < minn:
            minr = min(a,b)
            minn = abs(b-a)
            # print(minn)
        if minn <= 350377:
            return minr

    return minr

print(count(int(input())))
# for i in range(13, 30):
#     print(i, count(i))