#include <algorithm>
#include <iostream>
#include <vector>
#include <queue>
#include <cmath>
#include <deque>

using namespace std;

typedef long long ll;

const ll INF = 1e15;

class Solver {
public :
    void Solve() {
        cin >> n >> k;

        if (n == 1) {
            cout << 0;
            exit(0);
        }

        if (k == n) {
            cout << pow(10, n - 1) * 9 / 2;
            exit(0);
        }

        cout << pow(10, k) * pow(90, n - k - 1) * 36;
    }
private :
    ll n, k;
};

int main() {
    Solver().Solve();
}
