#include <algorithm>
#include <iostream>
#include <vector>
#include <queue>
#include <cmath>
#include <deque>

using namespace std;

typedef long long ll;

const ll INF = 1e15;

class Solver {
public :
    ll power(ll a, ll b) {
        ll res = 1;
        while (b--) {
            res *= a;
        }

        return res;
    }

    void Solve() {
        cin >> n >> k;

        if (n == 1) {
            cout << 0;
            exit(0);
        }

        if (k > n) {
            cout << 0;
            exit(0);
        }

        if (k == n) {
            cout << power(10, n - 1) * 9 / 2;
            exit(0);
        }

        cout << power(10, k) * power(90, n - k - 1) * 72 / 2;
    }
private :
    ll n, k;
};

int main() {
    Solver().Solve();
}
