#include <algorithm>
#include <iostream>
#include <vector>
#include <queue>
#include <cmath>
#include <deque>

using namespace std;

typedef long long ll;

const ll INF = 1e15;

class Solver {
public :
    ll power(ll a, ll b) {
        ll res = 1;
        while (b--) {
            res *= a;
        }

        return res;
    }

    void Solve() {
        cin >> n;

        if (n < 10) {
            cout << n;
            exit(0);
        }

        if (n <= 1e5) {
            ll res = 9;
            for (ll i = 10; i <= n; i++) {
                if (i % 10 == i / power(10, (ll)(log10(i)))) res++;
            }

            cout << res;
            exit(0);
        }

        if (power(10, (ll)(log10(n))) == n) {
            n--;

            cout << 9 * power(10, (ll)(log10(n)) - 2);
            exit(0);
        }
    }
private :
    ll n;
};

int main() {
    Solver().Solve();
}
