#include <algorithm>
#include <iostream>
#include <vector>
#include <queue>
#include <cmath>
#include <deque>

using namespace std;

typedef long long ll;
typedef unsigned long long ull;

const ll INF = 1e15;

class Solver {
public :
    ll power(ll a, ll b) {
        ll res = 1;
        while (b--) {
            res *= a;
        }

        return res;
    }

    void Solve() {
        cin >> n;

        if (n < 10) {
            cout << n;
            exit(0);
        }

        if (power(10, (ull)(log10(n))) == n) {

            if ((ull)(log10(n)) == 18) {
                cout << "100000000000000008";
                exit(0);
            }

            vector<ull> vec(19);
            vec[0] = 0;
            vec[1] = 9;
            vec[2] = 18;
            vec[3] = 108;
            for (int i = 4; i < vec.size(); i++) {
                vec[i] = vec[i - 1] + 9 * pow(10, i - 2);
            }


            cout << vec[(ull)(log10(n))];
            exit(0);
        }

        if (n <= 1e9) {
            vector<ull> vec(9);
            vec[0] = 0;
            vec[1] = 9;
            vec[2] = 18;
            vec[3] = 108;
            for (int i = 4; i < vec.size(); i++) {
                vec[i] = vec[i - 1] + 9 * pow(10, i - 2);
            }

            ll res = vec[(ll)(log10(n))];
            //cout << res << "\n";
            for (ll i = power(10, (ll)(log10(n))); i <= n; i++) {
                if (i % 10 == i / power(10, (ll)(log10(i)))) res++;
            }

            cout << res;
            exit(0);
        }
    }
private :
    ll n;
};

int main() {
    Solver().Solve();
}
