/* NK1 */

#include <iostream>
#include <cmath>

typedef unsigned long long SLL;

SLL Digits( SLL n )
{
  long double smth = log10(n);
  SLL smth2 = ceil(smth);

  if (smth == smth2)
    smth2++;

  return smth2;
}

SLL DigitByIndex( SLL n, int k )
{
  SLL res;

  for (SLL i = 0; i < k + 1; i++)
  {
    res = n % 10;
    n /= 10;
  }
  return res;
}

int main( void )
{
  SLL n;
  std::cin >> n;

  SLL d = Digits(n);

  SLL sum = 0;

  for (SLL i = 1; i <= d - 1; i++)
  {
    SLL between = i - 2;
    if (between < 0)
      between = 0;

    sum += 9 * pow(10, between);
  }

  SLL last = DigitByIndex(n, 0);
  SLL first = DigitByIndex(n, d - 1);
  SLL between = d - 2;

  if (between < 0)
  {
    std::cout << n;
    return 0;
  }

  SLL OtherSum = 0;
  for (SLL i = d - 1, j = 0; i >= 0; i--, j++)
  {
    SLL digit = DigitByIndex(n, i);

    if (i != 0)
      OtherSum += (digit - (i == d - 1 ? 1 : 0)) * pow(10, between - j);
    else
    {
      if (last >= first)
        OtherSum++;
    }
  }
  sum += OtherSum;
  std::cout << sum;
}
