/* NK1 */

#include <iostream>
#include <cmath>
#include <vector>

typedef signed long long SLL;

void Rec( int n, std::vector<int> &V, int s )
{
  auto sz = V.size();

  if (n == s)
  {
    for (int i = 0; i < sz; i++)
    {
      std::cout << V[i];
      if (i < sz - 1)
        std::cout << "+";
    }
    std::cout << "\n";
    return;
  }
  int diff = V[sz - 1] - V[sz - 2];

  for (int i = diff + V[sz - 1] + 1; i < n; i++)
  {
    if (i - V[sz - 1] > diff)
    {
      V.push_back(i);
      Rec(n, V, s + i);
      V.pop_back();
    }
  }

}

int main( void )
{
  int n;
  std::cin >> n;

  std::cout << n << "\n";
  for (int i = 1; i < n; i++)
    for (int j = i + 1; j < n; j++)
    {
      std::vector<int> V = {i, j};
      V.reserve(100);
      Rec(n, V, i + j);
    }
}
