from random import randint

def bin_search(a, value):
    sort_a = sorted(a)
    left = 0
    right = len(a) - 1
    mid = len(a) // 2
    while sort_a[mid] != value and left <= right:
        if value > sort_a[mid]:
            left = mid + 1
        else:
            right  = mid - 1
        mid = (left + right) // 2
    if left > right:
        return -1
    else:
        return sort_a[mid]

def solve_A(h, w):
    ans = [''] * h
    for i in range(h):
        for j in range(w):
            if i % 4 == 0 and j % 2 == 1: ans[i] += 'G'
            if i % 4 == 0 and j % 4 == 2: ans[i] += 'B'
            if i % 4 == 0 and j % 4 == 0: ans[i] += 'R'

            if i % 4 == 1 and j % 2 == 0: ans[i] += 'G'
            if i % 4 == 1 and j % 4 == 1: ans[i] += 'B'
            if i % 4 == 1 and j % 4 == 3: ans[i] += 'R'

            if i % 4 == 2 and j % 2 == 1: ans[i] += 'G'
            if i % 4 == 2 and j % 4 == 0: ans[i] += 'B'
            if i % 4 == 2 and j % 4 == 2: ans[i] += 'R'

            if i % 4 == 3 and j % 2 == 0: ans[i] += 'G'
            if i % 4 == 3 and j % 4 == 3: ans[i] += 'B'
            if i % 4 == 3 and j % 4 == 1: ans[i] += 'R'
    return ans

def solve_B(a1, a2, a3, a4):
    temp = [0] * 4
    temp[0] =  a1
    temp[1] =  a2
    temp[2] =  a3
    temp[3] =  a4
    temp = sorted(temp)
    if (a1 + a2 + a3 + a4) % 2 == 1:
        print(-1)
        return -1
    else:
        sum = (a1 + a2 + a3 + a4) / 2
        if (temp[3] + temp[0]) == sum:
            print(str(temp[0]) + ' ' + str(temp[3]))
            print(str(temp[1]) + ' ' + str(temp[2]))
            return
        if temp[3] == sum:
            print(temp[3])
            print(str(temp[0]) + ' ' + str(temp[1]) + ' ' + str(temp[2]) + ' ')
            return
        if (temp[3] + temp[2]) == sum:
            print(str(temp[2]) + ' ' + str(temp[3]))
            print(str(temp[0]) + ' ' + str(temp[1]))
            return
        if (temp[3] + temp[1]) == sum:
            print(str(temp[1]) + ' ' + str(temp[3]))
            print(str(temp[0]) + ' ' + str(temp[2]))
            return

        print(-1)
        return


if __name__  == '__main__':
    # n = int(input())
    # a, b = map(int, input().split())
    # res = []
    # res.append(str(solve_A(a, b)))
    # print(*res)
    # solve_A()
    # test = []
    # for i in range(100):
    #     test.append(randint(10, 50))
    # print(bin_search(test, 4))
    # h, w = map(int, input().split())
    a1 = int(input())
    a2 = int(input())
    a3 = int(input())
    a4 = int(input())
    solve_B(a1, a2, a3, a4)
