#include <iostream> 
#include <cmath>

using namespace std;

int P[] =
{
	2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113
};

static int R[31];

int len(int n)
{
	return (int)log10(n) + 1;
}

inline int num(int n, int i)
{
	if (i == -1)
		return num(n, len(n));
	return (n % (int)pow(10, i)) / (int)pow(10, i - 1);
}


int foo( int n )
{
	int mk;
	if (num(n, 1) < num(n, -1))
		mk = num(n, 1);
	else
		mk = num(n, -1) - 1;

	int r = 0;

	for (int i = 2; i <= len(n) - 1; i++)
	{
		r += (num(n, i) - 1) * pow(10, i - 2);
	}
	r += mk * pow(10, len(n) - 2);
	return r;
}

int main(void)
{
	int n;
	cin >> n;
	int c = 0;
	for (int i = 1; i < n; i++)
		if (num(i, -1) == num(i, 1))
			c++;
	cout << c;
}