#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>
#include <cstdlib>

using namespace std;

bool compare( const vector<int> &Left, const vector<int> &Right )
{
    int sum1 = 0, sum2 = 0;
    for (auto num : Left)
        sum1 += num;
    for (auto num : Right)
        sum2 += num;

    return sum1 == sum2;
}

void output(const vector<int> &Left, const vector<int> &Right )
{
    for (auto num : Left)
        cout << num << " ";

    cout << endl;

    for (auto num : Right)
        cout << num << " ";
}

void check( const vector<int> &Left, const vector<int> &Right )
{
    if (compare(Left, Right))
    {
        output(Left, Right);
        exit(0);
    }
}

int main( void )
{
    int a, b, c, d;

    cin >> a;
    cin >> b;
    cin >> c;
    cin >> d;

    check({d, b, c}, {a});
    check({a, d, c}, {b});
    check({a, b, d}, {c});
    check({a, b, c}, {d});

    check({a, b}, {c, d});
    check({a, c}, {b, d});
    check({a, d}, {c, b});

    cout << "-1";

    return 0;
}
