#include <iostream>
#include <vector>
#include <algorithm>

bool firstAndLastDigitsMatch(int num) {
    std::vector<int> digits;

    do {
        digits.push_back(num % 10);
        num /= 10;
    } while (num > 0);

    return digits.front() == digits.back();
}

int countMatchingNumbers(int n) {
    int count = 0;

    for (int i = 1; i <= n; ++i) {
        if (firstAndLastDigitsMatch(i)) {
            count++;
        }
    }

    return count;
}

int main() {
    int n;
    std::cin >> n;

    std::cout << countMatchingNumbers(n) << std::endl;

    return 0;
}