def count_similar_pairs(n):
    total_pairs = 0
    if n <= 1:
        return total_pairs 
    
    for k in range(1, n):
        total_numbers_with_same_last_k_digits = 10 ** k
        count_first_digits = 9 * 10 ** (n - k - 1)
        total_pairs += total_numbers_with_same_last_k_digits * count_first_digits * (count_first_digits - 1) // 2
    
    return total_pairs

inputs = input()
n_values = map(int, inputs.split())

for n in n_values:
    result = count_similar_pairs(n)
    if result > 0: 
        print(result)
