from itertools import combinations

def balance_weights(weights):
    total_weight = sum(weights)
    if total_weight % 2 != 0:
        return -1
    target_weight = total_weight // 2
    n = len(weights)


    for r in range(n + 1):
        for combo in combinations(weights, r):
            if sum(combo) == target_weight:
                left_side = list(combo)
                right_side = [w for w in weights if w not in left_side]
                return left_side, right_side
    return -1  
weights = []
for _ in range(4):
    weight = int(input())
    weights.append(weight)

result = balance_weights(weights)

if result == -1:
    print(-1)
else:
    left_side, right_side = result
    print(' '.join(map(str, left_side)))
    print(' '.join(map(str, right_side)))

