def generate_display(h, w):
    display = []

    for i in range(h):
        row = []
        for j in range(w):
            if (i % 3 == 0):
                row.append('R' if j % 3 == 0 else 'G' if j % 3 == 1 else 'B')
            elif (i % 3 == 1):
                row.append('G' if j % 3 == 0 else 'B' if j % 3 == 1 else 'R')
            else:
                row.append('B' if j % 3 == 0 else 'R' if j % 3 == 1 else 'G')
        display.append(''.join(row))

    return display


h = int(input())
w = int(input())

result = generate_display(h, w)
for line in result:
    print(line)
