def count_similar_pairs(n, k):
    if k > n:
        return 0  # Если k больше n, то невозможно

    # Количество способов выбрать первые n-k цифр
    first_digit_choices = 9  # Первая цифра от 1 до 9
    other_digit_choices = 10 ** (n - k - 1) if n > k else 1  # Остальные n-k-1 цифры могут быть от 0 до 9

    # Количество способов выбрать последние k цифр
    last_digit_choices = 10 ** k

    # Общее количество чисел с фиксированными последними k цифрами
    total_numbers_with_last_k_fixed = first_digit_choices * other_digit_choices * last_digit_choices

    # Количество пар (a, b) для одинаковых последних k цифр
    if last_digit_choices < 2:
        return 0

    similar_pairs_count = total_numbers_with_last_k_fixed * (last_digit_choices * (last_digit_choices - 1)) // 2

    return similar_pairs_count

# Чтение входных данных
n = int(input().strip())
k = int(input().strip())

# Вычисление и вывод результата
result = count_similar_pairs(n, k)
print(result)
