def count_interesting_numbers(n):
    str_n = str(n)
    length_n = len(str_n)
    count = 0

    # Считаем интересные числа с длиной меньше, чем длина n
    for d in range(1, length_n):
        # Первая и последняя цифры могут быть от 1 до 9
        # Остальные d-2 цифры могут быть от 0 до 9
        count += 9 * (10 ** (d - 2)) * 9

    # Считаем интересные числа с длиной равной длине n
    first_digit = int(str_n[0])
    last_digit = int(str_n[-1])

    # Первая цифра может быть от 1 до first_digit
    for first in range(1, first_digit + 1):
        if first == first_digit:
            # Если первая цифра равна первой цифре n, мы ограничены последними цифрами
            for last in range(0, last_digit + 1):
                if last == first:
                    # Все числа с первой и последней цифрой равными
                    count += 10 ** (length_n - 2)  # Остальные цифры могут быть любыми
        else:
            count += 10 ** (length_n - 2)  # Остальные цифры могут быть любыми

    return count


# Чтение входных данных
n = int(input())
print(count_interesting_numbers(n))

