#include <iostream>
#include <vector>

using namespace std;

// Функция для генерации и вывода дисплея
void generateDisplay(int h, int w) {
    for (int i = 0; i < h; ++i) { // Перебираем строки
        for (int j = 0; j < w; ++j) { // Перебираем столбцы
            // Определяем текущую позицию с учетом смещения строки
            int pos = (j + i) % w; 

            // Определяем цвет пикселя
            // Формула для определения цвета:
            // 1. Если позиция четная (пики G)
            // 2. Если нечетная обираем среди R и B
            if ((pos % 3) == 0) {
                cout << 'G'; // Зеленый
            } else if ((pos % 3) == 1) {
                cout << 'R'; // Красный
            } else {
                cout << 'B'; // Синий
            }
        }
        cout << endl; // Переход на новую строку
    }
}

int main() {
    int h, w;
    cout << "Введите высоту (h): ";
    cin >> h; // Ввод высоты
    cout << "Введите ширину (w): ";
    cin >> w; // Ввод ширины

    generateDisplay(h, w); // Генерация и вывод дисплея

    return 0;
}
