n = int(input())
k = int(input())

def count_similar_pairs(n, k):
    if n <= 1:
        return 0  # Для n=1 пар нет, потому что нет двух различимых n-значных чисел

    # Общее количество n-значных чисел
    total_numbers = 9 * (10 ** (n - 1))
    
    # Количество n-значных чисел с одинаковыми k последними цифрами
    pairs_count = 0

    # Для каждой возможной комбинации последних k цифр (от 0 до 9)
    for k in range(1, n):  # k может быть от 1 до n-1
        # Количество возможных значений для последних k цифр
        total_last_k_combinations = 10 ** k
        
        # Количество n-значных чисел для каждой комбинации последних k цифр
        count_per_combination = total_numbers // total_last_k_combinations
        
        # Учитываем только если в группе больше 1 числа
        if count_per_combination > 1:
            # Считываем количество пар (a, b)
            pairs_count += count_per_combination * (count_per_combination - 1) // 2

    return pairs_count

result = count_similar_pairs(n)
print(f"Количество пар похожих чисел: {result}")
