def generate_display(h, w):
    screen = [['' for _ in range(w)] for _ in range(h)]
    colors = ['R', 'G', 'B', 'G']
    for i in range(h):
        for j in range(w):
            color_index = (j + i) % 4
            screen[i][j] = colors[color_index]
    return screen
def print_display(screen):
    for row in screen:
        print(''.join(row))
h = int(input())
w = int(input())
screen = generate_display(h, w)
print_display(screen)