#include <iostream>
#include <vector>
#include <string>

int main() {
    int h, w;
    std::cin >> h >> w;

    std::vector<std::string> display(h);

    for (int i = 0; i < h; ++i) {
        std::string row(w, ' ');  

        for (int j = 0; j < w; ++j) {
            if (j % 2 == 0) {
                row[j] = 'G';  
            } else {
                if ((i + j) % 4 == 1) {
                    row[j] = 'R';  
                } else {
                    row[j] = 'B';  
                }
            }
        }

        display[i] = row;  
    }

    for (const auto& row : display) {
        std::cout << row << std::endl;
    }

    return 0;
}