def generate_display(h, w):
    display = []

    for i in range(h):
        row = []
        for j in range(w):
            if j % 2 == 0:
                row.append('G')  
            else:
                if (i % 4 == 0):
                    row.append('R' if (j // 2) % 2 == 0 else 'B')
                elif (i % 4 == 1):
                    row.append('B' if (j // 2) % 2 == 0 else 'R')
                elif (i % 4 == 2):
                    row.append('R' if (j // 2) % 2 == 0 else 'B')
                elif (i % 4 == 3):
                    row.append('B' if (j // 2) % 2 == 0 else 'R')

        display.append(''.join(row))  

    return display

h = int(input())
w = int(input())

for line in generate_display(h, w):
    print(line)