def interesting_numbers(n):
    s = str(n)
    length = len(s)

    count = 0

    # Count interesting numbers with fewer digits than n
    for d in range(1, length):
        if d == 1:
            count += 9  # 1 to 9
        else:
            count += 9 * (10 ** (d - 2))  # 9 options for front and back, 10^(d-2) for other digits

    # Count interesting numbers with exactly the same number of digits as n
    first_digit = int(s[0])
    last_digit = int(s[-1])

    if first_digit == last_digit:
        count += 1  # Count n itself if it is interesting

    for d in range(1, first_digit):
        count += 10 ** (length - 2)  # For each number from 1 to first_digit-1

    return count


n = int(input())
print(interesting_numbers(n))
