def interesting_count(n):
    count = 0
    for i in range(1, n + 1):
        str_i = str(i)
        if str_i[0] == str_i[-1]:
            count += 1
    return count

from functools import lru_cache

@lru_cache(maxsize=None)
def cached_interesting_count(n):
    return interesting_count(n)
n = int(input())
result = cached_interesting_count(n)
print(result)