#include <iostream>
#include <vector>
#include <set>
#include <string>
#include <utility>

using namespace std;
vector<string> data;
set<pair<string, string >> pairs;
int n, k;
void gen( string s ){
    if( s.length() == n ){
        data.push_back(s);
    }
    else{

        for( int i = 0; i < 10; i++ ){
            gen(s + to_string(i) );
        }
    }
}

bool check( string a,string b ){
    pair<string, string> ap = {a, b};
    pair<string, string> bp = {b, a};

    if( pairs.find(ap) != pairs.end() || pairs.find(bp) != pairs.end() ){
        return false;
    }
    else{
        bool flag = true;
        for( int i = 0; i < k; i++ ){
            if( b[n-k] != a[n-k] ){
                flag = false;
                break;
            }
        }
        return flag;
    }

}

int main(){
    cin >> n >> k;

    for( int i = 1; i < 10; i++ ){
        gen( to_string(i) );
    }
    for( auto a : data ){
        for( auto b : data ){
            if( a != b ){
                if( check( a, b ) ){
                    pairs.insert({a,b});
                }
            }
        }
    }
    cout << pairs.size() << endl;


    return 0;
}
