#include <iostream>
#include <vector>
#include <set>
#include <utility>
#include <string>

std::vector<std::string> data;
std::set<std::pair<std::string, std::string >> pairs;
int n, k;
void gen( std::string s ){
    if( s.length() == n ){
        data.push_back(s);
    }
    else{

        for( int i = 0; i < 10; i++ ){
            gen(s + std::to_string(i) );
        }
    }
}

bool check( std::string a,std::string b ){
    std::pair<std::string, std::string> ap = {a, b};
    std::pair<std::string, std::string> bp = {b, a};

    if( pairs.find(ap) != pairs.end() || pairs.find(bp) != pairs.end() ){
        return false;
    }
    else{
        bool flag = true;
        for( int i = 0; i < k; i++ ){
            if( b[n-k] != a[n-k] ){
                flag = false;
                break;
            }
        }
        return flag;
    }

}

int main(){
    std::cin >> n >> k;

    for( int i = 1; i < 10; i++ ){
        gen( std::to_string(i) );
    }
    for( int i = 0; i < data.size(); i++ ){
        std::string a = data[i];
        for( int j = 0; j < data.size(); j++  ){
            std::string b = data[j];
            if( a != b ){
                if( check( a, b ) ){
                    pairs.insert({a,b});
                }
            }
        }
    }
    std::cout << pairs.size() << std::endl;


    return 0;
}

