#include <iostream>
#include <vector>
#include <cmath>

using namespace std;

char prevNotGreen = 'B';

vector<char> generateLine(int width, int del) {
    vector<char> line;
    for (int i = 0; i < width; i++) {
        if (i % 2 == del) {
            line.push_back('G');
        } else {
            if (prevNotGreen == 'R') {
                prevNotGreen = 'B';
            } else {
                prevNotGreen = 'R';
            }
            line.push_back(prevNotGreen);
        }
    }
    return line;
}

int main() {
    int h, w;
    cin >> h >> w;

    char lastPrinted = 'R';

    if (w == 1) {
        vector<char> line = generateLine(h, 1);

        for (char element: line) {
            cout << element << endl;
        }

        return 0;
    }

    vector<char> line = generateLine(w, 1);
    for (int i = 0; i < h; i++) {
        for (char el: line) {
            cout << el;
        }
        cout << endl;

        if (line[abs((i) % 2)] == 'R') {
            prevNotGreen = 'B';
        } else {
            prevNotGreen = 'R';
        }

        line = generateLine(w, i % 2);
    }

    return 0;
}
