def can_balance(weights):
    total_weight = sum(weights)

    
    if total_weight % 2 != 0:
        return False

    target_weight = total_weight // 2
    n = len(weights)

    
    achievable = [False] * (target_weight + 1)
    achievable[0] = True  

    
    for weight in weights:
        for j in range(target_weight, weight - 1, -1):
            if achievable[j - weight]:
                achievable[j] = True

    return achievable[target_weight]

