def balance_weights(weights):
    total_sum = sum(weights)
    n = len(weights)
    if total_sum % 2 != 0:
        print(-1)
        return
    target = total_sum // 2
    for mask in range(1, 1 << n):
        subset_sum = 0
        subset = []
        complement = []
        for i in range(n):
            if mask & (1 << i):
                subset_sum += weights[i]
                subset.append(weights[i])
            else:
                complement.append(weights[i])
        if subset_sum == target:
            print(' '.join(map(str, subset)))
            print(' '.join(map(str, complement)))
            return
    print(-1)

weights = []
while len(weights) < 4:
    line = input()
    if not line.strip():
        continue
    weight = int(line.strip())
    if 1 <= weight <= 100:
        weights.append(weight)
    else:
        exit(1)
balance_weights(weights)