def count_similar_pairs(n, k):
    if n == k:
        return 0
    else:
        total_endings = 10 ** k  # Total possible endings
        N_e = 9 * (10 ** (n - k - 1))  # Number of numbers with a fixed ending e
        pairs_per_ending = N_e * (N_e - 1) // 2  # Number of pairs for one ending
        total_pairs = total_endings * pairs_per_ending  # Total pairs across all endings
        return total_pairs

n = int(input())
k = int(input())
print(count_similar_pairs(n, k))