def generate_partitions(n):
    def helper(partition, remaining_sum):
        if remaining_sum == 0:
            print('+'.join(map(str, partition)))
            return
        last_integer = partition[-1] if partition else 0
        for next_integer in range(last_integer + 1, remaining_sum + 1):
            if len(partition) < 2:
                helper(partition + [next_integer], remaining_sum - next_integer)
            else:
                last_difference = partition[-1] - partition[-2]
                new_difference = next_integer - partition[-1]
                if new_difference > last_difference:
                    helper(partition + [next_integer], remaining_sum - next_integer)
                else:
                    continue

    helper([], n)

n = int(input())
generate_partitions(n)