﻿#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <string>

using namespace std;


long long step(long long X, int N) {
    long long O = 1;
    for (int i = 0; i < N; i++) O *= X;
    return O;
}




int main() {
    long long N; cin >> N;
    long long OTV = 0;
    string s = to_string(N);
    vector <long long> v(s.size());
    for (int i = 0; i < s.size(); i++) v[i] = int(s[i] - '0');
    int Q = v.size();


    for (int i = 1; i < Q; i++) {
        OTV += 9 * step(10, i - 2);
    }

    if (N < (long long) (v[0] * step(10, Q - 1) + v[0])) {
        cout << OTV << endl;
        return 0;
    }

    cout << OTV << endl;
    vector <vector <long long>> dp(Q + 1, vector <long long>(2, 1));
    dp[1][1] = v[0] - 1;
    if (Q > 1 && v[Q - 1] < v[0]) v[Q - 2]--;
    for (int i = 2; i < Q; i++) {
        dp[i][1] = dp[i - 1][1] * 10 + v[i - 1];
    }
    OTV += dp[Q - 1][1] + 1;

    cout << OTV << endl;


    return 0;
}
