﻿#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <string>

using namespace std;


void gen(int N, vector <int>& v) {
    if (N == 0) {
        for (int i = 0; i < v.size() - 1; i++) cout << v[i] << "+";
        cout << v[v.size() - 1] << "\n";
        return;
    }
    if (v.size() == 0) {
        for (int i = 1; i <= N; i++) {
            v.push_back(i);
            gen(N - i, v);
            v.pop_back();
        }
    } else if (v.size() == 1) {
        for (int i = v[0] + 1; i <= N; i++) {
            v.push_back(i);
            gen(N - i, v);
            v.pop_back();
        }
    } else {
        for (int i = 2 * v[v.size() - 1] + v[v.size() - 2] + 1; i <= N; i++) {
            v.push_back(i);
            gen(N - i, v);
            v.pop_back();
        }
    }
}




int main() {
    int N; cin >> N;
    vector <int> v;
    gen(N, v);
    return 0;
}
