# n = int(input())
# count = 0

# for i in range(1, n + 1):
#     if str(i)[0] == str(i)[-1]:
#         count += 1

# print(count)


def count_interesting_numbers(n):
    cache = {}
    
    def interesting_count(length):
        if length in cache:
            return cache[length]
        if length == 1:
            count = 9
        else:
            count = 9 * (10 ** (length - 2)) * 9
        
        cache[length] = count
        return count

    total_count = 0
    length = len(str(n))
    
    for l in range(1, length):
        total_count += interesting_count(l)
    
    # first_digit = int(str(n)[0])
    # last_digit = int(str(n)[-1])
    
    for i in range(10 ** (length - 1), n + 1):
        if str(i)[0] == str(i)[-1]:
            total_count += 1

    return total_count

n = int(input())
print(count_interesting_numbers(n))
