def is_fast_growing(partition):
    for i in range(len(partition) - 2):
        if partition[i + 2] - partition[i + 1] <= partition[i + 1] - partition[i]:
            return False
    return True

def find_partitions(n, start=1, current_pn=None, res=None):
    if current_pn is None:
        current_pn = []
    if res is None:
        res = []
    if n == 0 and is_fast_growing(current_pn):
        res.append(current_pn)
        return res
    for i in range(start, n + 1):
        find_partitions(n - i, i + 1, current_pn + [i], res)
    return res

def main():
    n = int(input())
    partitions = find_partitions(n)
    
    for partition in partitions:
        print("+".join(map(str, partition)))

if __name__ == "__main__":
    main()
