def fast_increasing_partitions(n):
    result = []
    
    def find_partitions(remaining, last, partition):
        if remaining == 0:
            result.append(partition)
            return
        for next_num in range(last + 1, remaining + 1):
            if len(partition) < 2 or (next_num - partition[-1] > partition[-1] - partition[-2]):
                find_partitions(remaining - next_num, next_num, partition + [next_num])

    find_partitions(n, 0, [])
    for p in result:
        print("+".join(map(str, p)))

n = int(input())
fast_increasing_partitions(n)