from collections import defaultdict


n = int(input())
k = int(input())

counts = defaultdict(int)


for num in range(10 ** (n - 1), 10 ** n):
    last_k_digits = num % (10 ** k)
    counts[last_k_digits] += 1

result = sum(count * (count - 1) // 2 for count in counts.values())

print(result)