def count_similar_pairs(n, k):
    
    lower_bound = 10 ** (n - 1)
    upper_bound = 10 ** n - 1

    last_k_digits_count = {}


    for num in range(lower_bound, upper_bound + 1):
        last_k_digits = num % (10 ** k)
        if last_k_digits in last_k_digits_count:
            last_k_digits_count[last_k_digits] += 1
        else:
            last_k_digits_count[last_k_digits] = 1


    total_pairs = 0
    for count in last_k_digits_count.values():
        if count > 1:
            total_pairs += (count * (count - 1)) // 2

    return total_pairs


n = int(input(" "))
k = int(input(" "))


result = count_similar_pairs(n, k)
print(result)
