h, w = int(input()), int(input())


def get_rgb_line(length=10, start_pixel="R"):
    start_index = 1 if start_pixel == "G" else 0
    ans = ["G"] * length
    is_red = start_pixel == "R"
    for i in range(start_index, length, 2):
        ans[i] = "R" if is_red else "B"
        is_red = not is_red
    return "".join(ans)


def to_make_full_rgb(prev_line):
    if prev_line[-1] != "G":
        return prev_line + "G"
    else:
        if prev_line[-2] == "B":
            return prev_line + "R"
        return prev_line + "B"


prev_line = get_rgb_line(length=w)
print(prev_line)
for str_num in range(h - 1):
   cur_line = to_make_full_rgb(prev_line[1:])
   print(cur_line)
   prev_line = cur_line