def eratosphene(n):
    primes = []
    current_number = 2

    while len(primes) < n:
        is_prime = True
        for p in primes:
            if p * p > current_number:
                break
            if current_number % p == 0:
                is_prime = False
                break
        if is_prime:
            primes.append(current_number)
        current_number += 1

    return primes


n = int(input())
primes = eratosphene(n)
# print(primes)

total_product = 1
for prime in primes:
    total_product *= prime
half_product = total_product // 2
n = len(primes)

dp = {1}  # дпшка
for prime in primes:
    new_dp = set(dp)
    for p in dp:
        new_dp.add(p * prime)
    dp = new_dp

min_differ = float('inf')
best_a = 1
for a in dp:
    if a < half_product:
        b = total_product // a
        if b > a and (b - a) < min_differ:
            min_diff = b - a
            best_a = a
print(best_a)