a = int(input())
b = int(input())
c = int(input())
d = int(input())


def balance_weights(weights):
    n = len(weights)
    total_combinations = 1 << n

    for i in range(total_combinations):
        left_sum = 0
        right_sum = 0
        left_weights = []
        right_weights = []

        for j in range(n):
            if i & (1 << j):
                left_sum += weights[j]
                left_weights.append(weights[j])
            else:
                right_sum += weights[j]
                right_weights.append(weights[j])

        if left_sum == right_sum:
            return left_weights, right_weights

    return -1


weights = [a, b, c, d]

result = balance_weights(weights)
if result == -1:
    print(-1)
else:
    left_weights, right_weights = result
    print(" ".join(map(str, left_weights)))
    print(" ".join(map(str, right_weights)))
