#include<unordered_map>
#include<unordered_set>
#include <functional>
#include <algorithm>
#include <iostream>
#include <cstring>
#include <iomanip>
#include <numeric>
#include <fstream>
#include <vector>
#include <cmath>
#include <stack>
#include <queue>
#include <list>
#include <map>
#include <set>

using namespace std;

using ull = unsigned long long;
using ll = long long;

vector<int> pr(int n) {
    vector<int> primes;
    int count = 0;
    int num = 2; 

    while (count < n) {
        bool flag = true;
        for (int i = 2; i <= sqrt(num); ++i) {
            if (num % i == 0) {
                flag = false;
                break;
            }
        }
        if (flag) {
            primes.push_back(num);
            count++;
        }
        num++;
    }
    return primes;
}

void solve(vector<int>& primes, int ind, ll A, ll B, 
                            ll& a, ll& b, ll& mnDf) {
    if (ind == primes.size()) {
        if (A < B) {
            ll df = B - A;
            if (df < mnDf) {
                mnDf = df;
                a = A;
                b = B;
            }
        }
        return;
    }

    solve(primes, ind + 1, A * primes[ind], B, a, b, mnDf);
    
    solve(primes, ind + 1, A, B * primes[ind], a, b, mnDf);
}

int main() {
    int n; cin >> n;

    vector<int> primes = pr(n);
    ll a = 1, b = 1, mnDf = numeric_limits<ll>::max();

    solve(primes, 0, 1, 1, a, b, mnDf);

    cout <<  a;

    return 0;
}