def count_similar_pairs(n, k):
    total_numbers = 9 * (10 ** (n - 1)) 


    max_last_k_digits = 10 ** k
    

    last_k_digits_count = [0] * max_last_k_digits 


    for last_k in range(max_last_k_digits):
    
        if last_k < 10 ** (k - 1): 
            continue
        
        first_digits_count = 9 * (10 ** (n - k - 1)) if n > k else 1
        last_k_digits_count[last_k] = first_digits_count

    similar_pairs = 0
    for count in last_k_digits_count:
        if count > 1:
            similar_pairs += count * (count - 1) // 2 

    return similar_pairs

n = int(input())
k = int(input())

result = count_similar_pairs(n, k)
print(result)