def find_partitions(n, start=1, current_partition=None):
    if current_partition is None:
        current_partition = []
    
    if n == 0:
        print('+'.join(map(str, current_partition)))
        return

    for i in range(start, n + 1):
        if current_partition and i <= current_partition[-1]:
            continue
        current_partition.append(i)
        find_partitions(n - i, i + 1, current_partition)
        current_partition.pop()

n = int(input())
if 1 <= n <= 100:
    find_partitions(n)