def is_fast_increasing(partition):
    for i in range(len(partition) - 2):
        if partition[i + 2] - partition[i + 1] <= partition[i + 1] - partition[i]:
            return False
    return True

def find_fast_increasing_partitions(n, start=1, current_partition=None):
    if current_partition is None:
        current_partition = []
    
    if n == 0:
        if is_fast_increasing(current_partition):
            print('+'.join(map(str, current_partition)))
        return

    for i in range(start, n + 1):
        current_partition.append(i)
        find_fast_increasing_partitions(n - i, i + 1, current_partition)
        current_partition.pop()

n = int(input())
if 1 <= n <= 100:
    find_fast_increasing_partitions(n)