import java.util.*;
import java.io.*;

public class Main {
    public static void main(String[] args) {
		Scanner in = new Scanner(System.in);
		int h = in.nextInt();
		int w = in.nextInt();
		in.close();

        String[] pixels = new String[h];

        for (int i = 0; i < h; i++) {
            StringBuilder line = new StringBuilder();
            for (int j = 0; j < w; j++) {
                if (i % 4 == 0) {
                    line.append(getColor((j + i) % 4));
                } else if (i % 4 == 1) {
                    line.append(getColor((j + i) % 4));
                } else if (i % 4 == 2) {
                    line.append(getColor((j + i) % 4));
                } else {
                    line.append(getColor((j + i) % 4));
                }
            }
            pixels[i] = line.toString();
        }

        for (String f : pixels) {
            System.out.println(f);
        }
    }

    public static char getColor(int index) {
        switch (index) {
            case 0: return 'R';
            case 1: return 'G';
            case 2: return 'B';
            case 3: return 'G';
            default: return ' ';
        }
    }
}