#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

long long step(long long a, long long st) {
    if (st == 0) {
        return 1LL;
    }
    long long b = step(a, st / 2LL);
    if (st % 2) {
        return b * b * a;
    }
    return b * b;
}

signed main() {
    long long n, k;
    cin >> n >> k;
    if (n == k) {
        cout << 9LL * step(10LL, n - 1LL) << "\n";
        return 0;
    }
    long long x = step(10LL, n - k - 1LL) * 9LL;
    cout << step(10LL, k) * x * (x - 1LL) / 2LL << "\n";
    return 0;
}
