#include <iostream>
#include <cstdint>
#include <algorithm>
#include <vector>
#include <numeric>
#include <string>

using namespace std;

#define FAST cin.tie(0);cout.tie(0);
#define int int32_t
#define ll int64_t
#define endl '\n'

void solve();

int32_t main() {
    FAST;

    int32_t t = 1;
    //cin >> t;

    while (t--) {
        solve();
    }

    return 0;
}

ll pow(ll n) {
    ll res = 1;
    while (n--) {
        res *= 10;
    }
    return res;
}

ll len(ll x) {
    ll n = 0;
    while (x > 0) {
        x /= 10;
        n++;
    }

    return n;
}


ll find(ll x) {
    ll n = len(x);
    ll res = 0;
    if (n == 1) {
        return x;
    }
    if (n == 2) {
        return x / 11 + 9;
    }

    res += (x % (pow(n - 1))) / 10 + 1;
    res += (x % 10 - 1) * (pow(n - 1) / 10);

    res += find(pow(n - 1) - 1);
    return res;
}

void solve() {
    ll x;
    cin >> x;

    ll n = len(x);

    while (x % 10 != x / pow(n - 1)) {
        x--;
        n = len(x);
    }

    cout << find(x) << endl;
}