#include <iostream>
#include <vector>
#include <string>
#include <set>
#include <map>
#include <algorithm>
#include <cmath>


#define all(x) x.begin(), x.end()
#define endl "\n"

using namespace std;
using ll = long long;
using vi = vector<ll>;

ll my_stoi(string& s){
    ll res = 0;
    for (int i = 0; i < s.size(); i++){
        res *= 10;
        res += s[i] - '0';
    }
    return res;
}

ll p(ll x){
    ll res = 1;
    while (x--){
        res *= 10;
    }
    return res;
}

ll get(ll c){
    if (c == 1){
        return (ll)9;
    }
    string s = "1";
    c -= 2;
    while (c--){
        s += "0";
    }
    s += "8";
    return (ll)my_stoi(s);
}

void solve(){
    ll n; cin >> n;
    string ns;
    ll ans = 0;
    if (n < 200){
        for (ll i = 1; i <= n; i++){
            ns = to_string(i);
            if (ns[0] == ns.back()){
                ans++;
            }
        }
        cout << ans << endl;
        return;
    }
    ns = to_string(n);
    ll c = ns.size();

    ans = get(c - 1);

    ll l = ns[0] - '0';
    ans += (l - 1) * p(c - 2);

    string ns2;
    for (ll i = 1; i < c - 1; i++){
        ns2.push_back(ns[i]);
    }

    ll n2 = (int)my_stoi(ns2);
    ans += n2;
    if (ns.back() - '0' >= l){
        ans++;
    }

    cout << ans << endl;
}

signed main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);


    solve();
}
