#include <iostream>
#include <istream>
#include <queue>
#include <deque>
#include <vector>
#include <string>
#include <map>
#include <cmath>
#include <random>
#include <unordered_map>
#include <unordered_set>
#include <ios>

using namespace std;

using ll = long long;

void rec(ll n, vector<ll>& ls) {
    if (n == 0) {
        cout << ls[0];
        for (ll i = 1; i < ls.size(); i++) {
            cout << "+" << ls[i];
        }
        cout << '\n';
    }
    else if (ls.size() == 0) {
        for (ll i = 1; i <= n; i++) {
            ls.push_back(i);
            rec(n - i, ls);
            ls.pop_back();
        }
    }
    else {
        for (ll i = ls[ls.size() - 1] + 1; i <= n; i++) {
            if (i > n || (ls.size() > 1 && i - ls[ls.size() - 1] <= ls[ls.size() - 1] - ls[ls.size() - 2])) {
                continue;
            }
            ls.push_back(i);
            rec(n - i, ls);
            ls.pop_back();
        }
    }
}

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    ll n;
    cin >> n;
    vector<ll> ls(0);
    rec(n, ls);
}