#include <iostream>
using namespace std;

long long logarithm(long long x) {
    if (x < 1) {
        return 0;
    }
    return logarithm(x / 10) + 1;
}

long long power(long long x, long long y) {
    if (y == 0) {
        return 1;
    }
    return power(x, y - 1) * x;
}

int main() {
    long long n;
    cin >> n;
    long long ans = 0;
    for (int i = 1; i < logarithm(n); i++) {
        if (i == 1) {
            ans += 9;
        }
        else if (i == 2) {
            ans += 9;
        }
        else {
            ans += 9 * power(10, i - 2);
        }
    }
    for (long long i = power(10, logarithm(n) - 1); i <= n; i++) {
        if (i % 10 == i / power(10, logarithm(n) - 1)) {
            ans++;
        }
    }
    cout << ans;
    return 0;
}
