﻿#include <iostream>
#include <vector>
#include <cstdint>
#include <string>
using namespace std;
#define int long long

void recursion(int n, vector<int> a) {
	if (n == 0) {
		cout << a[0];
		for (int i = 1; i < a.size(); ++i) {
			cout << '+' << a[i];
		}
		cout << "\n";
		return;
	}

	int len = a.size();
	if (len == 0) {
		for (int i = 1; i < (n + 1) / 2; ++i) {
			a.push_back(i);
			recursion(n - i, a);
			a.pop_back();
		}
		recursion(0, { n });
	}
	else if (len == 1) {
		for (int i = a[0] + 1; i <= n; ++i) {
			if (n - i < 0) {
				break;
			}
			a.push_back(i);
			recursion(n - i, a);
			a.pop_back();
		}
	}
	else {
		for (int i = a[len - 1]; i <= n; ++i) {
			if (n - i < 0) {
				break;
			}
			if (i - a[len - 1] > a[len - 1] - a[len - 2]) {
				a.push_back(i);
				recursion(n - i, a);
				a.pop_back();
			}
		}
	}
}

int32_t main() {
	ios::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);

	int n;
	cin >> n;
	recursion(n, {});


	return 0;
}
