#include <iostream>
#include <vector>

#define int long long

using namespace std;

bool isPrime(int x)
{
    for (int i = 2; i * i <= x; i++)
    {
        if (x % i == 0) return 0;
    }
    return 1;
}

int mul(int pref, vector <int> &arr)
{
    int ans = 1;
    for (int i = 0; i < pref; i++) ans *= arr[i];
    return ans;
}

signed main()
{
    int n;
    cin >> n;
    vector <int> primes;
    for (int i = 2; primes.size() < n; i++)
    {
        if (isPrime(i)) primes.push_back(i);
    }
    int all = mul(n, primes);
    int l = 0, r = n, m;
    while (r - l > 1)
    {
        m = (r + l) / 2;
        int now = mul(m, primes);
        if (all / now - now > 0) l = m;
        else r = m;
    }
    cout << mul(l, primes);
    return 0;
}
