#include <iostream>
#include <vector>

using namespace std;
typedef long long ll;

bool isPrime(int x)
{
    for (int i = 2; i * i <= x; i++)
    {
        if (x % i == 0) return 0;
    }
    return 1;
}

pair <ll, ll> check(int idx, ll mul1, ll mul2, vector <ll> &primes)
{
    if (idx == primes.size())
    {
        if (mul1 > mul2) return {1e18, 1e18};
        return {mul2 - mul1, mul1};
    }
    pair <ll, ll> v1 = check(idx + 1, mul1 * primes[idx], mul2, primes), v2 = check(idx + 1, mul1, mul2 * primes[idx], primes);
    return min(v1, v2);
}

int main()
{
    int n;
    cin >> n;

    vector <ll> primes;
    for (int i = 2; primes.size() != n; i++)
    {
        if (isPrime(i)) primes.push_back(i);
    }
    pair <ll, ll> ans = check(0, 1, 1, primes);
    cout << ans.second;
    return 0;
}
