﻿#ifdef _MSC_VER
#include <iostream>
#include <iomanip>
#include <vector>
#include <cassert>
#include <set>
#include <map>
#include <unordered_map>
#include <algorithm>
#include <math.h>
#include <stdio.h>
#include <functional>
#include <string>
#else
#include <bits/stdc++.h>
#endif

using namespace std;

#define int long long
#define imax(a, b) a= max(a, b)
#define imin(a, b) a=min(a, b)
#define all(a) a.begin(),a.end()
#define str string
#define vec vector
#define elif else if

template<typename T>
void print(T a, char VV = ' ') {
	//for (auto e : a) cout << e << VV;
	for (int i = 0; i < a.size() - 1; i++) cout << a[i] << VV;
	cout << a.back();
	cout << '\n';
}
const int inf = INT64_MAX;

void solve() {
	int n; cin >> n;
	vec<bool> pr(128, 1);
	pr[0] = 0;
	pr[2] = 1;
	pr[3] = 1;
	vec<int> p;
	for (int i = 2; i < 128; i++) {
		if (pr[i]) {
			for (int j = i * i; j < 128; j += i) pr[j] = 0;
			p.push_back(i);
		}
	}
	//print(p);
	int res = inf;
	int curr = 0;
	for (int mask = 0; mask < (1ll << n); mask++) {
		int a = 1;
		int b = 1;
		for (int j = 0; j < n; j++) {
			if (mask & (1ll << j)) {
				a *= p[j];
			}
			else b *= p[j];
		}
		if (a != b && abs(a - b) < res) {
			res = abs(a - b);
			curr = min(a, b);
		}
	}
	cout << curr;
}




int32_t main() {
	ios::sync_with_stdio(0); cin.tie(0); cout.tie(0);
	int TST = 1; //cin >> TST;
	while (TST--) { solve(); }
}