﻿#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>
#include <string>

#define int long long

const int INF = 1e18;

using namespace std;

int clever(int n) {
	if (n <= 9) {
		return n;
		exit(0);
	}
	string s = to_string(n);
	int ans = 9, mult = 1;
	for (int dig = 2; dig <= s.size(); dig++) {
		if (dig == s.size()) {
			for (int i = 0; i < s.size(); i++) {
				ans += (s[i] - '0' - 1) * mult;
				mult /= 10;
			}
			break;
		}
		ans += 9 * mult;
		mult *= 10;
	}
	return ans;
}

int slow(int n) {
	int ans = 0;
	for (int i = 1; i <= n; i++) {
		string s = to_string(i);
		if (s[0] == s.back()) {
			ans++;
		}
	}
	return ans;
}

signed main() {
	ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
//	for (int i = 110; i <= 1e5; i++) {
//		int res1 = clever(i), res2 = slow(i);
//		if (res1 != res2) {
//			cout << i << '\n';
//			cout << res1 << ' ' << res2 << '\n';
//			break;
//		}
//	}
	int n; cin >> n;
	vector<int> pr;
	for (int i = 2; i <= 1000; i++) {
		bool ok = true;
		for (int j = 2; j * j <= i; j++) {
			if (i % j == 0) {
				ok = false;
				break;
			}
		}
		if (ok) {
			pr.push_back(i);
		}
		if (pr.size() == n) {
			break;
		}
	}
	int dd = INF, ans = -1;
	for (int i = 0; i < (1ll << n); i++) {
		int a = 1, b = 1;
		for (int j = 0; j < n; j++) {
			if ((i >> j) & 1) {
				a *= pr[j];
			}
			else {
				b *= pr[j];
			}
		}
		if (a < b && b - a < dd) {
			dd = b - a;
			ans = a;
		}
	}
	cout << ans;
}