#include <iostream>
#include <vector>

int firstDigit(int x)
{
    while(x >= 10)
    {
        x /= 10;
    }
    return x;
}

bool isInteresting(int x)
{
    return x % 10 == firstDigit(x);
}

int power_of_10(int p)
{
    int x = 1;
    for(int i = 0; i < p; i++)
    {
        x *= 10;
    }
    return x;
}

int main()
{
    long long n;
    std::cin >> n;
    int p; //number of digits in n
    for(p = 0; power_of_10(p) <= n; p++);
    if(p == 1)
    {
        std::cout << n;
        return 0;
    }
    else if(p == 2)
    {
        if(n % 10 >= n / 10)
        {
            std::cout << n / 10 + 9;
        }
        else
        {
            std::cout << n / 10 + 8;
        }
        return 0;
    }

    int a = firstDigit(n);
    int b = n % 10;
    int x = (n - b - a * power_of_10(p - 1)) / 10;
    if(b >= a)
    {
        b = a;
    }
    else
    {
        x--;
        b = a;
        if(x < 0)
        {
            a--;
            b = a;
            x = power_of_10(p - 2) - 1;
            if(a == 0)
            {
                a = 9;
                b = 9;
                p--;
                x = power_of_10(p - 2) - 1;
            }
        }
    }

    if(p == 2)
    {
        if(n % 10 >= n / 10)
        {
            std::cout << n / 10 + 9;
        }
        else
        {
            std::cout << n / 10 + 8;
        }
        return 0;
    }

    int ans = 0;
    ans += x + 1;

    for(int t = a - 1; t > 0; t--)
    {
        ans += power_of_10(p - 2);
    }

    for(int dx = p - 3; dx >= 0; dx--)
    {
        for(int t = 9; t > 0; t--)
        {
            ans += power_of_10(dx - 2);
        }
    }

    std::cout << ans;

    return 0;
}
