﻿#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <iomanip>
#include <set>
#include <map>
#include <queue>

typedef long long ll;

using namespace std;

ll pow2(ll a, ll b) {
  if (b == 0) return 1;
  if (b == 1) return a;
  ll x = pow2(a, b / 2);
  x = x * x;
  if (b % 2 == 0) {
	return x;
  } else {
	return (x * a);
  }
}

int main() {
  ios_base::sync_with_stdio(false);
  cin.tie(0);
  cout.tie(0);
  ll n, k;
  cin >> n >> k;
  if (n == k) {
	cout << 0;
	//ftl();
	return 0;
  }
  cout << pow2(10, k) * (pow2(10, n - k - 1) * 9 * (pow2(10, n - k - 1) * 9 - 1)) / 2;
  return 0;
}
