﻿#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <iomanip>
#include <set>
#include <map>
#include <queue>

#pragma GCC optimize("unroll-loops")
#pragma GCC optimize("inline")
#pragma GCC optimize("Ofast")

typedef long long ll;

using namespace std;

ll pow2(ll a, ll b) {
  if (b == 0) return 1;
  if (b == 1) return a;
  ll x = pow2(a, b / 2);
  x = x * x;
  if (b % 2 == 0) {
	return x;
  } else {
	return (x * a);
  }
}

vector <int> ans;

void reCursion(int n) {
  if (n == 0) {
	for (int i = 0; i < ans.size(); ++i) {
	  if (i != 0) {
		cout << '+';
	  }
	  cout << ans[i];
	}
	cout << "\n";
	return;
  }
  if (ans.empty()) {
	for (int i = 1; i <= n; ++i) {
	  ans.push_back(i);
	  reCursion(n - i);
	  ans.pop_back();
	}
  } else if (ans.size() < 2) {
	for (int i = ans.back() + 1; i <= n; ++i) {
	  ans.push_back(i);
	  reCursion(n - i);
	  ans.pop_back();
	}
  } else {
	for (int i = ans.back() * 2 - ans[ans.size() - 2] + 1; i <= n; ++i) {
	  ans.push_back(i);
	  reCursion(n - i);
	  ans.pop_back();
	}
  }
}

int main() {
  ios_base::sync_with_stdio(false);
  cin.tie(0);
  cout.tie(0);
  int n;
  ans.clear();
  cin >> n;
  reCursion(n);
  /*
  ll n;
  cin >> n;
  int ans = 0;

  map<ll, ll> m;
  m[1] = 1;
  m[2] = 1;
  m[3] = 10;
  for (int i = 4; i <= 17; ++i) {
	m[i] = pow2(10, i - 2);
  }
  */
  return 0;
}
