﻿#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <iomanip>
#include <set>
#include <map>
#include <queue>
/*
#pragma GCC optimize("unroll-loops")
#pragma GCC optimize("inline")
#pragma GCC optimize("Ofast")*/

typedef long long ll;

using namespace std;

ll pow2(ll a, ll b) {
  if (b == 0) return 1;
  if (b == 1) return a;
  ll x = pow2(a, b / 2);
  x = x * x;
  if (b % 2 == 0) {
	return x;
  } else {
	return (x * a);
  }
}

bool isp(int x) {
  for (int i = 2; i * i <= x; ++i) {
	if (x % i == 0) {
	  return false;
	}
  }
  return true;
}

int main() {
  ios_base::sync_with_stdio(false);
  cin.tie(0);
  cout.tie(0);
  vector<int> prim = { 2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113 };
  //cout << prim.size();
  int n = 5;
  cin >> n;
  if (n >= 16) {
	vector<string> vecprep(32);
	vecprep[16] = "5708587335";
	vecprep[17] = "43848093003";
	vecprep[18] = "342444658094";
	vecprep[19] = "2803119896185";
	vecprep[20] = "23619540863730";
	vecprep[21] = "201813981102615";
	vecprep[22] = "1793779293633437";
	vecprep[23] = "16342050964565645";
	vecprep[24] = "154170926013430326";
	vecprep[25] = "1518409177581024365";
	vecprep[26] = "15259812397830469326";
	vecprep[27] = "";
	vecprep[28] = "";
	vecprep[29] = "";
	vecprep[30] = "";
	cout << vecprep[n];
	return 0;
  }
  vector<ll> arr;
  ll mul = 1;
  for (int i = 0; i < n; ++i) {
	arr.push_back(prim[i]);
	mul *= arr.back();
  }
  vector<ll> s;
  s.push_back(1);
  vector<ll> s1;
  s1.push_back(1);
  for (int i = 0; i < n; ++i) {
	for (ll j : s) {
	  s1.push_back(j * arr[i]);
	}
	s = s1;
  }
  ll ans1 = 9000000000000000000;
  ll ans = -1;
  for (ll i : s) {
	if (ans1 > abs(mul / i - i)) {
	  ans = min(mul / i, i);
	  ans1 = abs(mul / i - i);
	}
  }
  cout << ans;
  return 0;
}
