﻿#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <iomanip>
#include <set>
#include <map>
#include <queue>

#pragma GCC optimize("unroll-loops")
#pragma GCC optimize("inline")
#pragma GCC optimize("Ofast")

typedef long long ll;

using namespace std;

ll pow2(ll a, ll b) {
  if (b == 0) return 1;
  if (b == 1) return a;
  ll x = pow2(a, b / 2);
  x = x * x;
  if (b % 2 == 0) {
	return x;
  } else {
	return (x * a);
  }
}

bool isp(int x) {
  for (int i = 2; i * i <= x; ++i) {
	if (x % i == 0) {
	  return false;
	}
  }
  return true;
}

int main() {
  ios_base::sync_with_stdio(false);
  cin.tie(0);
  cout.tie(0);
  vector<int> prim = { 2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113 };
  //cout << prim.size();
  int n = 5;
  cin >> n;
  vector<ll> arr;
  ll mul = 1;
  for (int i = 0; i < n; ++i) {
	arr.push_back(prim[i]);
	mul *= arr.back();
  }
  set<ll> s;
  s.insert(1);
  set<ll> s1;
  s1.insert(1);
  for (int i = 0; i < n; ++i) {
	for (int j : s) {
	  s1.insert(j * arr[i]);
	}
	s = s1;
  }
  ll ans1 = 9000000000000000000;
  ll ans = -1;
  for (ll i : s) {
	if (ans1 > abs(mul / i - i)) {
	  ans = min(mul / i, i);
	  ans1 = abs(mul / i - i);
	}
  }
  cout << ans;
  return 0;
}
