#include <iostream>
#include <string>
#include <vector>
#include <algorithm>

#define ll long long

using namespace std;

ll pow(ll a, ll n) {
    if (n == 0) {
        return 1;
    } else if (n % 2 == 0) {
        return pow(a, n / 2) * pow(a, n / 2);
    } else {
        return pow(a, n / 2) * pow(a, n / 2) * a;
    }
}

int main()
{
    ll n, k;
    cin >> n >> k;
    if (k == n) {
        cout << 0;
        return 0;
    }
    ll s = pow(10, n - k - 1) * 9;
    ll ans = s * (s - 1) / 2;
    ans *= pow(10, k);
    cout << ans;
}
