#include <iostream>
#include <string>
#include <vector>
#include <algorithm>

#define ll long long

using namespace std;

vector<int> primes = {2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113};

ll pow(ll a, ll n) {
    if (n == 0) {
        return 1;
    } else if (n % 2 == 0) {
        return pow(a, n / 2) * pow(a, n / 2);
    } else {
        return pow(a, n / 2) * pow(a, n / 2) * a;
    }
}

int main() {
    int n;
    cin >> n;

    ll minimum = 1e18;
    ll ma = 1e18;
    for (ll mask = 0; mask < pow(2, n - 1); mask++) {
        ll a = 1;
        ll b = 1;
        for (int i = 0; i < n; i++) {
            if (mask / pow(2, i) % 2 == 0) {
                a *= primes[i];
            } else {
                b *= primes[i];
            }
        }
        if (b < a) {
            swap(a, b);
        }
        if (minimum > b - a) {
            minimum = b - a;
            ma = a;
        }
    }
    cout << ma;
}
