import java.math.BigInteger;
import java.util.Scanner;

public class Main {
    private static final int[] primes = new int[]{2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113};

    private static BigInteger pow(BigInteger a, BigInteger n) {
        if (n.compareTo(BigInteger.ZERO) == 0) {
            return BigInteger.ONE;
        } else if (n.mod(BigInteger.TWO).compareTo(BigInteger.ZERO) == 0) {
            return pow(a, n.divide(BigInteger.TWO)).pow(2);
        } else {
            return pow(a, n.divide(BigInteger.TWO)).pow(2).multiply(a);
        }
    }

    public static void main(String[] args) {
        Scanner scan = new Scanner(System.in);
        int n = scan.nextInt();

        BigInteger min = new BigInteger("99999999999999999999999999999999999999");
        BigInteger ma = new BigInteger("0");
        for (BigInteger mask = BigInteger.ZERO; mask.compareTo(BigInteger.ONE.shiftLeft(n - 1)) < 0; mask = mask.add(BigInteger.ONE)) {
            BigInteger a = BigInteger.ONE;
            BigInteger b = BigInteger.ONE;
            for (int i = 0; i < n; i++) {
                if (mask.shiftRight(i).mod(BigInteger.TWO).compareTo(BigInteger.ZERO) == 0) {
                    a = a.multiply(BigInteger.valueOf(primes[i]));
                } else {
                    b = b.multiply(BigInteger.valueOf(primes[i]));
                }
            }
            if (b.compareTo(a) < 0) {
                BigInteger c = new BigInteger(b.toString());
                b = new BigInteger(a.toString());
                a = new BigInteger(c.toString());
            }
            if (min.compareTo(b.subtract(a)) > 0) {
                min = b.subtract(a);
                ma = a;
            }
        }
        System.out.println(ma);
    }
}