#include <iostream>
#include <string>
#include <vector>
#include <cmath>

using namespace std;
using ll = long long;

const ll maxn = 1e9 + 7;

signed main() {
	ll h, w;
	cin >> h >> w;
	vector<vector<char>> g(h, vector<char>(w));
	g[0][0] = 'R';
	char cur = 'R';
	for (ll i = 1; i < w; i++) {
		if ((i + 1) % 2 == 0)
			g[0][i] = 'G';
		else if (cur == 'R') {
			g[0][i] = 'B';
			cur = 'B';
		}
		else {
			g[0][i] = 'R';
			cur = 'R';
		}
	}
	for (ll i = 1; i < h; i++) {
		for (ll j = 0; j < w; j++) {
			if (j != (w - 1)) {
				g[i][j] = g[i - 1][j + 1];
			}
			else {
				if (g[i - 1][0] == 'R')
					g[i][j] = 'B';
				else if (g[i - 1][0] == 'B')
					g[i][j] = 'R';
				else
					g[i][j] = 'G';
			}
		}
	}
	for (auto& i : g) {
		for (auto j : i)
			cout << j;
		cout << '\n';
	}
}