#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
#include <cmath>

using namespace std;

int main() {
    int h, w;

    cin >> h >> w;

    vector <vector <char>> arr(h, vector <char> (w));

    for (int i = 0; i < h; i++) {
        for (int j = 0; j < w; j++) {
            if ((i % 2 == 0 && j % 2 == 1) || (i % 2 == 1 && j % 2 == 0)) {
                arr[i][j] = 'G';
            }
        }
    }

    int curr = 0;

    for (int i = 0; i < h; i++) {
        if (arr[i][0] != 'G') {
            if (curr % 2 == 0) {
                arr[i][0] = 'R';
            } else {
                arr[i][0] = 'B';
            }

            curr++;
        }
    }

    if (w == 1) {
        for (int i = 0; i < h; i++) {
            for (int j = 0; j < w; j++) {
                cout << arr[i][j];
            }

            cout << "\n";
        }

        return 0;
    }

    for (int i = 0; i < h; i++) {
        for (int j = 0; j < w; j++) {
            if (j == 0) {
                if (arr[i][j] == 'G') {
                    if (arr[i][j + 1] == 'R') {
                        curr = 0;
                    } else {
                        curr = 1;
                    }
                } else {
                    if (arr[i][j] == 'R') {
                        curr = 1;
                    } else {
                        curr = 0;
                    }
                }
            } else {
                if (arr[i][j] != 'G') {
                    if (curr % 2 == 0) {
                        arr[i][j] = 'R';
                    } else {
                        arr[i][j] = 'B';
                    }

                    curr++;
                }
            }
        }
    }

    for (int i = 0; i < h; i++) {
        for (int j = 0; j < w; j++) {
            cout << arr[i][j];
        }

        cout << "\n";
    }
}