#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
#include <cmath>

using namespace std;

typedef long long ll;
typedef long double ld;

int main() {
    int h, w;

    cin >> h >> w;

    vector <vector <char>> arr(h, vector <char>(w));

    ll curr = 0;

    if (w == 1) {
        for (int i = 0; i < h; i++) {
            if (i % 2 == 1) {
                cout << "G\n";
            } else {
                if (curr % 2 == 0) {
                    cout << "R\n";
                } else {
                    cout << "B\n";
                }

                (curr == 1) ? curr = 0 : curr = 1;
            }
        }

        return 0;
    }

    for (int i = 0; i < w; i++) {
        if (i % 2 == 1) {
            arr[0][i] = 'G';
        } else {
            if (curr % 2 == 0) {
                arr[0][i] = 'R';
            } else {
                arr[0][i] = 'B';
            }

            (curr == 1) ? curr = 0 : curr = 1;
        }
    }

    ll last;

    if (w % 4 == 0 && w % 4 == 1) {
        last = 0;
    } else {
        last = 1;
    }

    for (int i = 1; i < h; i++) {
        for (int j = 0; j < w - 1; j++) {
            arr[i][j] = arr[i - 1][j + 1];
        }

        if (arr[i][w - 2] != 'G') {
            arr[i][w - 1] = 'G';
        } else {
            if (last % 2 == 0) {
                arr[i][w - 1] = 'R';
            } else {
                arr[i][w - 1] = 'B';
            }

            (curr == 1) ? curr = 0 : curr = 1;
        }
    }

    for (int i = 0; i < h; i++) {
        for (int j = 0; j < w; j++) {
            cout << arr[i][j];
        }

        cout << "\n";
    }
}