#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>

using namespace std;

typedef long long ll;

void sol_a() {
    int h, w;
    cin >> h >> w;
    for (int i = 0; i < h; i++) {
        for (int j = 0; j < w; j++) {
            if (i % 4 == 0) {
                if (j % 4 == 0) cout << "R";
                if (j % 4 == 1 || j % 4 == 3) cout << "G";
                if (j % 4 == 2) cout << "B";
            }
            if (i % 4 == 1) {
                if (j % 4 == 3) cout << "R";
                if (j % 4 == 0 || j % 4 == 2) cout << "G";
                if (j % 4 == 1) cout << "B";
            }
            if (i % 4 == 2) {
                if (j % 4 == 2) cout << "R";
                if (j % 4 == 1 || j % 4 == 3) cout << "G";
                if (j % 4 == 0) cout << "B";
            }
            if (i % 4 == 3) {
                if (j % 4 == 1) cout << "R";
                if (j % 4 == 0 || j % 4 == 2) cout << "G";
                if (j % 4 == 3) cout << "B";
            }
        }
        cout << '\n';
    }
}

void sol_b() {
    vector <int> a(4);
    for (int i = 0; i < 4; i++) cin >> a[i];
    sort(a.begin(), a.end());
    if (a[3] == a[0] + a[1] + a[2]) {
        cout << a[3] << '\n' << a[0] << " " << a[1] << " " << a[2];
        return;
    }
    if (a[0] + a[3] == a[1] + a[2]) {
        cout << a[0] << " " << a[3] << '\n' << a[1] << " " << a[2];
        return;
    }
    cout << -1;
}

void sol_c() {
    ll n, k;
    cin >> n >> k;
    if (n == k) {
        cout << 0;
        return;
    }
    cout << (ll)(pow(10, k) * (pow(10, n - k - 1) * 9 * (pow(10, n - k - 1) * 9 - 1)) / 2);
}

int main(){
    ios_base::sync_with_stdio();
    cin.tie(nullptr);
    cout.tie(nullptr);
    sol_c();
}
