﻿#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>

using namespace std;

typedef long long ll;

void sol_a() {
    int h, w;
    cin >> h >> w;
    for (int i = 0; i < h; i++) {
        for (int j = 0; j < w; j++) {
            if (i % 4 == 0) {
                if (j % 4 == 0) cout << "R";
                if (j % 4 == 1 || j % 4 == 3) cout << "G";
                if (j % 4 == 2) cout << "B";
            }
            if (i % 4 == 1) {
                if (j % 4 == 3) cout << "R";
                if (j % 4 == 0 || j % 4 == 2) cout << "G";
                if (j % 4 == 1) cout << "B";
            }
            if (i % 4 == 2) {
                if (j % 4 == 2) cout << "R";
                if (j % 4 == 1 || j % 4 == 3) cout << "G";
                if (j % 4 == 0) cout << "B";
            }
            if (i % 4 == 3) {
                if (j % 4 == 1) cout << "R";
                if (j % 4 == 0 || j % 4 == 2) cout << "G";
                if (j % 4 == 3) cout << "B";
            }
        }
        cout << '\n';
    }
}

void sol_b() {
    vector <int> a(4);
    for (int i = 0; i < 4; i++) cin >> a[i];
    sort(a.begin(), a.end());
    if (a[3] == a[0] + a[1] + a[2]) {
        cout << a[3] << '\n' << a[0] << " " << a[1] << " " << a[2];
        return;
    }
    if (a[0] + a[3] == a[1] + a[2]) {
        cout << a[0] << " " << a[3] << '\n' << a[1] << " " << a[2];
        return;
    }
    cout << -1;
}

void sol_c() {
    ll n, k;
    cin >> n >> k;
    if (n == k) {
        cout << 0;
        return;
    }
    cout << (ll)(pow(10, k) * (pow(10, n - k - 1) * 9 * (pow(10, n - k - 1) * 9 - 1)) / 2);
}

void sol_d() {
    ll n;
    cin >> n;
    int k = 0;
    ll n1 = n;
    vector <ll> p;
    while (n1 > 0) {
        p.push_back(n1 % 10);
        n1 /= 10;
        k++;
    }
    reverse(p.begin(), p.end());
    vector <ll> ans(19);
    ans[1] = 9;
    for (int i = 2; i < 19; i++) {
        ans[i] = ans[i - 1] + 9 * (ll)(pow(10, i - 2));
    }

    ll a = ans[k - 1];
    a += max((p[0] - 1), 0ll) * (ll)(pow(10, k - 2));
    for (int i = 1; i < k - 2; i++) {
        a += max((p[i]), 0ll) * (ll)(pow(10, k - i - 2));
    }
    if (k > 2) a += p[k - 2];
    if (p[0] <= p[k - 1]) a++;
    if (k == 1) a = n;
    cout << a;
}

void sol_e() {

}

void sol_f() {
    int n;
    cin >> n;
    vector <ll> simp;
    vector <bool> used(200);
    for (int i = 2; i < 200; i++) {
        if (!used[i]) simp.push_back(i);
        if (simp.size() == n) break;
        for (int j = 1; j * i < 200; j++) used[i * j] = 1;
    }

    ll m = 1e10, ans = 1;
    for (ll i = 0; i < (1ll << n); i++) {
        ll a = 1, b = 1;
        for (int j = 0; j < n; j++) {
            if (i & (1ll << j)) a *= simp[j];
            else b *= simp[j];
        }
        if (a < b && m > b - a && a > 0 && b > 0) {
            m = b - a;
            ans = a;
        }
    }

    cout << ans;
}

int main() {
    ios_base::sync_with_stdio();
    cin.tie(nullptr);
    cout.tie(nullptr);
    sol_f();
}
