def find_partitions(n):
    result = []

    def backtrack(start, remaining, current_partition):
        if remaining == 0:
            result.append(current_partition)
            return
        for i in range(start, remaining + 1):
            backtrack(i + 1, remaining - i, current_partition + [i])

    backtrack(1, n, [])
    return result

# Пример использования
n = int(input())
partitions = find_partitions(n)
for partition in partitions:
    flag = True
    for i in range(len(partition)-2):
        if not(partition[i+2]-partition[i+1]>partition[i+1]-partition[i]):
            flag=False
            break
    if flag:
        print('+'.join(map(str, partition)))
