def find_balance(weights):
    from itertools import combinations
    
    for i in range(1, 4):
        for left_combination in combinations(weights, i):
            left_weight = sum(left_combination)
            right_combination = [w for w in weights if w not in left_combination]
            right_weight = sum(right_combination)
            
            if left_weight == right_weight:
                return left_combination, right_combination
    
    return -1

weights = []
for _ in range(4):
    weights.append(int(input()))

result = find_balance(weights)

if result == -1:
    print(-1)
else:
    left_combination, right_combination = result
    print(" ".join(map(str, left_combination)))
    print(" ".join(map(str, right_combination)))
