def count_interesting_numbers(n):
    def count_digits(x):
        return len(str(x))
    
    def first_digit(x):
        return int(str(x)[0])
    
    def last_digit(x):
        return x % 10
    
    d = count_digits(n)
    if d == 0:
        return 0
    
    total = 0
    for m in range(1, d):
        if m == 1:
            total += 9
        else:
            total += 9 * (10 ** (m - 2))
    
    f = first_digit(n)
    l = last_digit(n)
    
    lower = f * (10 ** (d - 1)) + f
    upper = f * (10 ** (d - 1)) + (10 ** (d - 2) - 1) * 10 + f
    
    if lower > n:
        additional = 0
    else:
        x_max = (n - lower) // 10
        x_max = min(10 ** (d - 2) - 1, x_max)
        if x_max < 0:
            additional = 0
        else:
            additional = x_max + 1
    
    total += additional
    return total

n = int(input())

print(count_interesting_numbers(n))
