def create_lcd_display(h, w):
    colors = ['R', 'G', 'B']
    pattern = []

    for i in range(h):
        row = []

        for j in range(w):
            index = (i + j) % 3
            row.append(colors[index])
        pattern.append(''.join(row))

    return pattern


h = int(input())
w = int(input())

result = create_lcd_display(h, w)

for row in result:
    print(row)
