def balance_weights(weights):
    from itertools import combinations

    total_weight = sum(weights)
    if total_weight % 2 != 0:
        return -1

    for i in range(5):
        for combo in combinations(weights, i):
            left_weight = sum(combo)
            right_weight = total_weight - left_weight

            if left_weight == right_weight:
                left_weights = ''.join(map(str, combo))
                right_weights = ''.join(map(str, [w for w in weights if w not in combo]))
                return left_weights, right_weights

    return -1


weights = []
for _ in range(4):
    weights.append(int(input().strip()))

result = balance_weights(weights)
if result == -1:
    print(-1)
else:
    left_weights, right_weights = result
    print(left_weights)
    print(right_weights)
