// D 002

#include <iostream>
#include <cmath>
#include <algorithm>

unsigned long long n;

struct nanlResult {
    unsigned short last = 0;
    unsigned short len = 1;
    unsigned short first = 0;
};

nanlResult nanl(unsigned long long n) {
    nanlResult res;
    res.last = n % 10;
    while (true) {
        if (n < 10) {
            res.first = n;
            return res;
        }
        n /= 10;
        res.len++;
    }
}

unsigned long long solve(unsigned long long n) {
    auto n_nanl = nanl(n);

    unsigned short fnl = n_nanl.len - 1;

    if (n < 10) {
        return n;
    }
    unsigned long long ans = 9;
    if (fnl >= 2) {
        for (unsigned short i = 0; i <= fnl - 2; i++) {
            ans += 9 * pow(10, i);
        }
    }

    unsigned short bv = std::min(n_nanl.first, n_nanl.last);
    auto nanl2 = nanl(n - n_nanl.last - 1);
    if (nanl2.len == n_nanl.len) {
        bv = std::max(nanl2.first, bv);
    }

    ans += bv * pow(10, n_nanl.len - 2);
    return ans;
}

int main() {
    std::cin >> n;

    std::cout << solve(n) << std::endl;
//    for (unsigned short i = 1; i <= 1000; i++) {  // For debug
//        std::cout << i << " " << solve(i) << std::endl;
//    }

    return 0;
}
