def count_similar_pairs(n, k):
    start = 10 ** (n - 1)
    end = 10 ** n - 1

    last_k_start = 10 ** (k - 1)
    last_k_end = 10 ** k - 1

    count_last_k_digits = {}

    for number in range(start, end + 1):
        last_k_digits = number % (10 ** k)
        if last_k_digits not in count_last_k_digits:
            count_last_k_digits[last_k_digits] = 0
        count_last_k_digits[last_k_digits] += 1

    pairs_count = 0
    for count in count_last_k_digits.values():
        if count > 1:
            pairs_count += count * (count - 1) // 2

    return pairs_count


n = int(input())
k = int(input())


print(count_similar_pairs(n, k))