#include <iostream>
#include <string>
#include <unordered_map>

using namespace std;

int main() {
    long long n, k;
    cin >> n >> k;

    long long start = 1;
    for (int i = 0; i < n - 1; ++i) {
        start *= 10;
    }
    long long end = start * 10;

    unordered_map<long long, long long> count_dict;
    long long c = 0;

    for (long long i = start; i < end; ++i) {
        string s = to_string(i);
        long long last_k_digits = stoll(s.substr(n - k)); //Извлекаем последние k цифр

        if (count_dict.count(last_k_digits)) {
            count_dict[last_k_digits]++;
        } else {
            count_dict[last_k_digits] = 1;
        }
    }

    for (auto const& [key, val] : count_dict) {
        if (val > 1) {
            c += val * (val - 1) / 2;
        }
    }

    cout << c << endl;
    return 0;
}
