#include <iostream>
#include <string>

bool is_interesting(int number) {
    std::string str_num = std::to_string(number);
    return str_num[0] == str_num[str_num.length() - 1];
}

int count_interesting_numbers(int n) {
    int count = 0;
    for (int i = 1; i <= n; ++i) {
        if (is_interesting(i)) {
            count++;
        }
    }
    return count;
}

int main() {
    int n;
    std::cin >> n;
    int result = count_interesting_numbers(n);
    std::cout << result << std::endl;
    return 0;
}