N = int(input())  # Число цифр в числе
K = int(input())  # Количество последних цифр, которые должны совпадать

# Общее количество чисел с N цифрами (от 10^(N-1) до 10^N - 1)
start = 10 ** (N - 1)
end = 10 ** N

# Множество для хранения последних K цифр
last_digits_count = {}

for num in range(start, end):
    # Извлекаем последние K цифр числа
    last_digits = str(num)[-K:]

    if last_digits not in last_digits_count:
        last_digits_count[last_digits] = 0
    last_digits_count[last_digits] += 1

# Считаем количество пар
pairs_count = 0

# Для каждой группы чисел с одинаковыми последними K цифрами считаем количество возможных пар
for count in last_digits_count.values():
    if count > 1:
        pairs_count += count * (count - 1) // 2

print(pairs_count)