def is_fast_growing_partition(partition):
    for i in range(len(partition) - 2):
        if partition[i + 2] - partition[i + 1] <= partition[i + 1] - partition[i]:
            return False
    return True


def find_fast_growing_partitions(n):
    result = []

    def find_partitions(n, start, partition):
        if n == 0:
            if is_fast_growing_partition(partition):
                result.append(partition)
            return
        for i in range(start, n + 1):
            find_partitions(n - i, i + 1, partition + [i])

    find_partitions(n, 1, [])
    return result


n = int(input())
partitions = find_fast_growing_partitions(n)
for partition in partitions:
    print('+'.join(map(str, partition)))
