#include <cstdint>
#include <cstddef>
#include <iostream>
#include <string>

typedef uint_fast8_t u8;
typedef uint_fast16_t u16;
typedef uint_fast32_t u32;
typedef uint_fast64_t u64;
typedef int_fast8_t s8;
typedef int_fast16_t s16;
typedef int_fast32_t s32;
typedef int_fast64_t s64;

typedef float f32;
typedef double f64;
typedef long double f128;

u16 w1, w2, w3, w4, sum;

int main () {
    std::cin >> w1 >> w2 >> w3 >> w4;
    sum = w1 + w2 + w3 + w4;
    // There are only 4 weights so only 7 combinations exist - this can be hardcoded
    if (w1 == sum - w1) {
        std::cout << w1 << std::endl << w2 << " " << w3 << " " << w4 << std::endl;
    } else if (w2 == sum - w2) {
        std::cout << w2 << std::endl << w1 << " " << w3 << " " << w4 << std::endl;
    } else if (w3 == sum - w3) {
        std::cout << w3 << std::endl << w2 << " " << w1 << " " << w4 << std::endl;
    } else if (w4 == sum - w4) {
        std::cout << w4 << std::endl << w2 << " " << w3 << " " << w1 << std::endl;
    } else if (w1 + w2 == w3 + w4) {
        std::cout << w1 << " " << w2 << std::endl << w3 << " " << w4 << std::endl;
    } else if (w1 + w3 == w2 + w4) {
        std::cout << w1 << " " << w3 << std::endl << w2 << " " << w4 << std::endl;
    } else if (w1 + w4 == w2 + w3) {
        std::cout << w1 << " " << w4 << std::endl << w2 << " " << w3 << std::endl;
    } else {
        std::cout << -1 << std::endl;
    }
}
