#include <cstdint>
#include <cstddef>
#include <cmath>
#include <iostream>
#include <string>

typedef uint_fast8_t u8;
typedef uint_fast16_t u16;
typedef uint_fast32_t u32;
typedef uint_fast64_t u64;
typedef int_fast8_t s8;
typedef int_fast16_t s16;
typedef int_fast32_t s32;
typedef int_fast64_t s64;

typedef float f32;
typedef double f64;
typedef long double f128;

u64 fastPow(u64 num, u64 pow) {
    if (pow == 0) return 1;
    if (pow == 1) return num;
    u64 tmp = fastPow(num, pow / 2);
    return tmp * tmp * (pow % 1 ? num : 1);
}

u16 n, k;
u64 p, c;
int main () {
    std::cin >> n >> k;

//    if (n == k) {
//        std::cout << 0 << std::endl;
//        return 0;
//    }

    p = fastPow(10, k);

    c = fastPow(10, (n-k-1)) * 9 - 1;

    c = c * (c + 1) / 2;

    std::cout << p * c << std::endl;
}
