#include <cstdint>
#include <cstddef>
#include <cmath>
#include <iostream>
#include <string>
#include <vector>

typedef uint_fast8_t u8;
typedef uint_fast16_t u16;
typedef uint_fast32_t u32;
typedef uint_fast64_t u64;
typedef int_fast8_t s8;
typedef int_fast16_t s16;
typedef int_fast32_t s32;
typedef int_fast64_t s64;

typedef float f32;
typedef double f64;
typedef long double f128;

u16 n;

void split(u16 num, u16 last, u16 minDiff, std::string base) {
    std::string tmp;
    for (u16 i = last + minDiff; i <= num; i++) {
        tmp = base + "+";
        tmp += 0x30 + i;    // ASCII lmfao
        if (i == num)
            std::cout << tmp << std::endl;
        else
            split(num - i, i, i - last + 1, tmp);
    }
}

int main () {
    std::cin >> n;

    for (int i = 1; i <= n; i++) {
        std::string buf;
        buf += 0x30 + i;
        split(9-i, i, 1, buf);
    }

    std::cout << n << std::endl;

}
