def resheto(limit):
    is_prime = [True] * (limit + 1)
    p = 2
    while p * p <= limit:
        if is_prime[p]:
            for j in range(p * p, limit + 1, p):
                is_prime[j] = False
        p += 1
    return [p for p in range(2, limit + 1) if is_prime[p]]


n = int(input())

lim = 200
primes = resheto(lim)[:n]

counter = 1
for prime in primes:
    counter *= prime

mini_v = float('inf')
best = 1

lght = len(primes)
for i in range(1 << lght):
    a = 1
    for j in range(lght):
        if i & (1 << j):
            a *= primes[j]
    b = counter // a
    if a < b:
        v = b - a
        if v < mini_v:
            mini_v = v
            best = a

print(best)
