def can_balance(weights):
    n = len(weights)
    total_weight = sum(weights)

    
    for i in range(1 << n): 
        left_weight = 0
        right_weight = 0
        
        for j in range(n):
            if i & (1 << j):  
                left_weight += weights[j]
            else:  
                right_weight += weights[j]
        
            if left_weight == right_weight:
                return True
        
    return False  


weights = []
for _ in range(4):
    weights.append(int(input()))


if can_balance(weights):
    print("Весы можно уравновесить.")
else:
    print("-1")
