def count_similar_pairs(n, k):
    if k > n:
        return 0  # Невозможно иметь k последних цифр, если k больше n

    count = { }
    start = 10**(n-1)
    end = 10**n

    for num in range(start, end):
        last_k_digits = str(num)[-k:]  # Получаем последние k цифр
        if last_k_digits in count:
            count[last_k_digits] += 1
        else:
            count[last_k_digits] = 1

    pairs = 0
    for m in count.values():
        if m > 1:
            pairs += m * (m - 1) // 2  # Количество пар

    return pairs
