def count_similar_pairs(n, k):
    if n <= 0 or k < 0 or k >= n:
        return 0
    last_k_digit_combinations = 10 ** k
    m = 9 * (10 ** (n - k - 1))
    if m < 2:
        return 0
    pairs = (m * (m - 1)) // 2
    total_pairs = last_k_digit_combinations * pairs
    return total_pairs

n = int(input())
k = int(input())
result = count_similar_pairs(n, k)
print(result)