def generate_pixel_grid(h, w):
    # Создаем пустой экран
    grid = []
    
    # Определяем цвета для пикселей
    colors = ['r', 'g', 'b']
    
    for i in range(h):
        row = []
        # Строки сдвигаются на один пиксель влево
        for j in range(w):
            # Чередуем цвета в строках
            if (i + j) % 2 == 0:
                if i % 4 == 0:
                    row.append('r')  # Первая строка начинается с красного
                elif i % 4 == 1:
                    row.append('g')  # Вторая строка начинается с зеленого
                elif i % 4 == 2:
                    row.append('b')  # Третья строка начинается с синего
                elif i % 4 == 3:
                    row.append('g')  # Четвертая строка снова с зеленого
            else:
                if i % 4 == 0:
                    row.append('b')  # Первая строка чередуется с синим
                elif i % 4 == 1:
                    row.append('r')  # Вторая строка чередуется с красным
                elif i % 4 == 2:
                    row.append('g')  # Третья строка чередуется с зеленым
                elif i % 4 == 3:
                    row.append('r')  # Четвертая строка чередуется с красным
        grid.append(row)
    
    # Печатаем результат
    for row in grid:
        print(' '.join(row))

# Пример вызова функции
h, w = 6, 6  # Например, размер экрана 6x6
generate_pixel_grid(h, w)
