#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int n;
vector<vector<int>> result;

void z(int curr_sum, vector<int> curr_part) {
  if (curr_sum == n) {
    result.push_back(curr_part);
    return;
  }

  if (curr_sum > n) {
    return;
  }

  int start;
  if (curr_part.empty()) {
    start = 1;
  } else {
    start = curr_part.back() + 1;
  }

  for (int i = start; i <= n; ++i) {
    curr_part.push_back(i);
    bool is_fast_growing = true;
    if (curr_part.size() >= 3) {
      for (size_t j = 0; j < curr_part.size() - 2; ++j) {
        if (curr_part[j + 2] - curr_part[j + 1] <= curr_part[j + 1] - curr_part[j]) {
          is_fast_growing = false;
          break;
        }
      }
    }
    if (is_fast_growing) {
      z(curr_sum + i, curr_part);
    }
    curr_part.pop_back();
  }
}

int main() {
  cin >> n;

  z(0, {});

  for (const auto& part : result) {
    for (size_t i = 0; i < part.size(); ++i) {
      cout << part[i];
      if (i < part.size() - 1) {
        cout << "+";
      }
    }
    cout << endl;
  }

  return 0;
}