def fast(par):
    for i in range(len(par) - 2):
        if not (par[i + 2] - par[i + 1] > par[i + 1] - par[i]):
            return False
    return True

def part(n, max_num, curr, all_part):
    if n == 0:
        if fast(curr):
            all_part.append(curr[:])
        return
    for i in range(max_num + 1, n + 1):
        curr.append(i)
        part(n - i, i, curr, all_part)
        curr.pop()

def grow(n):
    all_part = []
    part(n, 0, [], all_part)
    return all_part

n = int(input())
partitions = grow(n)
for par in partitions:
    print("+".join(map(str, par)))