def find_partitions(n, start=1, current_partition=None):
    if current_partition is None:
        current_partition = []

    if sum(current_partition) == n:
        print('+'.join(map(str, current_partition)))
        return
    
    for i in range(start, n + 1):
        if len(current_partition) < 2:

            find_partitions(n, i + 1, current_partition + [i])
        else:
        
            last = current_partition[-1]
            second_last = current_partition[-2]
            if i > last and (i - last) > (last - second_last):
                find_partitions(n, i + 1, current_partition + [i])

def main():
    n = int(input())
    find_partitions(n)

if __name__ == "__main__":
    main()
