def find_partitions(n, start=1, current_partition=None, current_sum=0):
    if current_partition is None:
        current_partition = []
    
    if current_sum == n:
        print('+'.join(map(str, current_partition)))
        return
    
    for i in range(start, n + 1):
        new_sum = current_sum + i
        
        if new_sum > n:
            break
        
        if len(current_partition) < 2:
            find_partitions(n, i + 1, current_partition + [i], new_sum)
        else:
            last = current_partition[-1]
            second_last = current_partition[-2]
            if i > last and (i - last) > (last - second_last):
                find_partitions(n, i + 1, current_partition + [i], new_sum)

def main():
    n = int(input())
    find_partitions(n)

if __name__ == "__main__":
    main()
