import math
from itertools import combinations


def kr_razbiv(n):
    def kr1_razbiv(ch):
        if ch < 2:
            return False
        for i in range(2, int(math.sqrt(ch)) + 1):
            if ch % i == 0:
                return False
        return True

    return [ch for ch in range(2, 100000) if kr1_razbiv(ch)][:n]


def poisk(p):
    vess = math.prod(p)

    min_razn = float('inf')
    krasivoea = 1

    for r in range(1, len(p) + 1):
        for nn in combinations(p, r):
            cel = math.prod(nn)
            if cel < vess // cel:
                a = cel
                b = vess // cel
                razn = b - a
                if razn < min_razn:
                    min_razn = razn
                    krasivoea = a

    return krasivoea


n = int(input())
a = kr_razbiv(n)
h = poisk(p)
print(h)