import math
from itertools import combinations


def prog(n):
    def p(num):
        if num < 2:
            return False
        for i in range(2, int(math.sqrt(num)) + 1):
            if num % i == 0:
                return False
        return True

    return [num for num in range(2, 100000) if p(num)][:n]


def find(x):
    t = math.prod(x)

    m = float('inf')
    b = 1

    for r in range(1, len(x) + 1):
        for j in combinations(x, r):
            prav = math.prod(j)
            if prav < t // prav:
                a = prav
                c = t // prav
                d = c - a
                if d < m:
                    m = d
                    b = a

    return b


n = int(input())
x = prog(n)
result = find(x)
print(result)