def find_partitions(N):
    def is_valid(partition):
        # Проверка условия для трех подряд идущих чисел
        for i in range(2, len(partition)):
            if partition[i] - partition[i - 1] <= partition[i - 1] - partition[i - 2]:
                return False
        return True

    def generate_partitions(N, start, current):
        if N == 0:
            if is_valid(current):
                # Выводим разбиение как строку
                print('+'.join(map(str, current)))
            return
        for i in range(start, N + 1):
            generate_partitions(N - i, i + 1, current + [i])

    # Начинаем поиск разбиений с 1
    generate_partitions(N, 1, [])


# Пример использования:
N = int(input())
find_partitions(N)
