def find_partitions(n, start=1, current_partition=None):

    if current_partition is None:
        current_partition = []


    if sum(current_partition) == n:
        print('+'.join(map(str, current_partition)))
        return

    for next_number in range(start, n + 1):
        if len(current_partition) < 2 or (len(current_partition) >= 2 and 
           next_number - current_partition[-1] > current_partition[-1] - current_partition[-2]):
            current_partition.append(next_number)
            find_partitions(n, next_number + 1, current_partition)
            current_partition.pop()

n = int(input())

find_partitions(n)
