# Считываем веса гирь
weights = [int(input("Введите вес гири №1: ")), int(input("Введите вес гири №2: ")),
           int(input("Введите вес гири №3: ")), int(input("Введите вес гири №4: "))]

# Сортируем гири по весу в порядке убывания
sorted_weights = sorted(weights, reverse=True)

# Перебираем все возможные комбинации размещения гирь
for i in range(2**4): # 2^4 = 16 комбинаций
    left_side = []
    right_side = []

    # Распределяем гири по чашам
    for j in range(4):
        if (i >> j) & 1: # Если бит j установлен в 1, гиря находится на левой чаше
            left_side.append(sorted_weights[j])
        else: # Иначе гиря находится на правой чаше
            right_side.append(sorted_weights[j])

    # Проверяем равновесие
    if sum(left_side) == sum(right_side):
        print("Весы уравновешены")
        print(left_side)
        print(right_side)
        break
else:
    print("Невозможно уравновесить весы")
    exit()
