def count_similar_pairs(n, k):
    if n <= 0 or k < 0 or k > n:
        return 0  
    total_n_digit_numbers = 9 * (10 ** (n - 1))
    last_k_digit_count = 10 ** k
    count_last_digits = {i: 0 for i in range(last_k_digit_count)}
    for last_digits in range(last_k_digit_count):
        for first_digit in range(1, 10):  
            for middle in range(10 ** (n - k - 1)):  
                number = first_digit * (10 ** (n - 1)) + middle * (10 ** k) + last_digits
                if len(str(number)) == n:  
                    count_last_digits[last_digits] += 1
    total_pairs = 0
    for count in count_last_digits.values():
        if count > 1:
            total_pairs += (count * (count - 1)) // 2
    return total_pairs
n = int(input())
k = int(input())
result = count_similar_pairs(n, k)
print(result)


