from itertools import combinations

def can_balance(weights):
    total_weight = sum(weights)

    if total_weight % 2 != 0:
        return False

    target_weight = total_weight // 2

    for i in range(1, len(weights) + 1):
        for combo in combinations(weights, i):
            if sum(combo) == target_weight:
                print(f"Можно уравновесить: Группа 1: {combo}, Группа 2: {[w for w in weights if w not in combo]}")
                return True

    return False

weights = [1, 2, 3, 4]

if not can_balance(weights):
    print("Равновесие невозможно.")