// ConsoleApplication1.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include <iostream>
#include <vector>
#include <string>

char base[] = "RBBR";

int main()
{
    int width;
    int height;

    std::cin >> height;
    std::cin >> width;

    size_t display_size = height * (width + 1) + 1;

    char* display = new char[display_size];
    memset(display, 'G', display_size);

    for (int i = 0; i < height; i++)
    {
        display[i * (width + 1) + width] = '\n';
    }
    display[display_size - 1] = 0;

    int shift = 0;
    for (int i = 0; i < height; i++)
    {
        char head = base[shift % 4];
        char pixel = head;
        for (int j = 0; j < width; j++)
        {
            if (!((j % 2) ^ (shift % 2)))
            {
                display[i * (width + 1) + j] = pixel;
                pixel = pixel == 'R' ? 'B' : 'R';
            }
        }
        shift++;
    }

    std::cout << display;

    delete display;

    return 0;
}

// Run program: Ctrl + F5 or Debug > Start Without Debugging menu
// Debug program: F5 or Debug > Start Debugging menu

// Tips for Getting Started: 
//   1. Use the Solution Explorer window to add/manage files
//   2. Use the Team Explorer window to connect to source control
//   3. Use the Output window to see build output and other messages
//   4. Use the Error List window to view errors
//   5. Go to Project > Add New Item to create new code files, or Project > Add Existing Item to add existing code files to the project
//   6. In the future, to open this project again, go to File > Open > Project and select the .sln file
