def ip(num):
    if num <= 1:
        return False
    if num <= 3:
        return True
    if num % 2 == 0 or num % 3 == 0:
        return False
    i = 5
    while i * i <= num:
        if num % i == 0 or num % (i + 2) == 0:
            return False
        i += 6
    return True


def fbp(n):
    primes = []
    num = 2
    while len(primes) < n:
        if ip(num):
            primes.append(num)
        num += 1

    ba = 1
    md = float('inf')

    for i in range(1 << n):
        ap = []
        bp = []
        for j in range(n):
            if (i >> j) & 1:
                ap.append(primes[j])
            else:
                bp.append(primes[j])

        a = 1
        for p in ap:
            a *= p

        b = 1
        for p in bp:
            b *= p

        if a < b:
            diff = b - a
            if diff < md:
                md = diff
                ba = a

    return ba

n = int(input())
result = fbp(n)
print(result)