from itertools import combinations

def find_equal_sum_subsets(numbers):
    total_sum = sum(numbers)

    if total_sum % 2 != 0:
        return -1

    target_sum = total_sum // 2
    n = len(numbers)

    for r in range(1, n):
        for combo in combinations(numbers, r):
            if sum(combo) == target_sum:
                subset1 = list(combo)
                subset2 = numbers.copy()
                
                for item in subset1:
                    subset2.remove(item)

                if subset2:
                    return subset1, subset2

    return -1



a = int(input())
b = int(input())
c = int(input())
d = int(input())

numbers = [a,b,c,d]
result = find_equal_sum_subsets(numbers)

if result == -1:
    print(result)
else:
    subset1, subset2 = result
    for i in subset1:
        print(i, end=' ')
    print()

    for i in subset2:
        print(i, end=' ')
