def gp(n):
    primes = []
    cd = 2
    while len(primes) < n:
        is_prime = True
        for p in primes:
            if p * p > cd:
                break
            if cd % p == 0:
                is_prime = False
                break
        if is_prime:
            primes.append(cd)
        cd += 1
    return primes


def bp(n):
    primes = gp(n)
    tp = 1
    for prime in primes:
        tp *= prime

    possible_products = {1}

    for prime in primes:
        new_products = set()
        for product in possible_products:
            new_products.add(product * prime)
        possible_products.update(new_products)

    min_diff = float('inf')
    best_a = 1

    for a in possible_products:
        b = tp // a
        if a < b:
            diff = b - a
            if diff < min_diff:
                min_diff = diff
                best_a = a

    return best_a

n = int(input())
result = bp(n)
print(result)