#include <iostream>
#include <vector>
#include <string>

int main() {
    int rows, cols;
    std::cin >> rows >> cols;
    char letters[] = {'R', 'G', 'B', 'G'};
    std::vector<std::string> output(rows);

    for (int i = 0; i < rows; ++i) {
        std::string line;
        for (int j = 0; j < cols; ++j) {
            int offset = (i % 4);
            line += letters[(j + offset) % 4];
        }
        output[i] = line;
    }

    for (const auto& line : output) {
        std::cout << line << std::endl;
    }

    return 0;
}