def csp(n, k):
    if k >= n or k < 1 or n < 1:
        return 0

    sc = {}

    for i in range(10**n):
        num_str = str(i).zfill(n)
        if num_str[0] == '0':
            continue
        s = num_str[-k:]
        sc[s] = sc.get(s, 0) + 1

    tp = 0
    for count in sc.values():
        tp += count * (count - 1) // 2

    return tp

n = int(input())
k = int(input())
result = csp(n, k)
print(result)