#include <iostream>
#include <string>

using namespace std;

long long countInterestingNumbers(long long n) {
    long long count = 0;
    string strN = to_string(n);
    int length = strN.length();

    count += 9;

    if (length >= 2) {
        count += 9;
    }

    for (int len = 3; len <= length; ++len) {
        for (int firstDigit = 1; firstDigit <= 9; ++firstDigit) {
            string interestingNum = to_string(firstDigit);
            interestingNum += string(len - 2, '0');
            interestingNum += to_string(firstDigit);

            if (stoll(interestingNum) <= n) {
                count++;
            }
        }
    }

    for (int firstDigit = 1; firstDigit <= strN[0] - '0'; ++firstDigit) {
        string interestingNum = to_string(firstDigit);
        interestingNum += string(length - 2, '0');
        interestingNum += to_string(firstDigit);

        if (stoll(interestingNum) <= n) {
            count++;
        }
    }

    return count;
}

int main() {
    long long n;
    cin >> n;
    cout << countInterestingNumbers(n) << endl;
    return 0;
}