n = int(input())
k = int(input())

if n <= 0 or k <= 0 or k > n:
    print(0)
else:
    total_numbers = 9 * (10 ** (n - 1))
    suffix_count = {}

    for i in range(total_numbers):
        
        suffix = str(i).zfill(n)[-k:] 
        if suffix in suffix_count:
            suffix_count[suffix] += 1
        else:
            suffix_count[suffix] = 1

    pairs_count = 0
    for count in suffix_count.values():
        if count > 1:
            pairs_count += count * (count - 1) // 2
    print(pairs_count)
