def generate_display(h, w):
    display = []
    
    for i in range(h):
        row = []
        for j in range(w):
            if j % 2 == 0:  
                color = 'G'
            else:  
                if (i + j) % 2 == 0:
                    color = 'R'
                else:
                    color = 'B'
            row.append(color)
        
        
        display.append(''.join(row[i:] + row[:i]))
    
    return display


h = int(input())
w = int(input())


result = generate_display(h, w)


for line in result:
    print(line)
