def generate_display(h, w):
    display = []

    for i in range(h):
        row = []
        if i % 3 == 0:
            start_color = 'R'
        elif i % 3 == 1:
            start_color = 'G'
        else:
            start_color = 'B'

        for j in range(w):
            if j % 2 == 0:
                row.append('G')
            else:
                if start_color == 'R':
                    row.append('R' if (j // 2) % 2 == 0 else 'B')
                elif start_color == 'G':
                    row.append('G' if (j // 2) % 2 == 0 else 'R')
                else:
                    row.append('B' if (j // 2) % 2 == 0 else 'G')

        display.append(''.join(row))

    return display



h = int(input())
w = int(input())


result = generate_display(h, w)
for line in result:
    print(line)
