from itertools import permutations

def count_similar_pairs(n, k):
    if k > n:
        return 0
    
    
    unique_numbers = set()
    
    
    for digits in range(1, 10):  
        for remaining in range(10 ** (n - 1)):
            num_str = str(digits) + str(remaining).zfill(n - 1)
            unique_numbers.add(num_str)
    
    
    similar_count = {}
    
    for number in unique_numbers:
        key = ''.join(sorted(number))
        if key in similar_count:
            similar_count[key] += 1
        else:
            similar_count[key] = 1
    
    
    pairs_count = 0
    for count in similar_count.values():
        if count > 1:
            pairs_count += (count * (count - 1)) // 2 
    
    return pairs_count


n = int(input())
k = int(input())


result = count_similar_pairs(n, k)
print(result)
