n = int(input())
def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num ** 0.5) + 1):
        if num % i == 0:
            return False
    return True

def generate_primes(n):
    primes = []
    candidate = 2
    while len(primes) < n:
        if is_prime(candidate):
            primes.append(candidate)
        candidate += 1
    return primes

def find_beautiful_partition(primes):
    total = sum(primes)
    half = total // 2
    dp = [0] * (half + 1)
    dp[0] = 1  # Пустое множество

    for prime in primes:
        for j in range(half, prime - 1, -1):
            if dp[j - prime]:
                dp[j] = 1

    max_a = max(i for i in range(half + 1) if dp[i])
    product_a = 1
    for prime in primes:
        if max_a >= prime:
            product_a *= prime
            max_a -= prime

    return product_a
primes = generate_primes(n)
result_a = find_beautiful_partition(primes)
print(result_a)