def chekansw(part):
    if len(part) < 3:
        return True
    for i in range(len(part) - 2):
        if part[i+2] - part[i+1] <= part[i+1] - part[i]:
            return False
    return True

def findansw(n):
    parts = {}
    parts[0] = [[]]  

    for i in range(1, n + 1):
        parts[i] = []
        for j in range(1, i + 1):
            for p in parts[i - j]:
                newpart = sorted(p + [j]) 
                if chekansw(newpart) and j > (p[-1] if p else 0): 
                    parts[i].append(newpart)

    res = []
    for p in parts[n]:
        res.append("+".join(map(str, p)))
    return res

n = int(input())
res = findansw(n)
answer = ""
for part in res:
    answer += part
print(answer)


