def solve():
    weights = []
    for _ in range(4):
        try:
            weight = int(input())
            weights.append(weight)
        except ValueError:
            print("-1")
            return

    total_weight = sum(weights)

    if total_weight % 2 != 0:
        print("-1")
        return

    target_weight = total_weight // 2

    for i in range(1 << 4):
        left_weights = []
        right_weights = []
        for j in range(4):
            if (i >> j) & 1:
                left_weights.append(weights[j])
            else:
                right_weights.append(weights[j])

        if sum(left_weights) == target_weight:
            print(*left_weights)
            print(*right_weights)
            return

    print("-1")


solve()