def count_similar_pairs(n, k):
    if n < k:
        return 0

    prefix_length = n - k
    if prefix_length == 0:
        prefix_count = 1
    else:
        prefix_count = 9 * (10**(prefix_length - 1))

    suffix_count = 10**k
    pairs = prefix_count * (suffix_count * (suffix_count - 1) // 2)
    return pairs


n = int(input())
k = int(input())
print(count_similar_pairs(n, k))