from itertools import combinations

def balance(weights):
    n = len(weights)
    for i in range(1, n):
        for group1 in combinations(weights, i):
            group1_sum = sum(group1)
            group2 = weights.copy()
            for weight in group1:
                group2.remove(weight)
            if sum(group2) == group1_sum:
                return list(group1), group2
    return -1

weights = []

for _ in range(4):
    weight = int(input())
    weights.append(weight)

result = balance(weights)

if result == -1:
    print(-1)
else:
    print(*result[0])
    print(*result[1])