import math
def is_prime(n):
    if n==2:
        return True
    if n&1==0:
        return False
    for i in range(3, math.isqrt(n)+1):
        if n%i==0:
            return False
    return True
n=int(input())
primes=set([2, 3, 5])
i=7
while len(primes)<n:
    if is_prime(i):
        primes.add(i)
    i+=2

primes = sorted(primes)[:n]

def imul(seq):
    r=1
    for v in seq:
        r*=v
    return r

def get_max_mul(muls, lim,p=0, k=1):
    if p>=len(muls):
        return k
    if muls[p]>lim:
        return k
    z=filter(lambda v:v<=lim,(get_max_mul(muls, lim, p+i+1,k*m) for i,m in enumerate(muls[p:]) if m<=lim))
    try:
        return max(z)
    except:
        return k
        

def solve(n,primes):
    r=math.isqrt(imul(primes))
    z=get_max_mul(primes, r)
    return z

print(solve(n,primes))
