def count_similar_pairs(n, k):

    # Количество пар похожих чисел

    total_pairs = 0

    # Общее количество возможных чисел с n цифрами, где первая цифра не равна 0

    total_numbers = 9 * (10 ** (n - 1))

    # Создаем массив для подсчета количества чисел по последней цифре

    last_digit_count = [0] * 10

    # Заполняем last_digit_count, считая числа для каждой последней цифры

    for last_digit in range(10):

        if last_digit == 0:

            last_digit_count[last_digit] = 9 * (10 ** (n - 2))  # 1-9 на первой цифре, остальные цифры могут быть любыми

        else:

            last_digit_count[last_digit] = 9 * (10 ** (n - 2))  # 1-9 на первой цифре, остальные цифры могут быть любыми

    # Теперь считаем количество пар для каждой последней цифры

    for count in last_digit_count:

        if count > 1:

            total_pairs += (count * (count - 1)) // 2  # nC2

    return total_pairs

# Чтение входных данных

n = int(input().strip())

k = int(input().strip())

# Вызов функции и вывод результата

print(count_similar_pairs(n, k))
