def count_interesting_numbers(n):
    # Преобразуем число в строку для обработки
    n_str = str(n)
    count = 0

    # Проходим по всем длинам чисел от 1 до длины n
    for length in range(1, len(n_str) + 1):
        start_digit = 1 if length == 1 else 0  # первая цифра не может быть нулем
        end_digit = int(n_str[0])  # максимальная цифра - первая цифра n

        # Если длина текущих чисел меньше длины n, просто считаем все возможные варианты
        if length < len(n_str):
            count += (end_digit - start_digit + 1) * (10 ** (length - 2)) * 9

        # Если это последняя длина и совпадает с n
        elif length == len(n_str):
            max_cc = int(n_str[-1])  # последняя цифра
            if start_digit <= end_digit and start_digit <= max_cc:
                count += 1  # учитываем число n, если первая и последняя цифры совпадают

            # Обрабатываем остальные возможные сочетания
            for first in range(start_digit, end_digit + 1):
                for last in range(0, 10):
                    if first == last:
                        count += 1

    return count

# Ввод числа
n = int(input())
# Вывод количества интересных чисел
print(count_interesting_numbers(n))