def find_partitions(n, start=1, current_partition=[]):
    if n == 0:
        print("+".join(map(str, current_partition)))
        return
        
    for i in range(start, n + 1):
        if len(current_partition) < 2:
            # Если меньше двух элементов, можем просто добавлять
            find_partitions(n - i, i + 1, current_partition + [i])
        else:
            # Условие для "быстро возрастающего" разбиения
            a = current_partition[-2]  # предпоследний элемент
            b = current_partition[-1]   # последний элемент
            if (b - a) > (i - b):  # проверяем условие
                find_partitions(n - i, i + 1, current_partition + [i])

def main():
    n = int(input("Введите число n: "))
    find_partitions(n)

if __name__ == "__main__":
    main()