def is_valid_partition(partition):
    # Проверяет, является ли текущее разбиение быстро возрастающим
    for i in range(2, len(partition)):
        if partition[i] - partition[i - 1] <= partition[i - 1] - partition[i - 2]:
            return False
    return True

def find_partitions(n, start=1, current_partition=[]):
    # Базовый случай: если сумма текущего разбиения равна n
    if sum(current_partition) == n and is_valid_partition(current_partition):
        print('+'.join(map(str, current_partition)))  # Печатает разбиение
        return
    for i in range(start, n + 1):
        current_partition.append(i)  # Добавляем новое число
        find_partitions(n, i + 1, current_partition)  # Рекурсивный вызов
        current_partition.pop()  # Убираем последнее число для перебора

n = int(input().strip())
find_partitions(n)  # Запуск поиска разбиений