n = int(input())


def is_fast_growing(seq):
    seq = sorted(seq)
    for i in range(len(seq) - 2):
        if not (seq[i + 2] - seq[i + 1] > seq[i + 1] - seq[i]):
            return False

    if seq != sorted(list(set(seq))):
        return False

    return True


def get_divs(number: int):
    seqs = [[number]]
    for start_number in range(1, number // 2 + 1):
        seq = [start_number]
        seq.extend([1 for _ in range(number - start_number)])
        if is_fast_growing(seq):
            seqs.append(seq)
        while len(seq) > 1:
            seq = seq[:-2] + [seq[-1] + seq[-2]]
            if not is_fast_growing(seq):
                continue
            seqs.append(seq)
    return seqs


r = set(map(lambda x: "+".join(map(str, sorted(x))), get_divs(n)))
print(*r, sep="\n")