def main():
    target_sum = int(input())
    find_partitions([], target_sum, 0, None, 1)

def find_partitions(current_partition, remaining_sum, last_added, previous_diff, depth):
    if remaining_sum == 0:
        display_partition(current_partition)
        return
    for next_addend in range(last_added + 1, remaining_sum + 1):
        if is_valid_difference(next_addend, last_added, previous_diff, depth):
            current_partition.append(next_addend)
            find_partitions(current_partition, remaining_sum - next_addend, next_addend, next_addend - last_added, depth + 1)
            current_partition.pop()

def display_partition(partition):
    print('+'.join(map(str, partition)))

def is_valid_difference(next_addend, last_added, previous_diff, depth):
    current_diff = next_addend - last_added
    if depth <= 1:
        return True  
    elif depth == 2:
        return True  
    else:
        return current_diff >= previous_diff  

if __name__ == "__main__":
    main()
