#include <iostream>
#include <vector>

using namespace std;
using ll = long long;

int main() {
    int n;
    cin >> n;

    vector<bool> is_prime(200,true);
    vector<int> primes;
    for (size_t i = 2; i < is_prime.size(); i++)
    {
        if(is_prime[i]) {
            primes.push_back(i);
            if(primes.size() >= n){
                break;
            }
            int cur = i*2;
            while (cur < is_prime.size())
            {
                is_prime[cur] = false;
                cur += i;
            }           
        }
    }
    ll bred = -1;
    ll ans = -1;

    for(int mask = 0; mask < (1<<n); mask++) {
        ll ap = 1;
        ll bp = 1;
       
        for(int i = 0; i < n; i++) {
            if(mask & (1<<i)) {
                ap *= primes[i];
            } else {
                bp *= primes[i];
            }
        }

        // cout << ap << " " << bp << endl;
        if(ap >= bp){
            continue;
        }
        if(bred == -1 || bp-ap < bred) {
            ans = ap;
            bred = bp-ap;
        }


    }
    cout << ans << endl;
}