#include <iostream>
#include <vector>

using namespace std;

int main() {
    long long n; cin >> n;

    vector<bool> sieve(115);
    vector<long long> prime;

    for(long long i = 2; i < sieve.size(); i++) {
        if (!sieve[i]) {
            prime.push_back(i);

            if (prime.size() == n) {
                break;
            }
            for (long long j = i * i; j < sieve.size(); j += i) {
                sieve[j] = true;
            }
        }
    }

    long long minn = 1000000000000000, ans;
    for (long long p = 0; p < (1 << n); p++) {
        long long a = 1, b = 1;

        for (int i = 0; i < n; i++) {
            if (p & (1 << i)) {
                a *= prime[i];
            } else {
                b *= prime[i];
            }
        }

        if (a < b && b - a < minn) {
            minn = b - a;
            ans = a;
        }
    }
    cout << ans << endl;
}
