#include <algorithm>
#include <iostream>
#include <vector>
#include <queue>
#include <cmath>
#include <deque>

using namespace std;

typedef long long ll;

const ll INF = 1e15;

class Solver {
public :
    void Solve() {
        cin >> h >> w;

        vec.resize(h, vector<char> (w));
        vec[0][0] = 'R';
        for (int i = 1; i < w; i++) {
            if (i == 1) {
                vec[0][1] = 'G';
                continue;
            }

            if (i >= 2) {
            if (vec[0][i - 2] == 'R') {
                vec[0][i] = 'B';
                continue;
            }

            if (vec[0][i - 2] == 'B') {
                vec[0][i] = 'R';
                continue;
            }

            if (vec[0][i - 2] == 'G') {
                vec[0][i] = 'G';
                continue;
            }
            } else {
                vec[0][1] = 'G';
            }
        }

        for (int i = 0; i < w; i++) {
            for (int j = 1; j < h; j++) {
                if (j == 1) {
                    if (vec[0][i] != 'G') {
                        vec[j][i] = 'G';
                        continue;
                    }

                    if (i == 0) {
                        vec[j][i] = 'G';
                        continue;
                    }

                    if (i == 1) {
                        vec[j][i] = 'B';
                        continue;
                    }

                    if (vec[j][i - 2] ==  'G') {
                        vec[j][i] = 'G';
                        continue;
                    }

                    if (vec[j][i - 2] ==  'R') {
                        vec[j][i] = 'B';
                        continue;
                    }

                    if (vec[j][i - 2] ==  'B') {
                        vec[j][i] = 'R';
                        continue;
                    }
                }

                if (vec[j - 2][i] == 'G') {
                    vec[j][i] = 'G';
                    continue;
                }

                if (vec[j - 2][i] == 'R') {
                    vec[j][i] = 'B';
                    continue;
                }

                if (vec[j - 2][i] == 'B') {
                    vec[j][i] = 'R';
                    continue;
                }
            }
        }

        for (int i = 0; i < h; i++) {
            for (int j = 0; j < w; j++) {
                cout << vec[i][j] << ' ';
            }

            cout << "\n";
        }
    }
private :
    ll w, h;
    vector<vector<char>> vec;
};

int main() {
    Solver().Solve();
}
