#include <algorithm>
#include <iostream>
#include <vector>
#include <queue>
#include <cmath>
#include <deque>

using namespace std;

typedef long long ll;

const ll INF = 1e15;

class Solver {
public :
    void Solve() {
        cin >> a >> b >> c >> d;
        if (a == b + c + d) {
            cout << a << "\n" << b << ' ' << c << ' ' << d;
            exit(0);
        }
        if (b == a + c + d) {
            cout << b << "\n" << a << ' ' << c << ' ' << d;
            exit(0);
        }
        if (c == b + a + d) {
            cout << c << "\n" << b << ' ' << a << ' ' << d;
            exit(0);
        }
        if (d == b + c + a) {
            cout << d << "\n" << b << ' ' << c << ' ' << a;
            exit(0);
        }

        if (a + b == c + d) {
            cout << a << ' ' << b << "\n" << c << ' ' << d;
            exit(0);
        }
        if (a + c == b + d) {
            cout << a << ' ' << c << "\n" << b << ' ' << d;
            exit(0);
        }
        if (a + d == c + b) {
            cout << a << ' ' << d << "\n" << c << ' ' << b;
            exit(0);
        }

        if (a + b + c + d == 0) {
            cout << a << ' ' << b << ' ' << c << ' ' << d;
        }

        cout << "-1\n";
    }
private :
    ll a, b, c, d;
};

int main() {
    Solver().Solve();
}
