#include <algorithm>
#include <iostream>
#include <vector>
#include <queue>
#include <cmath>
#include <deque>

using namespace std;

typedef long long ll;
typedef unsigned long long ull;

const ll INF = 1e15;

vector<ll> primes;

ll mn = 1e15;

ll ans;

class Solver {
public :
    bool isPrime(ll n) {
        if (n == 0 || n == 1) return false;

        for (ll i = 2; i * i <= n; i++) {
            if (n % i == 0) return false;
        }

        return true;
    }


    void f(ll n, ll a, ll b, ll ind) {
        if (ind == n) {
            if (a < b && b - a < mn) {
                mn = b - a;
                ans = a;
                return;
            } else {
                return;
            }
        }

        f(n, a * primes[ind - 1], b, ind + 1);
        f(n, a, b  * primes[ind - 1], ind + 1);

        return;
    }

    void Solve() {
        cin >> n;
        n++;

        for (int i = 0; i <= 1e5; i++) {
            if (isPrime(i)) {
                primes.push_back(i);
            }

            if (primes.size() >= 10) {
                break;
            }
        }

        f(n, 1, 1, 1);

        cout << ans;
    }

private :
    ll n;
};

int main() {
    Solver().Solve();
}
