from random import randint

def bin_search(a, value):
    sort_a = sorted(a)
    left = 0
    right = len(a) - 1
    mid = len(a) // 2
    while sort_a[mid] != value and left <= right:
        if value > sort_a[mid]:
            left = mid + 1
        else:
            right  = mid - 1
        mid = (left + right) // 2
    if left > right:
        return -1
    else:
        return sort_a[mid]

def solve_A(h, w):
    ans = [''] * h
    for i in range(h):
        for j in range(w):
            if i % 4 == 0 and j % 2 == 1: ans[i] += 'G'
            if i % 4 == 0 and j % 4 == 2: ans[i] += 'B'
            if i % 4 == 0 and j % 4 == 0: ans[i] += 'R'

            if i % 4 == 1 and j % 2 == 0: ans[i] += 'G'
            if i % 4 == 1 and j % 4 == 1: ans[i] += 'B'
            if i % 4 == 1 and j % 4 == 3: ans[i] += 'R'

            if i % 4 == 2 and j % 2 == 1: ans[i] += 'G'
            if i % 4 == 2 and j % 4 == 0: ans[i] += 'B'
            if i % 4 == 2 and j % 4 == 2: ans[i] += 'R'

            if i % 4 == 3 and j % 2 == 0: ans[i] += 'G'
            if i % 4 == 3 and j % 4 == 3: ans[i] += 'B'
            if i % 4 == 3 and j % 4 == 1: ans[i] += 'R'
    return ans



if __name__  == '__main__':
    # n = int(input())
    # a, b = map(int, input().split())
    # res = []
    # res.append(str(solve_A(a, b)))
    # print(*res)
    # solve_A()
    # test = []
    # for i in range(100):
    #     test.append(randint(10, 50))
    # print(bin_search(test, 4))
    # h, w = map(int, input().split())
    h = int(input())
    w = int(input())
    res = solve_A(h, w)
    for k in range(h):
        print(res[k])
