#include <iostream>
#include <cmath>

long long Simplify(long long a){ // 24857 -> 20000
    int decreased = 0;
    while(a >= 10){
        a /= 10;
        decreased += 1;
    };
    return a * pow(10, decreased);
}

int FirstDigit(long long a){
    while(a >= 10){
        a /= 10;
    };
    return int(a);
}

int CountDigits(long long a){
    int digits = 1;
    while(a >= 10){
        digits += 1;
        a /= 10;
    };
    return int(digits);
}

int main(){
    long long n;
    std::cin >> n;
    long long s = Simplify(n);
    int f = FirstDigit(n);
    int c = CountDigits(n);
    int ic = 0;
    for(int i = 1; i <= f; ++i){
        ic += pow(10, c);
    }
    for(i = s; i <= n; ++i){
        ic += int(f == i % 10);
    }
    std::cout << ic;
    return 0;
}
