#include <iostream>
#include <math.h>

long long Simplify(long long a){ // 24857 -> 20000
    int decreased = 0;
    while(a >= 10){
        a /= 10;
        decreased += 1;
    };
    return a * pow(10, decreased);
}

int FirstDigit(long long a){
    while(a >= 10){
        a /= 10;
    };
    return int(a);
}

int CountDigits(long long a){
    int digits = 1;
    while(a >= 10){
        digits += 1;
        a /= 10;
    };
    return int(digits);
}

int max(int a, int b){
    return a * (a > b) + b * (b >= a);
}

int main(){
    long long n;
    std::cin >> n;
    long long s = Simplify(n);
    int f = FirstDigit(n);
    int c = CountDigits(n);
    int ic = 0;
    for(int i = 1; i <= c - 1; ++i){
        ic += pow(10, max(i - 2, 0)) * 9;
    }
    ic += pow(10, max(c - 2, 0)) * (f - 1);
    for(int i = s; i <= n; ++i){
        ic += int(f == i % 10);
    }
    std::cout << ic;
    return 0;
}
