#include <iostream>
#include <algorithm>
#include <vector>

typedef unsigned long long ull;

int main( void )
{
    std::vector<ull> H {};
    H.resize(4);
    std::cin >> H[0] >> H[1] >> H[2] >> H[3];

    if (((H[0]+H[1]+H[2]+H[3]) % 2) != 0)
    {
        std::cout << -1;
        return 0;
    }

    ull sum = (H[0]+H[1]+H[2]+H[3]) / 2;

    std::sort(H.begin(), H.end());

    /*for (auto h : H)
        std::cout << h << " ";
    std::cout << "\n";*/

    std::vector<ull> Ind {};

    ull check = 0;
    for (ull i = 3; i >= 0; i--)
    {
        if (check + H[i] <= sum)
            check += H[i];
        else
            continue;

        Ind.push_back(i);
        if (check == sum)
            break;
    }

    ull check2 = 0;
    for (ull i = 0; i < 4; i++)
    {
        if (std::find(Ind.begin(), Ind.end(), i) == Ind.end())
            check2 += H[i];
    }

    if (check == sum && check2 == sum)
    {
        for (auto ind : Ind)
            std::cout << H[ind] << " ";
        std::cout << "\n";

        for (ull i = 0; i < 4; i++)
        {
            if (std::find(Ind.begin(), Ind.end(), i) == Ind.end())
                std::cout << H[i] << " ";
        }
    }
    else
    {
        std::cout << -1;
    }

  return 0;
}
