#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>
#include <cstdlib>

using namespace std;

typedef unsigned long long ULL;

int main( void )
{
    ULL n;

    cin >> n;

    int p10 = log10(n);

    ULL A = n % (ULL)(pow(10, p10));

    ULL Lead = (n -  A) / pow(10, p10);
    ULL End = n % 10;
    ULL Between = (A - n % 10) / 10;

    //cout << Lead << " " << Between << " " << End << endl;

    bool smallEnd = End < Lead;

    ULL total = 0;

    if (n < 10)
    {
        cout << n;
        return 0;
    }

    int bp10 = p10 - 1;

    // upper echelon
    total += Between + (smallEnd? -1 : 0) + 1;
    total += (ULL)(pow(10, bp10) * (Lead - 1));

    for (int i = bp10 - 1; i >= -1; i--)
    {
        ULL val = pow(10, (i == -1 ? 0 : i)) * 9;
        total += val;
        //cout << val << endl;
    }

    cout << total;

    return 0;

    // 18 - 1000000000000000000
    // 17 - 100000000000000000
}
