#include <iostream>
#include <vector>

using namespace std;

typedef unsigned long long uint32;

uint32 pow10( uint32 p )
{
    uint32 res = 1;
    for (int i = 0; i < p; i++)
        res *= 10;
    return res;
}

uint32 count_last( uint32 n, uint32 k )
{
    if (n == k)
    {
        return 9 * pow10(k - 1);
    }
    return pow10(k);
}

uint32 count_first( uint32 n, uint32 k )
{
    uint32 s = n - k;
    uint32 cn = 0;
    if (s > 0)
        cn = 9 * pow10(s - 1);
    return cn * cn - cn;
}

int main()
{
    uint32 n, k;

    cin >> n >> k;

    // cout << count_first(n, k) << " " << count_last(n, k) << endl;
    cout << count_first(n, k) * count_last(n, k) / 2 << endl;
    return 0;
}