#include <iostream>
#include <vector>

using namespace std;

typedef unsigned long long uint64;

vector<int> primes {2,3,5,7,11,13,17,19,23,29,31,37,41,43,47,53,59,61,67,71,73,79,83,89,97,101,103,107,109,113};

int n;

uint64 Count( uint64 mask )
{
    uint64 res = 1;
    for (int i = 0; i < n; i++)
        if (mask & (1 << i))
            res *= primes[i];
    return res;
}

int main()
{
    cin >> n;

    uint64 max_mask = 1 << n;
    int opt_a = 1;
    uint64 min_d = 10000000000;
    for (uint64 mask = 0; mask <= max_mask; mask++)
    {
        uint64 a = Count(mask), b = Count(~mask);
        if (a < b && b - a < min_d)
        {
            min_d = b - a;
            opt_a = a;
        }
    }
    cout << opt_a << endl;
    return 0;
}