#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
using ll = long long;
#define all(c) (c).begin(), (c).end()

bool isprime(int n) {
    for (int i = 2; i * 1ll * i <= n; i++)
        if (n % i == 0)
            return false;
    return true;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    int n;
    cin >> n;
    vector<int> p;
    for (int i = 2; p.size() != n; i++) {
        if (isprime(i))
            p.push_back(i);
    }
    /*for (auto v : p)
        cout << v << " ";
    cout << endl;*/
    ll ab = 1;
    for (auto v : p)
        ab *= v;
    vector<pair<ll, ll>> left;
    for (int m = 0; m < (1 << (n / 2)); m++) {
        ll res = 1;
        for (int i = 0; i < n / 2; i++)
            if ((m >> i) & 1)
                res *= p[i];
        left.push_back({res, m});
    }
    sort(all(left));
    vector<pair<ll, ll>> right;
    for (int m = 0; m < (1 << ((n + 1) / 2)); m++) {
        ll res = 1;
        for (int i = 0; i < (n + 1) / 2; i++)
            if ((m >> i) & 1) {
                res *= p[i + n / 2];
            }
        right.push_back({res, m});
    }
    sort(all(right));
    ll mres = LLONG_MAX, ml, mr;
    for (auto [a, mask] : left) {
        int l = 0, r = right.size() - 1;
        auto f = [&] (int x) {
          return a * x - (ab / a) / x;
        };
        while (r - l > 2) {
            int m = (l + r) / 2;
            if (f(right[m].first) <= f(right[m].first))
                l = m;
            else
                r = m;
        }
        int res;
        if (f(right[r].first) < f(right[l].first))
            res = r;
        else
            res = l;
        ll gg = f(right[res].first);
        if (abs(gg) < mres) {
            mres = abs(gg);
            ml = mask;
            mr = right[res].second;
        }

    }
    ll prod = 1;
    for (int i = 0; i < n / 2; i++) {
        if ((ml >> i) & 1)
            prod *= p[i];
    }
    for (int i = 0; i < (n + 1) / 2; i++)
        if ((mr >> i) & 1)
            prod *= p[i + n / 2];
    if (prod > ab / prod)
        prod = ab/prod;
    cout << prod;
    return 0;
}
