﻿// D.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include <iostream>
#include <cstdint>
#include <cmath>
uint64_t power(uint64_t X, uint64_t Y) {
	uint64_t res = 1;
	if (Y < 0)
		throw;
	for (uint64_t i = 0; i < Y; i++)
		res *= X;
	return res;
}
using namespace std;
using ui = uint64_t;

int getnth(ui n, int i)
{
	return (n / power(10, i)) % 10;
}
ui getintrs(ui n) {
	if (n < 10)
		return n;
	ui intrs = 0;
	ui digits = log10(n) + 1;
	intrs += 
		(getnth(n, digits - 1) - 1) * power(10, (digits - 2)) +
		(n % power(10, digits - 1)) / 10 + 
		(getnth(n, 0) >= getnth(n, digits - 1)); // LAST - most significant
	intrs += 9; // FIRST - LEAST SIGNIFICANT
	for (int i = 1; i < digits - 1; i++)
		intrs += 9 * power(10, i - 1);
	return intrs;
}
int main()
{
	ui n;
	cin >> n;
	cout << getintrs(n);
}

// Run program: Ctrl + F5 or Debug > Start Without Debugging menu
// Debug program: F5 or Debug > Start Debugging menu

// Tips for Getting Started: 
//   1. Use the Solution Explorer window to add/manage files
//   2. Use the Team Explorer window to connect to source control
//   3. Use the Output window to see build output and other messages
//   4. Use the Error List window to view errors
//   5. Go to Project > Add New Item to create new code files, or Project > Add Existing Item to add existing code files to the project
//   6. In the future, to open this project again, go to File > Open > Project and select the .sln file
