﻿// E.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include <iostream>
#include <string>
#include <vector>
using namespace std;
vector<string> crack(int n, int S1, int S2) {
	int last_difference = S2 == 0 ? 0 : S1 - S2;
	int minimal_difference = last_difference + 1;
	vector<string> res{to_string(n)};
	for (int s = S1 + minimal_difference; s < n; s++) {
		int current_difference = S1 == 0 ? 0 : s - S1;
		if (n - s < s + current_difference + 1)
			return res;
		vector<string> cracks = crack(n - s, s, S1);
		for (auto& C : cracks)
			C = std::to_string(s) + "+" + C;
		res.insert(res.end(), cracks.begin(), cracks.end());
	}
	return res; // Should not be called
}
int main()
{
	int n;
	cin >> n;
	auto cracks = crack(n, 0, 0);
	for (auto& c : cracks) std::cout << c << "\n";
}
