#include <iostream>

void sort( int *a, int n)
{
	if (n < 2)
		return;
	int b = 0;
	int e = n - 1;
	int x = a[n / 2];

	while (b < e)
	{
		while(a[b] < x)
			b++;
		while (a[e] > x)
			e--;
		if (b <= e)
		{
			if (b != e)
			{
				a[b] = a[b] + a[e];
				a[e] = a[b] - a[e];
				a[b] = a[b] - a[e];
			}
			b++;
			e--;
		}
	}
	sort(a + b, n - b);
	sort (a, e);
}
int main()
{
	int arr[4];
	std::cin>> arr[0];
	std::cin>> arr[1];
	std::cin>> arr[2];
	std::cin>> arr[3];

	sort(arr, 4);

	if (arr[0] + arr[3] == arr[1] + arr[2])
	{
		std::cout <<arr[0] <<" " << arr[3] << std::endl;
		std::cout <<arr[1] <<" " << arr[2] << std::endl;
	}
	else
		std::cout << -1;
}