#include <iostream>
#include <vector>

using namespace std;

int main() {
    int h, w;
    bool flag = true;

    cin >> h >> w;

    vector<char> dis(h * w);

    for (int i = 1; i < h; i += 2) {
        dis[i * w] = 'G';
    }

    for (int i = 0; i < h; i += 2) {
        if (flag)
            dis[i * w] = 'R', flag = false;
        else
            dis[i * w] = 'B', flag = true;
    }

    for (int i = 0; i < h; i++) {
        switch (dis[i * w]) {
        case 'R':
            flag = true;
            for (int j = 1; j < w; j += 2) {
                dis[i * w + j] = 'G';
            }

            for (int j = 0; j < w; j += 2) {
                if (flag)
                    dis[i * w + j] = 'R', flag = false;
                else
                    dis[i * w + j] = 'B', flag = true;
            }
            break;
        case 'G':
            for (int j = 0; j < w; j += 2) {
                dis[i * w + j] = 'G';
            }

            for (int j = 1; j < w; j += 2) {
                if (flag)
                    dis[i * w + j] = 'R', flag = false;
                else
                    dis[i * w + j] = 'B', flag = true;
            }
            break;
        case 'B':
            flag = false;
            for (int j = 1; j < w; j += 2) {
                dis[i * w + j] = 'G';
            }

            for (int j = 0; j < w; j += 2) {
                if (flag)
                    dis[i * w + j] = 'R', flag = false;
                else
                    dis[i * w + j] = 'B', flag = true;
            }
            break;
        }
    }

    for (int i = 0; i < h; i++) {
        for (int j = 0; j < w; j++) {
            cout << dis[i * w + j];
        }
        cout << endl;
    }

    return 0;
}