from itertools import permutations

def solution(nums):
    for a, b, c, d in permutations(nums, r=4):
        if a + b == c + d:
            return f"{a} {b}\n{c} {d}"
        elif a + b + c == d:
            return f"{a} {b} {c}\n{d}"

    return -1
        


def main():
    nums = [int(input()) for _ in range(4)]
    print(solution(nums))

main()