# def subfactorial(n):
#     return (n * (n + 1)) // 2

def factorial_div(n, k):
    result = 1

    for i in range(n - k + 1, n + 1):
        result *= i
    
    return result

def permutations_size(n, k):
    if n < k:
        return 0
    
    return factorial_div(n, k)

def find_first_part(n):
    return permutations_size(10 ** n - 10**(n - 1) + 1, 2) // 2 - 9 * 10 ** (n - 1)

def solution(n, k):
    counted = n - k

    if counted == 0:
        return 0

    return find_first_part(counted) * (10 ** k)

def main():
    n = int(input())
    k = int(input())

    print(solution(n, k))

main()


