#include <iostream>
#include <cmath>

using namespace std;

long long countInterestingNumbers(long long n) {
    long long count = 0;
    int digits = 0;
    long long temp = n;

    while (temp > 0) {
        digits++;
        temp /= 10;
    }

    for (int i = 1; i <= digits; i++) {
        count += 9 * static_cast<long long>(pow(10, i - 1));
    }

    return count;
}

int main() {
    long long n;
    cin >> n;
    cout << countInterestingNumbers(n) << endl;
    return 0;
}
