#include <iostream>
#include <cmath>

using namespace std;

long long countInterestingNumbers(long long n) {
    long long count = 0;
    int digits = 0;
    long long temp = n;

    while (temp > 0) {
        digits++;
        temp /= 10;
    }

    for (int i = 1; i <= digits; i++) {
        long long start = pow(10, i - 1);
        long long end = min(pow(10, i) - 1, n);

        for (long long j = start; j <= end; j++) {
            if (j % 10 == j / static_cast<long long>(pow(10, i - 1))) {
                count++;
            }
        }
    }

    return count;
}

int main() {
    long long n;
    cin >> n;
    cout << countInterestingNumbers(n) << endl;
    return 0;
}
