#include <iostream>
#include <vector>
#include <cmath>

using std::cout;
using std::cin;
using std::endl;
using std::vector;
using std::pair;

bool contains(vector<pair<int, int>> &pairs, pair<int, int> req) {
    for (pair<int, int> i : pairs) {
        if (i.first == req.first && i.second == req.second) {
            return true;
        }
    }
    return false;
}

int main() {
    int n, k;
    cin >> n >> k;

    vector<pair<int, int>> usedPairs;
    int remainder = pow(10, k);

    int lBoundary = pow(10, n - 1);
    int rBoundary = pow(10, n) - 1;

    for (int i = lBoundary; i <= rBoundary; ++i) {
        for (int j = lBoundary; j <= rBoundary; ++j) {
            pair<int, int> currentPair(i, j);
            if ((currentPair.first != currentPair.second) && (!contains(usedPairs, currentPair)) &&
                (currentPair.first % remainder == currentPair.second % remainder)) {
                usedPairs.push_back(pair<int, int>(i, j));
                usedPairs.push_back(pair<int, int>(j, i));
            }
        }
    }

    cout << usedPairs.size() / 2 << endl;
}