#include <iostream>
#include <vector>
#include <pair>
#include <cmath>

using std::cout;
using std::endl;
using std::vector;
using std::pair;

int main() {
    int n, k;
    cin >> n >> k;

    vector<pair<int, int>> usedPairs;
    int remainder = pow(10, k);

    int lBoundary = pow(10, n - 1);
    int rBoundary = pow(10, n) - 1;

    for (int i = lBoundary; i <= rBoundary; ++i) {
        for (int j = lBoundary; j <= rBoundary; ++j) {
            pair<int, int> currentPair(i, j);
            if ((pair.first() != pair.second()) && (!usedPairs.contains(currentPair)) &&
                (currentPair.first() % remainder == currentPair.second() % remainder)) {
                usedPairs.push_back(pair<int, int>(i, j));
                usedPairs.push_back(pair<int, int>(j, i));
            }
        }
    }

    cout << usedPairs.count() / 2 << endl;
}