def check(lst):
    if len(lst) >= 3:
        for i in range(0, len(lst) - 2):
            if lst[i + 2] - lst[i + 1] <= lst[i + 1] - lst[i]:
                return False
    return True


n = int(input())
components = [x for x in range(1, n + 1)]

for i in range(1, (2 ** n)):
    binary = bin(i)[2:].rjust(n, '0')
    elems = []
    for j, digit in enumerate(binary):
        if digit == '1':
            elems.append(components[j])
    if sum(elems) == n and check(elems):
        print('+'.join([str(x) for x in elems]))