def generate_lcd(h, w):
    colors = ['R', 'G', 'B']
    result = []

    for i in range(h):
        row = []
        first_color = colors[i % 3]

        for j in range(w):
            if j % 2 == 0:
                row.append(first_color)
            else:
                if first_color == 'R':
                    row.append('B')
                elif first_color == 'G':
                    row.append('R') 
                else:  # first_color == 'B'
                    row.append('G') 
        if i > 0:
            row = row[1:] + row[:1]

        result.append(''.join(row))
    return result
if __name__ == "__main__":
    h = int(input())
    w = int(input())

    lcd_output = generate_lcd(h, w)
    for line in lcd_output:
        print(line)
