def is_interesting(num):
    num_str = str(num)
    return num_str[0] == num_str[-1]

def count_interesting_numbers(x):
    count = 0

    for i in range(1, x + 1):
        if is_interesting(i):
            count += 1
            
    return count

def count_interesting_numbers_optimized(x):
    count = 0
    for first_digit in range(1, 10):
        for length in range(1, len(str(x)) + 1):
            num = int(str(first_digit) + '0' * (length - 2) + str(first_digit))
            if num <= x:
                count += 1
            if length > 1:
                for middle in range(10**(length - 2)):
                    num = int(str(first_digit) + str(middle).zfill(length - 2) + str(first_digit))
                    if num <= x:
                        count += 1

    return count
x = int(input())
interesting_count = count_interesting_numbers_optimized(x)
print(interesting_count)
