def generate_display(h, w):
    display = []
    colors = ['R', 'G', 'B']  # Определяем цвета

    for i in range(h):
        row = []
        for j in range(w):
            # Определяем текущий цвет в зависимости от строки и столбца
            if j % 2 == 0:  # Четные позиции
                color_index = (i % 3)  # Индекс цвета зависит от строки
                row.append(colors[color_index])
            else:  # Нечетные позиции
                row.append('G')  # Нечетные позиции всегда зелёные

        display.append(''.join(row))

    return display

h = int(input())
w = int(input())

display = generate_display(h, w)
for line in display:
    print(line)