def generate_display(h, w):
    colors = ['R', 'G', 'B']  # Определяем цвета
    display = []  # Список для хранения строк дисплея

    for i in range(h):
        row = []  # Текущая строка
        for j in range(w):
            if j % 2 == 0:  # Четные индексы
                # Определяем цвет по смещению строки
                row.append(colors[(i % 3)])  # R, G, B
            else:  # Нечетные индексы
                row.append('G')  # Зелёный цвет
        display.append(''.join(row))  # Преобразуем список в строку

    return display

# Чтение входных значений
h = int(input())
w = int(input())

# Генерация дисплея
result = generate_display(h, w)

# Вывод результата
for line in result:
    print(line)

