def is_prime(num):
  if num <= 1:
    return False
  for i in range(2, int(num**0.5) + 1):
    if num % i == 0:
      return False
  return True

def find_beautiful_partition(n):
  primes = []
  i = 2
  while len(primes) < n:
    if is_prime(i):
      primes.append(i)
    i += 1

  a = 1
  b = 1
  for i in range(len(primes)):
    if i % 2 == 0:
      a *= primes[i]
    else:
      b *= primes[i]

  # Проверяем, является ли разбиение красивым
  if a >= b:
    a, b = b, a

  return a

# Считываем n
n = int(input())

# Находим красивое разбиение и выводим a
a = find_beautiful_partition(n)
print(a)