def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num**0.5) + 1):
        if num % i == 0:
            return False
    return True

def find_beautiful_split(n):
    primes = []
    i = 2
    while len(primes) < n:
        if is_prime(i):
            primes.append(i)
        i += 1
    a = 1
    b = 1
    for prime in primes:
        if prime in primes[:len(primes)//2]:
            a *= prime
        else:
            b *= prime
    return a

n = int(input())
print(find_beautiful_split(n))