def create_display(h, w):
    display = []
    for i in range(h):
        row = []
        for j in range(w):
            if j % 2 == 0:
                if (i + j // 2) % 2 == 0:
                    row.append('R')
                else:
                    row.append('B')
            else:
                row.append('G')
        row = row[i:] + row[:i]
        display.append(''.join(row))
    return display
def main():
    h = int(input())
    w = int(input())

    display = create_display(h, w)

    for line in display:
        print(line)
if __name__ == "__main__":
    main()