def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num ** 0.5) + 1):
        if num % i == 0:
            return False
    return True
def generate_primes(n):
    primes = []
    candidate = 2
    while len(primes) < n:
        if is_prime(candidate):
            primes.append(candidate)
        candidate += 1
    return primes
def find_a_b(primes):
    total_product = 1
    for prime in primes:
        total_product *= prime
    min_difference = float('inf')
    best_a = 0
    best_b = 0
    from itertools import combinations
    for i in range(1, len(primes)):
        for combination in combinations(primes, i):
            a_product = 1
            for num in combination:
                a_product *= num
            b_product = total_product // a_product
            if a_product < b_product:
                difference = b_product - a_product
                if difference < min_difference:
                    min_difference = difference
                    best_a = a_product
                    best_b = b_product

    return best_a, best_b
n = int(input())
primes = generate_primes(n)
a, b = find_a_b(primes)
print({a})
print({b})
print({b - a})