from itertools import combinations
def balance_weights(weights):
    total_weight = sum(weights)
    if total_weight % 2 !=0:
        return -1
    target = total_weight // 2
    n = len(weights)
    for r in range(1, n + 1):
        for left_combination in combinations(weights, r):
            left_weight = sum(left_combination)
            if left_weight == target:
                left = list(left_combination)
                right = [w for w in weights if w not in left]
                return left, right
    return -1
weights = []
for _ in range(4):
    weights.append(int(input()))
result = balance_weights(weights)
if result == -1:
    print(-1)
else: 
    left, right = result
    print(' '.join(map(str, left)))
    print(' '.join(map(str, right)))