def generate_pixel_display(h, w):
    display = []
    for i in range(h):
        row = []
        for j in range(w):
            if (j + i) % 3 == 0:
                row.append('R')
            elif (j + i) % 3 == 1:
                row.append('G')
            else:
                row.append('B')
        display.append(''.join(row))

    for row in display:
        print(row)


def main():
    h, w = map(int, input("Enter height and width (h w): ").split())
    generate_pixel_display(h, w)


if __name__ == "__main__":
    main()
