#include <iostream>
#include <vector>
#include <string>

void generatePixelDisplay(int h, int w) {
    std::vector<std::string> display(h);
    
    for (int i = 0; i < h; ++i) {
        for (int j = 0; j < w; ++j) {
            if ((j + i) % 3 == 0) {
                display[i] += 'R';  // Red
            } else if ((j + i) % 3 == 1) {
                display[i] += 'G';  // Green
            } else {
                display[i] += 'B';  // Blue
            }
        }
    }

    for (const auto& row : display) {
        std::cout << row << std::endl;
    }
}

int main() {
    int h, w;
    std::cout << "Enter height and width (h w): ";
    std::cin >> h >> w;
    generatePixelDisplay(h, w);
    return 0;
}