def count_similar_pairs(n, k):
    if k > n:
        return 0

    total_numbers = 9 * (10 ** (n - 1))  # Все n-значные числа без ведущих нулей
    last_digits_possibilities = 10 ** k
    first_number_choices = 9 * (10 ** (n - k - 1)) if n > k else 1  # Учитываем случай, когда n == k

    pairs_count = total_numbers * last_digits_possibilities * first_number_choices
    return pairs_count // 2  # Учитываем симметрию пары



n = int(input())
k = int(input())
print(count_similar_pairs(n, k))

