from itertools import combinations

# Веса гирь
weights = [1, 2, 3, 4]  # пример весов гирь, можно изменить на реальные значения

def can_balance(weights):
    total_weight = sum(weights)
    
    # Если общий вес нечетный, уравновесить невозможно
    if total_weight % 2 != 0:
        return False
    
    target = total_weight // 2
    n = len(weights)

    # Проверяем все возможные комбинации
    for r in range(n + 1):
        for combo in combinations(weights, r):
            if sum(combo) == target:
                return True
                
    return False

# Проверка функции
if can_balance(weights):
    print("Весы могут быть уравновешены.")
else:
    print("Весы не могут быть уравновешены.")
