def generate_pixels(h, w):
    pixels = [[''] * w for _ in range(h)]

    for i in range(h):
        for j in range(w):
            if j % 2 == 1:
                pixels[i][j] = 'G'
            else:
                if (i + j) // 2 % 2 == 0:
                    pixels[i][j] = 'R'
                else:
                    pixels[i][j] = 'B'

    return pixels

h = int(input())
w = int(input())

pixel_array = generate_pixels(h, w)

for row in pixel_array:
    print(' '.join(row))