from itertools import combinations

def find_equal_sum_pairs(nums):
    for pair1 in combinations(nums, 2):
        remaining = [n for n in nums if n not in pair1]
        for pair2 in combinations(remaining, 2):
            if sum(pair1) == sum(pair2):
                return pair1, pair2
    return -1

input_numbers = []
for i in range(4):
    number = int(input())
    input_numbers.append(number)


if len(input_numbers) != 4:
    print("-1")
else:
    result = find_equal_sum_pairs(input_numbers)
    if result == -1:
        print("-1")
    else:
        print(*result[0])
        print(*result[1])