primes = [2, 3, 5, 7, 11, 13, 17, 19, 23, 29,
          31, 37, 41, 43, 47, 53, 59, 61, 67,
          71, 73, 79, 83, 89, 97, 101, 103, 107,
          109, 113]
n = int(input())
min_diff = float('inf')
best_a_product = 1
for mask in range(1, 1 << n):
    a_product = 1
    b_product = 1
    a_count = 0
    b_count = 0
    for i in range(n):
        if mask & (1 << i):
            a_product *= primes[i]
            a_count += 1
        else:
            b_product *= primes[i]
            b_count += 1
    if a_count > 0 and b_count > 0 and b_product > a_product:
        diff = b_product - a_product
        if diff < min_diff:
            min_diff = diff
            best_a_product = a_product
print(best_a_product)