#include <iostream>
#include <vector>

using namespace std;

int main() {
    int h, w;
    cin >> h >> w;

    char prevNotGreen = 'R';
    char lastPrinted = 'R';

    if (w == 1) {
        vector<char> line;
        line.push_back('R');
        for (int i = 1; i < h; i++) {
            if (i % 2 == 1) {
                line.push_back('G');
            } else {
                if (prevNotGreen == 'R') {
                    prevNotGreen = 'B';
                } else {
                    prevNotGreen = 'R';
                }
                line.push_back(prevNotGreen);
            }
        }

        for (char element: line) {
            cout << element << endl;
        }

        return 0;
    }

    for (int i = 0; i < h; i++) {
        cout << lastPrinted;

        for (int j = 1; j < w; j++) {
            if (lastPrinted == 'R' || lastPrinted == 'B') {
                cout << 'G';
                lastPrinted = 'G';
            } else {
                if (prevNotGreen == 'B') {
                    cout << 'R';
                    prevNotGreen = 'R';
                } else {
                    cout << 'B';
                    prevNotGreen = 'B';
                }
                lastPrinted = prevNotGreen;
            }
        }

        cout << endl;
    }

    return 0;
}
