#include <iostream>
#include <cmath>

using namespace std;

typedef unsigned long long big_type;

int getMaxPowerOfTen(big_type n) {
    int stepen = -1;

    big_type copyN = n;
    while (copyN > 0) {
        copyN /= 10;
        stepen++;
    }

    return stepen;
}

int main() {
    big_type n;
    cin >> n;

    int stepen = getMaxPowerOfTen(n);

    big_type amount = stepen * 9;

    big_type ost = n - ((big_type) pow(10, stepen));
    for (int i = n - ost; i <= n; i++) {
        int kolvoZnakov = getMaxPowerOfTen(i);

        if (i % 10 == i / ((int) pow(10, kolvoZnakov))) {
            amount++;
        }
    }

    cout << amount << endl;

    return 0;
}
