from itertools import combinations

def first_n_simps(n):
    simp_numbs = [2]
    i = 3
    while len(simp_numbs) < n:
        is_simp = True
        for j in simp_numbs:
            if i % j == 0:
                is_simp = False
                break
        if is_simp:
            simp_numbs.append(i)
        i += 1
    return simp_numbs


def mult_list(a:tuple):
    res = 1
    for i in a:
        res *= i
    return res


n = int(input())
simple_numbs = first_n_simps(n)
mult = mult_list(simple_numbs)
aim = mult ** 0.5
min_dist = 10 ** 20
min_a = 1
for i in range(1, n + 1):
    for comb in combinations(simple_numbs, r=i):
        mult_comb = mult_list(comb)
        dist = abs(mult_comb - aim)
        if dist < min_dist:
            min_dist = dist
            min_a = min(mult_comb, mult // mult_comb)
print(min_a)