﻿#include <iostream>
#include <vector>
using namespace std;

int main() {
	vector <int> w(5);
	cin >> w[1] >> w[2] >> w[3] >> w[4];
	if ((w[1] + w[2] + w[3] + w[4]) % 2 != 0) {
		cout << -1;
		return 0;
	}
	int s = (w[1] + w[2] + w[3] + w[4]) / 2;
	vector <vector <int>> dp(5, vector <int> (s + 1));
	dp[0][0] = 1;
	for (int i = 1; i <= 4; i++) {
		for (int j = 1; j <= s; j++) {
			if ((j >= w[i] and dp[i - 1][j - w[i]]) or dp[i - 1][j])
				dp[i][j] = 1;
		}
	}
	if (!dp[4][s]) {
		cout << -1;
		return 0;
	}
	
	int j = 4;
	while (s != 0) {
		while (dp[j - 1][s])
			j--;
		cout << w[j] << ' ';
		s -= w[j];
		w[j] = -1;
		j -= 1;
	}
	cout << '\n';
	for (int i = 1; i < 5; i++)
		if (w[i] != -1)
			cout << w[i] << ' ';

}
