

from itertools import combinations

# Чтение весов гирь
weights = []
for _ in range(4):
    weight = int(input())
    weights.append(weight)

# Перебор всех возможных комбинаций гирь
n = len(weights)

for i in range(1, n):  # от 1 до 4 гирь на одной стороне
    for combo in combinations(weights, i):
        left_weight = sum(combo)
        right_weights = [w for w in weights if w not in combo]
        right_weight = sum(right_weights)

        if left_weight == right_weight:
            print(" ".join(map(str, combo)))
            print(" ".join(map(str, right_weights)))
            exit(0)

# Если не нашли подходящее распределение
print(-1)
