from functools import lru_cache

@lru_cache(maxsize=None)
def get_first_digit(n):
    while n >= 10:
        n //= 10
    return n

@lru_cache(maxsize=None)
def get_last_digit(n):
    return n % 10

n = int(input())
count = 0

for i in range(1, n + 1):
    if get_first_digit(i) == get_last_digit(i):
        count += 1
print(count)
