weights = [int(input().strip()) for _ in range(4)]

def find_balance(weights):
    total_weight = sum(weights)
    
    for i in range(1 << 4):  
        left = []
        right = []
        
        for j in range(4):
            if i & (1 << j): 
                left.append(weights[j])
            else:  
                right.append(weights[j])

        if sum(left) == sum(right):  
            return left, right
    
    return -1  

result = find_balance(weights)
if result == -1:
    print(-1)
else:
    left, right = result
    print(" ".join(map(str, left)))
    print(" ".join(map(str, right)))