import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class Main {
    public static void main(String[] args) throws IOException {
        BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));

        int h = getInputNumber(reader);
        int w = getInputNumber(reader) - 1;

        int column = 0;
        for (int i = 0; i < h; i++) {
            String outputLine = "";

            if ((i + 1) % 2 == 0) {
                outputLine += 'G';
            }
            else {
                if (column % 2 == 0) {
                    outputLine += 'R';
                }
                else {
                    outputLine += 'B';
                }
                column += 1;
            }

            char first = 'R';
            char second = 'B';
            int isG = 0;

            int count = 1;
            for (int j = 0; j < w; j++) {
                if (outputLine.charAt(0) == 'G') {
                    isG = 1;
                    if (column % 2 == 0) {
                        first = 'B';
                        second = 'R';
                    }
                } else if (outputLine.charAt(0) == 'B') {
                    first = 'B';
                    second = 'R';
                }

                if ((j + isG) % 2 == 0) {
                    outputLine += 'G';
                }
                else {

                    if (count % 2 == 0) {
                        outputLine += first;
                    } else {
                        outputLine += second;
                    }
                    count += 1;
                }
            }

            System.out.println(outputLine);
        }
    }

    public static int getInputNumber(BufferedReader r) throws IOException {
        int num = Integer.parseInt(r.readLine());

        if (num >= 1 && num <= 100) {
            return num;
        }

        System.exit(0);
        return 0;
    }
}