#include<bits/stdc++.h>
using namespace std;

#define ll long long


ll P[30] = {2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113};

ll power(ll a, int n) {
    if (n == 0) return 1;
    if (n == 1) return a;
    if (n % 2) return a*power(a, (n - 1) / 2)*power(a, (n - 1) / 2);
    return power(a, n / 2)*power(a, n / 2);
}

void f(ll a, vector<int>& K) {
    int i = 0;
    while (a > 0) {
        K[i++] = a % 2;
        a /= 2;
    }
    while (i < (int) K.size())
        K[i++] = 0;
}

void solve() {
    int n; cin >> n;
    vector<int> K(n);
    ll answer = 1, x = 1e17;
    for (int k = 0; k < power(2, n) - 1; ++k) {
        f(k, K);
        ll a = 1, b = 1;
        for (int i = 0; i < n; ++i) {
            if (!K[i]) b *= P[i];
            if (K[i]) a *= P[i];
        }
        if (b > a && b - a <= x) {
            answer = a;
            x = b - a;
        }
    }
    cout << answer;
}

int main() {
    ios::sync_with_stdio(0); cin.tie();
    solve();
    return 0;
}
