def eratosthene(n):
    primes = []
    current_number = 2

    while len(primes) < n:
        is_prime = True
        for p in primes:
            if p * p > current_number:
                break
            if current_number % p == 0:
                is_prime = False
                break
        if is_prime:
            primes.append(current_number)
        current_number += 1

    return primes


n = int(input())
primes = eratosthene(n)
print(primes)
A = []
B = []
product_A = 1
product_B = 1

for prime in primes:
    if product_A <= product_B:
        A.append(prime)
        product_A *= prime
    else:
        B.append(prime)
        product_B *= prime
print(product_A)
