def count_similar_pairs(n, k):
    start = 10 ** (n - 1)
    end = 10 ** n - 1
    cnt = {}
    for i in range(start, end + 1):
        suffix = i % (10 ** k)
        if suffix in cnt:
            cnt[suffix] += 1
        else:
            cnt[suffix] = 1

    total_pairs = 0
    for j in cnt.values():
        if j > 1:
            total_pairs += j * (j - 1) // 2

    return total_pairs


n = int(input())
k = int(input())

print(count_similar_pairs(n, k))
