﻿#include <vector>
#include <cmath>
#include <algorithm>
#include <cstring>
#include <iostream>
using namespace std;
string to_string(int n) {
	string ret = "";
	while (n) {
		ret = char(n % 10 + '0') + ret;
		n /= 10;
	}
	return ret;
}

void func(string s, int cur_sm, int prev, int pprev, int n) {
	if (cur_sm >= n) {
		if (cur_sm == n) {
			cout << s << '\n';
		}
		return;
	}
	for (int i = max(1, prev + (prev - pprev) + 1); i <= n; i++) {
		string ds = s;
		ds += '+';
		ds += to_string(i);
		func(ds, cur_sm + i, i, prev, n);
	}
}
void solve(int n) {
	for (int i = 1; i <= n; i++) {
		func(to_string(i), i, i, i, n);
	}
}

signed main() {
	int n; cin >> n;
	solve(n);
}

