from tkinter.constants import PROJECTING


def bin_search(f, left, right):
    if f(-1) >= 1:
        return -1
    while right - left > 1:
        m = (left + right) // 2
        if f(m) < 1:
            right = m
        else:
            left = m
    return left

def log_10(n):
    s = 0
    while n > 0:
        s += 1
        n //= 10
    return s - 1

lookup_table = {}

def recurs(arr: list, sum: int) -> int:
    global n
    if sum == n:
        lookup_table[str(arr)] = n
        return 1
    if sum > n:
        return 0
    if len(arr) == 0:
        s = 0
        for i in range(1, n + 1):
            s += recurs([i], i)
        return s # +1 потому что есть вариант [n]
    elif len(arr) == 1:
        s = 0
        for i in range(arr[0] + 1, n + 1):
            s += recurs(arr + [i], sum + i)
        return s
    elif len(arr) > 1:
        s = 0
        for i in range(2 * arr[-1] - arr[-2] + 1, n - sum + 1):
            s += recurs(arr + [i], sum + i)
        return s
n = int(input())
k = recurs([], 0)
for key in lookup_table:
    key = list(map(int, key[1:-1].replace(',', '').split()))
    if len(key) == 1:
        print(n)
    else:
        print(key[0], end='')
        for i in key[1:]:
            print(f"+{i}", end='')
        print()