def bin_search(f, left, right):
    if f(-1) >= 1:
        return -1
    while right - left > 1:
        m = (left + right) // 2
        if f(m) < 1:
            right = m
        else:
            left = m
    return left

def log_10(n: int) -> int:
    s = 0
    while n > 0:
        s += 1
        n //= 10
    return s - 1


def is_prime(n: int) -> bool:
    if n == 2:
        return True
    if n < 2 or n % 2 == 0:
        return False
    for i in range(3, int(n ** 0.5) + 2, 2):
        if n % i == 0:
            return False
    return True

def mean(mask, arr):
    mask = bin(mask)[2:]
    mask = '0' * (n - len(mask)) + mask
    a, b = 1, 1
    for i in range(n):
        if mask[i] == '0':
            a *= arr[i]
        else:
            b *= arr[i]
    return [a,b]


def beauty(mask, arr):
    s = mean(mask, arr)
    if s[0] < s[1]:
        return True
    return False

n = int(input())

arr, i, s = [], 0, 0
while s < n:
    i += 1
    if is_prime(i):
        arr = arr + [i]
        s += 1

m = 1
for i in range(n):
    m *= arr[i]

for mask in range(2 ** n):
    if beauty(mask, arr):
        k = mean(mask, arr)
        if k[1] - k[0] < m:
            m = k[1] - k[0]
            a = k[0]
print(a)