def can_be_balanced(weights):
    total_weight = sum(weights)
    if total_weight % 2 != 0:
        return -1

    half_weight = total_weight // 2
    for i in range(4):
        for j in range(i + 1, 4):
            if weights[i] + weights[j] == half_weight:
                return 0

    return -1


weights1 = [1, 2, 3, 4]
weights2 = [1, 1, 2, 2]
weights3 = [10, 20, 30, 40]
weights4 = [2,2,2,2]

print(f" {weights1}: {can_be_balanced(weights1)}")
print(f" {weights2}: {can_be_balanced(weights2)}")
print(f" {weights3}: {can_be_balanced(weights3)}")
print(f" {weights4}: {can_be_balanced(weights4)}")