def fast_increasing_partitions(n):
    results = []
    
    def find_partitions(current_sum, current_partition, last_number):
        if current_sum == n:
            results.append(current_partition)
            return

        if current_sum > n:
            return

        for i in range(last_number + 1, n + 1):
            if len(current_partition) >= 2:
                if i - current_partition[-1] <= current_partition[-1] - current_partition[-2]:
                    continue

            find_partitions(current_sum + i, current_partition + [i], i)


    find_partitions(0, [], 0)
    for partition in results:
        print("+".join(map(str, partition)))

n = int(input())
fast_increasing_partitions(n)