def count_similar_pairs(n, k):
    start = 10 ** (n - 1)
    end = 10 ** n - 1
    
    last_k_digits_count = {}
    
    for number in range(start, end + 1):
        last_k_digits = number % (10 ** k)
        
        
        if last_k_digits in last_k_digits_count:
            last_k_digits_count[last_k_digits] += 1
        else:
            last_k_digits_count[last_k_digits] = 1
            

    similar_pairs = 0
    for count in last_k_digits_count.values():
        if count > 1:
            similar_pairs += count * (count - 1) // 2  #
    
    return similar_pairs

n = int(input())
k = int(input())

result = count_similar_pairs(n, k)
print(result)