
from itertools import combinations

def can_balance(weights):
    total_weight = sum(weights)
    
    
    if total_weight % 2 != 0:
        return False
    
    half_weight = total_weight // 2
    
    
    for r in range(1, len(weights) + 1):
        for combo in combinations(weights, r):
            if sum(combo) == half_weight:
                return True
                
    return False


weights = [1, 2, 3, 4] 
if can_balance(weights):
    print("Весы можно уравновесить.")
else:
    print("Уравновесить весы невозможно.")

