from math import comb

def catalan_number(n):
    if n < 0:
        raise ValueError("n must be a non-negative integer.")
    return comb(2 * n, n) // (n + 1)

try:
    n = int(input("Введите неотрицательное целое число: "))
    if n < 0:
        raise ValueError("Число должно быть неотрицательным.")
    print(catalan_number(n))
except ValueError as e:
    print(f"Ошибка ввода: {e}")