def is_prime(n: int) -> bool:
    for d in range(2, n):
        if n % d == 0:
            return False
    return True

n = int(input())
if n == 1:
    print(1)
    exit()
primes = []
i = 2
while len(primes) != n:
    if is_prime(i):
        primes.append(i)
    i += 1

from itertools import combinations

indices = set(range(n))

def product(xs):
    p = 1
    for x in xs:
        p *= x
    return p

def gen():
    for A_length in range(1, n):
        B_length = n - A_length
        for A_indices in combinations(range(n), A_length):
            A_indices = set(A_indices)
            B_indices = indices.difference(A_indices)

            yield (
                product(primes[i] for i in A_indices),
                product(primes[i] for i in B_indices),
            )

min_a = float('inf')
min_b = float('inf')
for (a, b) in gen():
    if a < b:
        if b < min_b:
            min_a, min_b = a, b
print(min_a)