import java.util.HashMap;
import java.util.Map;
import java.util.Scanner;

public class Main {
    public static void main(String[] args) {
        Scanner in = new Scanner(System.in);
        int a = in.nextInt();
        int b = in.nextInt();
        int c = in.nextInt();
        int d = in.nextInt();
        in.close();

        int[] nums = {a, b, c, d};
        Map<Integer, int[]> sumMap = new HashMap<>();
        
        if(a > 100 || b > 100 || c > 100 || d > 100){
            return;
        }
        
        
        for (int i = 0; i < 4; i++) {
            for (int j = i + 1; j < 4; j++) {
                int sum = nums[i] + nums[j];
                sumMap.put(sum, new int[]{nums[i], nums[j]});
            }
        }

        for (int i = 0; i < 4; i++) {
            for (int j = i + 1; j < 4; j++) {
                int targetSum = nums[i] + nums[j];
                if (sumMap.containsKey(targetSum)) {
                    int[] pair = sumMap.get(targetSum);
 
                    if (pair[0] != nums[i] && pair[0] != nums[j] && pair[1] != nums[i] && pair[1] != nums[j]) {
                        System.out.println(pair[0] + " " + pair[1]);
                        System.out.println(nums[i] + " " + nums[j]);
                        return; 
                    }
                }
            }
        }

        System.out.println(-1);
    }
}