#include <iostream>
#include <string>

using namespace std;

long long countInterestingNumbers(long long n) {
    string str = to_string(n);
    int len = str.length();
    long long count = 0;

    for (int d = 1; d < len; d++) {
        count += 9 * (1LL << (d - 1));
    }

    for (char firstDigit = '1'; firstDigit <= str[0]; firstDigit++) {
        for (char lastDigit = '0'; lastDigit <= '9'; lastDigit++) {
            if (firstDigit == lastDigit) {
                if (firstDigit == str[0] && lastDigit == str[len - 1]) {
                    bool valid = true;
                    for (int i = 1; i < len - 1; i++) {
                        if (str[i] > '9') {
                            valid = false;
                            break;
                        }
                    }
                    if (valid) {
                        count++; 
                    }
                } else if (firstDigit < str[0] || (firstDigit == str[0] && lastDigit <= str[len - 1])) {
                    count++;
                }
            }
        }
    }

    return count;
}

int main() {
    long long n;
    cin >> n;
    
    long long result = countInterestingNumbers(n);
    cout << result << endl;
    
    return 0;
}