def generate_display(h, w):
    base_rows = [
        "RGBGRGBGRG",
        "GBGRGBGRGB",
        "BGRGBGRGBG",
    ]

    display = []

    for i in range(h):
        base_row = base_rows[i % 3]

        shifted_row = base_row[i % len(base_row):] + base_row[:i % len(base_row)]

        display.append(shifted_row[:w])

    return display


h = int(input())
w = int(input())

result = generate_display(h, w)

for line in result:
    print(line)