from itertools import combinations

def find_balanced_groups(weights):
    n = len(weights)
    for r in range(1, n):
        for group1 in combinations(weights, r):
            group2 = [w for w in weights if w not in group1]
            if sum(group1) == sum(group2):
                return group1, group2
    return -1

weights = []
a = int(input())
weights.append(a)
b = int(input())
weights.append(b)
c = int(input())
weights.append(c)
d = int(input())
weights.append(d)
result = find_balanced_groups(weights)
if result == -1:
    print(-1)
else:
    group1, group2 = result
    str1 = ""
    str2 = ""
    for i in group1:
        str1 += (str(i) + " ")
    for i in group2:
        str2 += (str(i) + " ")
    print(str1)
    print(str2)