#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

long long step(long long a, long long st) {
    if (st == 0) {
        return 1LL;
    }
    long long b = step(a, st / 2LL);
    if (st % 2) {
        return b * b * a;
    }
    return b * b;
}

signed main() {
    long long n;
    cin >> n;
    if (n < (long long)10) {
        cout << n << "\n";
        return 0;
    }
    int c = 0;
    long long x = n;
    vector<int> a;
    while (x) {
        a.push_back(x % 10);
        x /= 10;
        c++;
    }
    reverse(a.begin(), a.end());
    long long ans = 9;
    for (int i = 2; i < c; i++) {
        ans += 9LL * step(10, i - 2);
    }
    //cout << "!!\n";
    ans += (long long)(a[0] - 1) * step(10, c - 2);
    long long plus = 0;
    for (int i = 1; i < a.size() - 1; i++) {
        plus += a[i];
        plus *= 10LL;
    }
    ans += plus;
    cout << ans << "\n";
    return 0;
}
