#include <iostream>
using namespace std;
using ll = unsigned long long;

ll step(ll x, ll y) {
    if (y == 0) {
        return 1;
    }
    if (y == 1) {
        return x;
    }
    ll ans = step(x, y / 2);
    ans *= ans;
    if (y % 2 == 1) {
        ans *= x;
    }
    return ans;
}

void solve() {
    ll n, k;
    cin >> n >> k;
    if (k == n) {
        cout << 0;
        return;
    }
    ll ans = step(10, k);
    ll x = 9 * step(10, n - k - 1);
    cout << (ans / 2) * x * (x - 1);
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    ll t = 1;
//    cin >> t;
    while (t--) {
        solve();
    }
    return 0;
}
