#include <iostream>
#include <map>
#include <vector>
#include <math.h>
#include <set>
using namespace std;
using ll = long long;
using ld = long double;
using ull = unsigned long long;

ll step(ll x, ll y) {
    if (y == 0) {
        return 1;
    }
    if (y == 1) {
        return x;
    }
    ll ans = step(x, y / 2);
    ans *= ans;
    if (y % 2 == 1) {
        ans *= x;
    }
    return ans;
}

void solve() {
    string s;
    cin >> s;
    ll n = stoll(s);
    if (n < 10) {
        cout << n;
        return;
    }
    ll ans = 9;
    for (ll i = 2; i < s.size(); i++) {
        ans += 9 * step(10, i - 2);
    }
    for (ll i = 1; i < (s[0] - '0'); i++) {
        ans += step(10, s.size() - 2);
    }
    if ((s[s.size() - 1] - '0') >= (s[0] - '0')) {
        ans++;
    }
    for (ll ind = 1; ind < s.size() - 1; ind++) {
        ll c = s[ind] - '0';
        ll p = c;
        ans += p * step(10, s.size() - ind - 2);
    }
    cout << ans;
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    ll t = 1;
//    cin >> t;
    while (t--) {
        solve();
    }
    return 0;
}
