#include <iostream>
#include <cstdint>
#include <algorithm>
#include <vector>
#include <numeric>

using namespace std;

#define FAST cin.tie(0);cout.tie(0);
#define int int32_t
#define ll int64_t
#define endl '\n'

void solve();

int32_t main() {
    FAST;

    int32_t t = 1;
    //cin >> t;

    while (t--) {
        solve();
    }

    return 0;
}

void solve() {
    int n = 4;

    vector<int> a(n);
    for (int i = 0; i < n; i++) {
        cin >> a[i];
    }

    sort(a.begin(), a.end());

    if (accumulate(a.begin(), a.end(), 0) % 2 != 0) {
        cout << "-1\n";
        return;
    }

    int sum = accumulate(a.begin(), a.end(), 0) / 2;

    if (a[0] + a[1] == sum) {
        cout << a[0] << ' ' << a[1] << endl;
        cout << a[2] << ' ' << a[3] << endl;
    } else if (a[0] + a[1] + a[2] == sum) {
        cout << a[0] << ' ' << a[1] << ' ' << a[2] << endl;
        cout << a[3] << endl;
    } else if (a[0] + a[1] + a[2] + a[3] == sum) {
        cout << a[0] << ' ' << a[1] << ' ' << a[2] << ' ' << a[3] << endl;
        cout << endl;
    } else if (a[1] + a[2] == sum) {
        cout << a[1] << ' ' << a[2] << endl;
        cout << a[0] << ' ' << a[3] << endl;
    } else if (a[1] + a[2] + a[3] == sum) {
        cout << a[1] << ' ' << a[2] << ' ' << a[3] << endl;
        cout << a[0] << endl;
    } else {
        cout << "-1\n";
    }
}