#include <iostream>
#include <cstdint>
#include <algorithm>
#include <vector>
#include <numeric>
#include <string>

using namespace std;

#define FAST cin.tie(0);cout.tie(0);
#define int int32_t
#define ll int64_t
#define endl '\n'

void solve();

int32_t main() {
    //freopen("output.txt", "w", stdout);
    FAST;

    int32_t t = 1;
    //cin >> t;

    while (t--) {
        solve();
    }

    return 0;
}

vector<ll> p{0, 2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113};

ll cnt(vector<ll> &w) {
    ll res = 1;

    for (ll k = 0; k < w.size(); k++) {
        res *= w[k];
    }

    return res;
}

ll count_p(ll i, ll j) {
    ll res = 1;

    for (ll k = i; k <= j; k++) {
        res *= p[k];
    }

    return res;
}

void solve() {
    ll n;
    cin >> n;

    vector<vector<vector<ll>>> dp(n + 1, vector<vector<ll>>(n + 1));

    ll all = count_p(1, n);

    for (int i = 1; i <= n; i++) {
        for (int j = 1; j <= n; j++) {
            ll i1j = cnt(dp[i - 1][j]);
            ll i1j1 = cnt(dp[i - 1][j - 1]) * p[i];

            if (i >= j) {
                if (max(all / i1j, i1j) - min(all / i1j, i1j) < max(all / i1j1, i1j1) - min(all / i1j1, i1j1)) {
                    dp[i][j] = dp[i - 1][j];
                } else {
                    dp[i][j] = dp[i - 1][j - 1];
                    dp[i][j].push_back(p[i]);
                }
            }
        }
    }

    ll mn = LLONG_MAX, raz = all;
    for (int j = 1; j <= n; j++) {
        ll nj = cnt(dp[n][j]);

        if (max(all / nj, nj) - min(all / nj, nj) < raz) {
            raz = max(all / nj, nj) - min(all / nj, nj);
            mn = min(all / nj, nj);
        }

    }
    cout << mn << endl;
}