#include <iostream>
#include <vector>
#include <string>
#include <algorithm>
#include <cmath>

#define all(a) a.begin(),a.end()

using namespace std;

using ll = long long;

void solve() {
    ll n;
    cin >> n;

    if (n < 10) {
        cout << n << '\n';
        return;
    }

    string str = to_string(n);
    ll cnt = str.size() - 2;
    ll a = str[0] - '0';
    ll b = str.back() - '0';
    ll sum = (a - 1) * pow(10, cnt);
    for (ll i = cnt - 1; i >= 0; --i) {
        sum += 9 * pow(10ll, i);
    }
    if (cnt == 0) {
        cout << sum + 9 + (a <= b) << '\n';
        return;
    }

    cnt = 1;
    for (ll i = 1; i < str.size() - 1; ++i) {
        cnt += (str[i] - '0') * pow(10ll, cnt - i);
    }

    cout << sum + 9 + cnt - (a > b) << '\n';
}

int main() {
    ios_base::sync_with_stdio(0);
    cout.tie(0);
    cin.tie(0);

    int t = 1;
    //cin >> t;

    while (t--) {
        solve();
    }
}