#include <iostream>
#include <vector>
#include <string>
#include <algorithm>

#define all(a) a.begin(),a.end()

using namespace std;

using ll = long long;

ll pow(ll a, ll n) {
    ll res = 1;
    for (int i = 0; i < n; ++i) {
        res *= a;
    }
    return res;
}

void solve() {
    ll n;
    cin >> n;

    if (n < 10) {
        cout << n << '\n';
        return;
    }

    string str = to_string(n);
    ll cnt = (ll)str.size() - 2ll;
    ll a = str[0] - '0';
    ll b = str.back() - '0';
    ll sum = (a - 1) * pow(10, cnt);
    for (ll i = cnt - 1; i >= 0; --i) {
        sum += 9 * pow(10ll, i);
    }
    if (cnt == 0) {
        cout << sum + 9 + (a <= b) << '\n';
        return;
    }
    cnt = (a <= b);
    for (ll i = 1; i < str.size() - 1; ++i) {
        cnt += max(((ll)str[i] - '0'), 0ll) * pow(10ll, str.size() - 2 - i);
    }
    cout << sum + 9 + cnt << '\n';
}

int main() {

    int t = 1;
//    cin >> t;

    while (t--) {
        solve();
    }
}