#include <iostream>
#include <vector>
#include <string>
#include <set>
#include <map>
#include <algorithm>


#define all(x) x.begin(), x.end()
#define endl "\n"

using namespace std;
using ll = long long;
using vi = vector<int>;


void solve(){
    int a, b, c, d;
    cin >> a >> b >> c >> d;
    vi v = {a, b, c, d};
    sort(all(v));

    int sum = a + b + c + d;
    if (sum % 2 == 1){
        cout << -1 << endl;
        return;
    }

    sum /= 2;
    if (v[0] + v[2] == sum){
        cout << v[0] << " " << v[2] << endl;
        cout << v[1] << " " << v[3] << endl;
    }
    else if (v[0] + v[3] == sum){
        cout << v[0] << " " << v[3] << endl;
        cout << v[1] << " " << v[2] << endl;
    }
    else if (v[3] == sum){
        cout << v[3] << endl;
        cout << v[0] << " " << v[1] << " " << v[2] << endl;
    }
    else{
        cout << -1 << endl;
    }
}

int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);

    solve();
}
