#include <iostream>
#include <vector>
#include <string>
#include <set>
#include <map>
#include <algorithm>
#include <cmath>


#define all(x) x.begin(), x.end()
#define endl "\n"

using namespace std;
using ll = long long;
using vi = vector<ll>;

vi p = {1, 10, 100, 1000, 10000, 100000, 1000000, 10000000, 100000000, 1000000000, 10000000000};

int get(int x){
    ll res = 9 * p[x - 1];
    return res;
}

void solve(){
    ll n, k; cin >> n >> k;
    if (n == k){
        cout << 0 << endl;
        return;
    }

    ll ans = get(n - k);
    ans = ans * (ans - 1) / 2;
    ans *= p[k];
    cout << ans << endl;
}

signed main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);

    solve();
}
