#include <iostream>
#include <vector>
#include <string>
#include <set>
#include <map>
#include <algorithm>
#include <cmath>


#define all(x) x.begin(), x.end()
#define endl "\n"
#define PB push_back

using namespace std;
using ll = long long;
using vi = vector<ll>;




int n;


vi v;
void print(){
    if (v.size() == 0){
        return;
    }
    cout << v[0];
    for (int i = 1; i < v.size(); i++){
        cout << "+" << v[i];
    }
    cout << endl;
}
void rec(int last, int sum, int r){
    if (sum == n){
        print();
        return;
    }

    for (int i = last + r + 1; i <= n - sum; i++){
        v.PB(i);
        rec(i, sum + i, i - last);
        v.pop_back();
    }
}


void solve(){
    cin >> n;
    for (int i = 1; i <= n; i++){
        v = {i};
        rec(i, i, 0);
    }
}

signed main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);

    solve();
}
